﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Content" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Content Validations</title>
  
  <rule context="xbrli:xbrl/pyid.02.00:Identifiers.TaxFileNumber.Identifier[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]">
    
    <!-- Rule ID: VR.ATO.CGNFT.000102
         ELS Ref: V20
      
         IF (pyid.xx.xx:Identifiers.TaxFileNumber.Identifier <> NULLORBLANK) AND (TFNALGORITHM (pyid.xx.xx:Identifiers.TaxFileNumber.Identifier) = FALSE)
           RETURN VALIDATION MESSAGE
         ENDIF
    -->
    <assert id="VR.ATO.CGNFT.000102" diagnostics="DVR.ATO.CGNFT.000102"
            test="not(                       
                          not(function:ValidateTFN(.))
                      )"/>
    
  </rule>

  
  <rule context="xbrli:xbrl/pyid.02.00:Identifiers.TaxAgentNumber.Identifier[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]">

    <!-- Rule ID: VR.ATO.GEN.428247
         ELS Ref: V20
      
        IF ((pyid.xx.xx:Identifiers.TaxAgentNumber.Identifier) <> NULLORBLANK) AND (TANALGORITHM(pyid.xx.xx:Identifiers.TaxAgentNumber.Identifier) = FALSE)
           RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.GEN.428247" diagnostics="DVR.ATO.GEN.428247"
            test="not(                       
                          not(function:ValidateTAN(.))
                      )"/>

  </rule>

  
  <rule context="xbrli:xbrl/pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]">

    <!-- Rule ID: VR.ATO.CGNFT.000076
         ELS Ref: V1200
      
        IF ([cgnft11] <> NULLORBLANK) and (ABNALGORITHM([cgnft11]) = FALSE)
          RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.CGNFT.000076" diagnostics="DVR.ATO.CGNFT.000076"
            test="not(    
                          @contextRef = $CP.ContextId
                          and
                          not(function:ValidateABN(.))
                      )"/>


    <!-- Rule ID: VR.ATO.CGNFT.000084
         ELS Ref: V1200
      
        IF ([cgnft20] <> NULLORBLANK) and (ABNALGORITHM([cgnft20]) = FALSE)
          RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.CGNFT.000084" diagnostics="DVR.ATO.CGNFT.000084"
            test="not(    
                          @contextRef = $CPPE.ContextId
                          and
                          not(function:ValidateABN(.))
                      )"/>

  </rule>

  
  <rule context="xbrli:xbrl/pyid.02.00:Identifiers.AustralianRegisteredBodyNumber.Identifier[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]">

    <!-- Rule ID: VR.ATO.CGNFT.000091
         ELS Ref: V19
      
        IF ([cgnft12] <> NULLORBLANK) AND (ARBNALGORITHM([cgnft12]) = FALSE)
            RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.CGNFT.000091" diagnostics="DVR.ATO.CGNFT.000091"
            test="not(      
                          @contextRef = $CP.ContextId
                          and
                          not(function:ValidateACN(.))
                      )"/>


    <!-- Rule ID: VR.ATO.CGNFT.000094
         ELS Ref: V19
      
        IF ([cgnft27] <> NULLORBLANK) AND (ARBNALGORITHM([cgnft27]) = FALSE)
            RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.CGNFT.000094" diagnostics="DVR.ATO.CGNFT.000094"
            test="not(      
                          @contextRef = $CPPE.ContextId
                          and
                          not(function:ValidateACN(.))
                      )"/>
  </rule>

  
  <rule context="xbrli:xbrl/pyid.02.00:Identifiers.AustralianCompanyNumber.Identifier[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]">

    <!-- Rule ID: VR.ATO.GEN.428021
         ELS Ref: V19
      
        IF (pyid.xx.xx:Identifiers.AustralianCompanyNumber.Identifier <> NULLORBLANK) AND (ACNALGORITHM(pyid.xx.xx:Identifiers.AustralianCompanyNumber.Identifier) = FALSE)
          RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.GEN.428021" diagnostics="DVR.ATO.GEN.428021"
            test="not(      
                          @contextRef = $CP.ContextId
                          and
                          not(function:ValidateACN(.))
                      )"/>
  </rule>


  <rule context="xbrli:xbrl/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]">

    <!-- Rule ID: VR.ATO.CGNFT.000033 removed for CR2900 -->
    


    <!-- Rule ID: VR.ATO.CGNFT.000041 removed for CR2900 | INC000029748406  -->
   


    <!-- Rule ID: VR.ATO.CGNFT.000044 removed for CR2900 | INC000029748406  -->
    


    <!-- Rule ID: VR.ATO.CGNFT.000060
         ELS Ref: V137E
    
        IF ([cgnft4] CONTAINS "P/L")
          RETURN VALIDATION MESSAGE
        ENDIF

    -->
    <assert  id="VR.ATO.CGNFT.000060" diagnostics="DVR.ATO.CGNFT.000060"
             test="not(
                          @contextRef = $RP.ContextId
                          and
                          matches(.,'^(.*)(P/L)(.*)$')
                      )"></assert>


    <!-- Rule ID: VR.ATO.CGNFT.000060
         ELS Ref: V137E
    
        IF ([cgnft10] CONTAINS "P/L")
          RETURN VALIDATION MESSAGE
        ENDIF

    -->
    <assert  id="VR.ATO.CGNFT.000062" diagnostics="DVR.ATO.CGNFT.000062"
             test="not(
                          @contextRef = $CP.ContextId
                          and
                          matches(.,'^(.*)(P/L)(.*)$')
                      )"></assert>


    <!-- Rule ID: VR.ATO.CGNFT.000066
         ELS Ref: V137E
    
        IF ([cgnft19] CONTAINS "P/L")
          RETURN VALIDATION MESSAGE
        ENDIF

    -->
    <assert  id="VR.ATO.CGNFT.000066" diagnostics="DVR.ATO.CGNFT.000066"
             test="not(
                          @contextRef = $CPPE.ContextId
                          and
                          matches(.,'^(.*)(P/L)(.*)$')
                      )"></assert>
  </rule>


  <rule context="xbrli:xbrl/pyde.02.17:OrganisationDetails.TaxConsolidationSubsidiaryMemberEntry.Date[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]">

    <!-- Rule ID: VR.ATO.CGNFT.000089
         ELS Ref: V1755
         
        IF ([cgnft14] <> NULL) AND (([cgnft14] < 2002-07-01) OR ([cgnft14] > DATE(TODAY)))
          RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.CGNFT.000089" diagnostics="DVR.ATO.CGNFT.000089"
            test="not(
                        function:IsDate1GreaterThanDate2('2002-07-01', .)
                        or
                        function:IsDate1GreaterThanDate2(., current-date())
                     )"/>
  </rule>


  <rule context="xbrli:xbrl/pyde.02.17:OrganisationDetails.TaxConsolidationSubsidiaryMemberExit.Date[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]">

    <!-- Rule ID: VR.ATO.CGNFT.000092
         ELS Ref: V1760
         
        IF ([cgnft14] <> NULL) AND ([cgnft15] <> NULL) AND ([cgnft15] < [cgnft14])
          RETURN VALIDATION MESSAGE
        ENDIF
        
        [cgnft14] = pyde.02.17:OrganisationDetails.TaxConsolidationSubsidiaryMemberEntry.Date
        [cgnft15] = pyde.02.17:OrganisationDetails.TaxConsolidationSubsidiaryMemberExit.Date
    -->
    <let name="thisContextId" value="@contextRef" />
    <assert id="VR.ATO.CGNFT.000092" diagnostics="DVR.ATO.CGNFT.000092"
            test="not(
                        $cgnft14[@contextRef = $thisContextId][1]
                        and
                        function:IsDate1GreaterThanDate2($cgnft14[@contextRef = $thisContextId][1], .)                        
                     )"/>


    <!-- Rule ID: VR.ATO.CGNFT.000099
         ELS Ref: V1761
         
        IF ([cgnft15] > DATE(TODAY))
          RETURN VALIDATION MESSAGE
        ENDIF
        
        [cgnft14] = pyde.02.17:OrganisationDetails.TaxConsolidationSubsidiaryMemberEntry.Date
        [cgnft15] = pyde.02.17:OrganisationDetails.TaxConsolidationSubsidiaryMemberExit.Date
    -->
    <assert id="VR.ATO.CGNFT.000099" diagnostics="DVR.ATO.CGNFT.000099"
            test="not(
                        function:IsDate1GreaterThanDate2(., current-date())
                     )"/>
  </rule>


  <rule context="xbrli:xbrl/pyde.02.17:OrganisationDetails.TaxConsolidationSubsidiaryMemberExit.Code[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]">

    <!-- Rule ID: VR.ATO.CGNFT.000078
         ELS Ref: V1764
         
        IF ([cgnft16] = "Other") AND ([cgnft17] = NULLORBLANK)
          RETURN VALIDATION MESSAGE
        ENDIF
        
        [cgnft16] = CP:pyde.02.17:OrganisationDetails.TaxConsolidationSubsidiaryMemberExit.Date
        [cgnft17] = CP:pyde.02.17:OrganisationDetails.TaxConsolidationSubsidiaryMemberExit.Description
    -->
    <assert id="VR.ATO.CGNFT.000078" diagnostics="DVR.ATO.CGNFT.000078"
            test="not(
                        upper-case(.) = 'OTHER'
                        and
                        not($cgnft17[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0])                          
                     )"/>

    <!-- Rule ID: VR.ATO.CGNFT.000079 
        ELS Ref: V1764 
           
        IF ([cgnft16] <> "Full-sold") AND  
          ( 
              ([cgnft19] <> NULLORBLANK) OR (([cgnft20] <> NULLORBLANK) OR ([cgnft27] <> NULLORBLANK)) 
          ) 
          RETURN VALIDATION MESSAGE 
        ENDIF  
          
        [cgnft16] = CP:pyde.02.17:OrganisationDetails.TaxConsolidationSubsidiaryMemberExit.Code 
        [cgnft19] = CP.PE:pyde.02.00:OrganisationNameDetails.OrganisationalName.Text 
        [cgnft20] = CP.PE:pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier 
        [cgnft27] = CP.PE:pyid.02.00:Identifiers.AustralianRegisteredBodyNumber.Identifier 
          
        Note: Has to be 'Deregistered', do not convert to upper or lower case 
    --> 
    <assert id="VR.ATO.CGNFT.000079" diagnostics="DVR.ATO.CGNFT.000079" 
            test="not( 
                        not(. = 'Full-sold') 
                        and 
                        ( 
                          $cgnft19[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0] 
                          or 
                          $cgnft20[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0] 
                          or 
                          $cgnft27[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0] 
                        ) 
                    )"/> 
  
  
    <!-- Rule ID: VR.ATO.CGNFT.000080 
        ELS Ref: V1764 
           
        IF ([cgnft16] = "Full-sold") AND  
          ( 
              ([cgnft19] = NULLORBLANK) AND (([cgnft20] = NULLORBLANK) AND ([cgnft27] = NULLORBLANK))) 
          RETURN VALIDATION MESSAGE 
        ENDIF  
          
        [cgnft16] = CP:pyde.02.17:OrganisationDetails.TaxConsolidationSubsidiaryMemberExit.Code 
        [cgnft19] = CP.PE:pyde.02.00:OrganisationNameDetails.OrganisationalName.Text 
        [cgnft20] = CP.PE:pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier 
        [cgnft27] = CP.PE:pyid.02.00:Identifiers.AustralianRegisteredBodyNumber.Identifier 
          
        Note: Has to be 'Deregistered', do not convert to upper or lower case 
    --> 
    <assert id="VR.ATO.CGNFT.000080" diagnostics="DVR.ATO.CGNFT.000080" 
            test="not( 
                        . = 'Full-sold' 
                        and 
                        not($cgnft19[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]) 
                        and 
                        not($cgnft20[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]) 
                        and 
                        not($cgnft27[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]) 
                    )"/> 

  </rule>

  <rule context="xbrli:xbrl/pyin.02.00:Declaration.Signature.Date[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]">

    <!-- Rule ID: VR.ATO.GEN.500066
         
        IF (pyin.xx.xx:Declaration.Signature.Date > DATE(TODAY))
           RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.GEN.500066" diagnostics="DVR.ATO.GEN.500066"
            test="not(
                        function:IsDate1GreaterThanDate2(., current-date())
                     )"/>

  </rule>
  
  
  <rule context="xbrli:xbrl/pyde.02.00:ElectronicContact.Telephone.Area.Code[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]">

    <!-- Rule ID: VR.ATO.GEN.500061
         ELS Ref: V173A
         
         IF (
                (CONTEXT(Intermediary.TrueAndCorrect) = NULL) AND 
                (RP.TrueAndCorrect:pyde.xx.xx:ElectronicContact.Telephone.Telephone.Minimal.Number = NULLORBLANK) AND 
                (RP.TrueAndCorrect:pyde.02.00:ElectronicContact.Telephone.Area.Code <> NULLORBLANK)
            ) 
            OR 
            (
                (CONTEXT(Intermediary.TrueAndCorrect) <> NULL) AND 
                (Intermediary.TrueAndCorrect:pyde.xx.xx:ElectronicContact.Telephone.Minimal.Number = NULLORBLANK) AND 
                (Intermediary.TrueAndCorrect:pyde.xx.xx:ElectronicContact.Telephone.Area.Code <> NULLORBLANK)
            )
            RETURN VALIDATION MESSAGE
         ENDIF
         
         [cgnft25RPTAC]  = pyde.02.00:ElectronicContact.Telephone.Area.Code
         [cgnft25INTTAC] = pyde.02.00:ElectronicContact.Telephone.Area.Code
         
         [cgnft26RPTAC]  = pyde.02.00:ElectronicContact.Telephone..Minimal.Number
         [cgnft26INTTAC] = pyde.02.00:ElectronicContact.Telephone..Minimal.Number         
    -->
    <assert id="VR.ATO.GEN.500061" diagnostics="DVR.ATO.GEN.500061"
            test="not(
                        (
                            not($INTTAC.Context) 
                            and 
                            not($cgnft26RPTAC[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0])
                        ) 
                        or
                        (
                            $INTTAC.Context 
                            and 
                            not($cgnft26INTTAC[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0])
                        )                      
                     )"/>

  </rule>


  <rule context="xbrli:xbrl/pyde.02.00:ElectronicContact.Telephone.Minimal.Number[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]">

    <!-- Rule ID: VR.ATO.GEN.500062
         ELS Ref: V173A
         
         IF (
                (CONTEXT(Intermediary.TrueAndCorrect) = NULL) AND 
                (RP.TrueAndCorrect:pyde.xx.xx:ElectronicContact.Telephone.Telephone.Minimal.Number <> NULLORBLANK) AND 
                (RP.TrueAndCorrect:pyde.02.00:ElectronicContact.Telephone.Area.Code = NULLORBLANK)
            ) 
            OR 
            (
                (CONTEXT(Intermediary.TrueAndCorrect) <> NULL) AND 
                (Intermediary.TrueAndCorrect:pyde.xx.xx:ElectronicContact.Telephone.Minimal.Number <> NULLORBLANK) AND 
                (Intermediary.TrueAndCorrect:pyde.xx.xx:ElectronicContact.Telephone.Area.Code = NULLORBLANK)
            )
           RETURN VALIDATION MESSAGE
         ENDIF
         
         [cgnft25RPTAC]  = pyde.02.00:ElectronicContact.Telephone.Area.Code
         [cgnft25INTTAC] = pyde.02.00:ElectronicContact.Telephone.Area.Code
         
         [cgnft26RPTAC]  = pyde.02.00:ElectronicContact.Telephone.Minimal.Number
         [cgnft26INTTAC] = pyde.02.00:ElectronicContact.Telephone.Minimal.Number         
    -->
    <assert id="VR.ATO.GEN.500062" diagnostics="DVR.ATO.GEN.500062"
            test="not(
                        (
                            not($INTTAC.Context) 
                            and 
                            not($cgnft25RPTAC[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0])
                        ) 
                        or
                        (
                            $INTTAC.Context 
                            and 
                            not($cgnft25INTTAC[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0])
                        )                      
                     )"/>
  </rule>


  <rule context="xbrli:xbrl/pyin.02.00:Declaration.StatementAccepted.Indicator[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]">

    <!-- Rule ID: VR.ATO.GEN.410128
         ELS Ref: V17         
        
        IF (pyin.xx.xx:Declaration.StatementAccepted.Indicator <> NULLORBLANK) AND (pyin.xx.xx:Declaration.StatementAccepted.Indicator = FALSE)
            RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.GEN.410128" diagnostics="DVR.ATO.GEN.410128"
            test="not(
                        (
                            $INTTAC.Context 
                            and
                            $cgnft30INTTAC[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0] = 'false'
                        )
                        or
                        (
                            $RPTAC.Context 
                            and
                            $cgnft30RPTAC[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0] = 'false'
                        )
                     )" />


  </rule>

</pattern>
