﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="FieldLengths" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Field Length Validations</title>

  <rule context="pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]">

    <!-- Rule ID: VR.ATO.CHTWTHHLD.000062
         ELS Ref: N/A
         
      IF LENGTH([chtwthhld16]) > 76
           RETURN VALIDATION MESSAGE
      ENDIF
      
      [chtwthhld16] = pyde.02.00:OrganisationNameDetails.OrganisationalName.Text
    -->
    <assert id="VR.ATO.CHTWTHHLD.000062" diagnostics="DVR.ATO.CHTWTHHLD.000062"
            test="not(@contextRef = $TRUS.ContextId and string-length(.) > 76)"/>


    <!-- Rule ID: VR.ATO.CHTWTHHLD.000029
         ELS Ref: N/A
         
      IF LENGTH([chtwthhld2]) > 76
           RETURN VALIDATION MESSAGE
      ENDIF
      
      [chtwthhld16] = pyde.02.00:OrganisationNameDetails.OrganisationalName.Text
    -->
    <assert id="VR.ATO.CHTWTHHLD.000029" diagnostics="DVR.ATO.CHTWTHHLD.000029"
            test="not(@contextRef = $RP.ContextId and string-length(.) > 76)"/>

  </rule>

  <rule context="pyde.02.00:AddressDetails.Line1.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]">

    <!-- Rule ID: VR.ATO.CHTWTHHLD.000101
         ELS Ref: N/A
         
      IF LENGTH([chtwthhld3]) > 38
        RETURN VALIDATION MESSAGE
      ENDIF
      
      [chtwthhld3] = pyde.02.00:AddressDetails.Line1.Text
    -->
    <assert id="VR.ATO.CHTWTHHLD.000101" diagnostics="DVR.ATO.CHTWTHHLD.000101"
            test="not(@contextRef = $RPPOS.ContextId and string-length(.) > 38)" />
  </rule>
  
  <rule context="pyde.02.00:AddressDetails.Line2.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]">

      <!-- Rule ID: VR.ATO.CHTWTHHLD.000115
         ELS Ref: N/A
         
      IF LENGTH(pyde.xx.xx:AddressDetails.Line2.Text) > 38
           RETURN VALIDATION MESSAGE
      ENDIF
      
    -->
      <assert id="VR.ATO.CHTWTHHLD.000115" diagnostics="DVR.ATO.CHTWTHHLD.000115"
            test="not(@contextRef = $RPPOS.ContextId and string-length(.) > 38)" />

  </rule>

  <rule context="pyde.02.00:AddressDetails.LocalityName.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]">

    <!-- Rule ID: VR.ATO.CHTWTHHLD.000030
         ELS Ref: N/A
         
      IF LENGTH([chtwthhld5]) > 27
        RETURN VALIDATION MESSAGE
      ENDIF
      
      [chtwthhld5] = pyde.02.00:AddressDetails.LocalityName.Text
    -->
    <assert id="VR.ATO.CHTWTHHLD.000030" diagnostics="DVR.ATO.CHTWTHHLD.000030"
            test="not(@contextRef = $RPPOS.ContextId and string-length(.) > 27)" />

  </rule>

  <rule context="pyde.02.00:PersonNameDetails.FamilyName.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]">

    <!-- Rule ID: VR.ATO.CHTWTHHLD.000032
         ELS Ref: N/A
         
      IF LENGTH(pyde.xx.xx:PersonNameDetails.FamilyName.Text) > 30
           RETURN VALIDATION MESSAGE
      ENDIF
      
      [chtwthhld12] = pyde.02.00:PersonNameDetails.FamilyName.Text
    -->
    <assert id="VR.ATO.CHTWTHHLD.000032" diagnostics="DVR.ATO.CHTWTHHLD.000032"
            test="not(@contextRef = $TRUS.ContextId and string-length(.) > 30)" />

  </rule>

  <rule context="pyde.02.00:PersonNameDetails.GivenName.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]">

    <!-- Rule ID: VR.ATO.CHTWTHHLD.000019
         ELS Ref: N/A
         
      IF LENGTH(pyde.xx.xx:PersonNameDetails.GivenName.Text) > 15
           RETURN VALIDATION MESSAGE
      ENDIF
      
      [chtwthhld14] = pyde.02.00:PersonNameDetails.GivenName.Text
    -->
    <assert id="VR.ATO.CHTWTHHLD.000019" diagnostics="DVR.ATO.CHTWTHHLD.000019"
            test="not(@contextRef = $TRUS.ContextId and string-length(.) > 15)" />

  </rule>

  <rule context="pyde.02.00:PersonNameDetails.OtherGivenName.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]">

    <!-- Rule ID: VR.ATO.CHTWTHHLD.000055
         ELS Ref: N/A
         
      IF LENGTH(pyde.xx.xx:PersonNameDetails.OtherGivenName.Text) > 30
           RETURN VALIDATION MESSAGE
      ENDIF
    -->
    <assert id="VR.ATO.CHTWTHHLD.000055" diagnostics="DVR.ATO.CHTWTHHLD.000055"
            test="not(@contextRef = $TRUS.ContextId and string-length(.) > 30)" />

  </rule>

  <!--<rule context="pyde.02.00:PersonNameDetails.NameSuffix.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]">

    -->
  <!-- Rule ID: VR.ATO.CHTWTHHLD.000094 - covered by VR.ATO.GEN.000458
         ELS Ref: N/A
         
      IF LENGTH(pyde.xx.xx:PersonNameDetails.NameSuffix.Text) > 3
           RETURN VALIDATION MESSAGE
      ENDIF
      
      [chtwthhld13] = pyde.02.00:PersonNameDetails.NameSuffix.Text
    -->
  <!--
    <assert id="VR.ATO.CHTWTHHLD.000094" diagnostics="DVR.ATO.CHTWTHHLD.000094"
            test="not(@contextRef = $TRUS.ContextId and string-length(.) > 3)" />
  </rule>-->

  <rule context="pyde.02.00:ElectronicContact.Telephone.Minimal.Number[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]">

    <!-- Rule ID: VR.ATO.CHTWTHHLD.000093
         ELS Ref: N/A
         
      IF LENGTH(pyde.xx.xx:ElectronicContact.Telephone.Minimal.Number) > 15
           RETURN VALIDATION MESSAGE
      ENDIF
      
      [chtwthhld19] = pyde.02.00:ElectronicContact.Telephone.Minimal.Number
    -->
    <assert id="VR.ATO.CHTWTHHLD.000093" diagnostics="DVR.ATO.CHTWTHHLD.000093"
            test="not(@contextRef = $TRUS.ContextId and string-length(.) > 15)" />
  </rule>

</pattern>