﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="CrossFormCGLS" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>XBRL Cross Form Validations that are applicable to CGLS.</title>

<!-- RP.CGLS Context Variables -->
<let name="CGLS.Context" value="//xbrli:xbrl[child::link:schemaRef[@xlink:href='http://sbr.gov.au/ato/ato.cgls.0006.2017.01.00.report.xsd']]" />
<let name="RP.CGLS.Context" value="$CGLS.Context/xbrli:context[
            not(@i:nil='true' or @i:nil='1') 
            and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
            and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')] 
            and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
            xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 1]/ 
            xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^.*:ReportPartyTypeDimension$') and matches(.,'^.*:ReportingParty$')]
         ]" />
<let name="RP.CGLS.ContextId" value="$RP.CGLS.Context/@id" />
<!--RP.TOT.CGLS Context Variables -->
<let name="RP.TOT.CGLS.Context" value="$CGLS.Context/xbrli:context[
                    not(@i:nil='true' or @i:nil='1') 
                     and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
                     and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')] 
                    and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                    xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2 
                    and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^.*:ReportPartyTypeDimension$') and matches(.,'^.*:ReportingParty$')]) = 1
                    and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^.*:LossGenerationSourceDimension$') and matches(.,'^.*:Total$')]) = 1]
                    ]" />
<let name="RP.TOT.CGLS.ContextId" value="$RP.TOT.CGLS.Context/@id" />



  <let name="RP.Instant.TOT.CGLS.Context"
       value="$CGLS.Context/xbrli:context[ 
           not(@i:nil='true' or @i:nil='1') 
           and ./xbrli:period/xbrli:instant[not(@i:nil='true' or @i:nil='1')] 
           and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                    xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2 
                    and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^.*:ReportPartyTypeDimension$') and matches(.,'^.*:ReportingParty$')]) = 1
                    and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^.*:LossGenerationSourceDimension$') and matches(.,'^.*:Total$')]) = 1]
                    ]" />
                           
 <let name="RP.Instant.TOT.CGLS.ContextId" value="$RP.Instant.TOT.CGLS.Context/@id" />      
       
       
     <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1') and child::link:schemaRef[@xlink:href='http://sbr.gov.au/ato/ato.cgls.0006.2017.01.00.report.xsd']]">

  <!--
      IF (PARENT RETURN:Report.TargetFinancial.Year > 2014) AND (rvctc3.xx.xx:Tax.Losses.Utilised.Amount <> NULL)
      RETURN VALIDATION MESSAGE
      ENDIF

      -->
  <assert  id="VR.ATO.GEN.438041" diagnostics="DVR.ATO.GEN.438041"
           test="not(
                        number($CTR.Context/tns:Report.TargetFinancial.Year[@contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 2014
                        and
                        count($CGLS.Context/cgls:Tax.Losses.Utilised.Amount[@contextRef = $RP.CGLS.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0

                    )"/>

<!--
            IF (period.startDate WHERE CONTEXT(ALL)) <> PARENT RETURN:RP:period.startDate
               RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.438000" diagnostics="DVR.ATO.GEN.438000" test="not(
                        xbrli:context[@id=$RP.CGLS.ContextId]/xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')]
                        !=
                        $RP.CTR.Context/xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')]
                     )"></assert>
<!--
            IF RP:period.endDate <> PARENT RETURN:RP:period.endDate
            RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.438001" diagnostics="DVR.ATO.GEN.438001" test="not(
                        xbrli:context[@id=$RP.CGLS.ContextId]/xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]
                        !=
                        $RP.CTR.Context/xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]
                    )"></assert>
<!--
            Rule Id: VR.ATO.CGLS.404006
            
            IF [CGLS107] > 0 AND
            [CGLS107] <>[CTR117]
            RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS107] = CGLS:RP.TOT:cgls:Tax.Losses.Deducted.Amount
            [CTR117] = CTR:RP:rvctc2.02.00:IncomeTax.Deduction.TaxLossesDeducted.Amount
        -->

<assert  id="VR.ATO.CGLS.404006" diagnostics="DVR.ATO.CGLS.404006" test="
                        not(
                            cgls:Tax.Losses.Deducted.Amount[@contextRef=$RP.TOT.CGLS.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0]
                            and
                            (
                                sum(cgls:Tax.Losses.Deducted.Amount[@contextRef=$RP.TOT.CGLS.ContextId and not(@i:nil='true' or @i:nil='1')])
                                !=
                                sum($CTR.Context/tns:IncomeTax.Deduction.TaxLossesDeducted.Amount[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')])
                            )
                        )"></assert>
<!--
            Rule Id: VR.ATO.CGLS.404011
            
            IF [CGLS19] > 0 AND
            [CGLS19] <> [CTR175]
            RETURN VALIDATION MESSAGE
            END IF

            [CGLS19] = CGLS:RP.TOT:rvctc3.xx.xx:Tax.Losses.CarriedForward.Total.Amount
            [CTR175] = CTR:RP:rvctc3.xx.xx:Tax.Losses.CarriedForward.Total.Amount
        -->

<assert  id="VR.ATO.CGLS.404011" diagnostics="DVR.ATO.CGLS.404011" subject="cgls:Tax.Losses.CarriedForward.Total.Amount" test="
                        not(
                            cgls:Tax.Losses.CarriedForward.Total.Amount[@contextRef=$RP.TOT.CGLS.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0]
                            and
                            (
                                sum(cgls:Tax.Losses.CarriedForward.Total.Amount[@contextRef=$RP.TOT.CGLS.ContextId and not(@i:nil='true' or @i:nil='1')])
                                !=
                                sum($CTR.Context/tns:Tax.Losses.CarriedForward.Total.Amount[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')])
                            )
                        )"></assert>
<!--
            Rule Id: VR.ATO.CGLS.404020
            
            IF [CGLS34] > 0 AND
               [CGLS34] <> [CTR176]
               RETURN VALIDATION MESSAGE
            END IF

            [CGLS34] = CGLS:RP.TOT:rvctc3.xx.xx:Capital.Losses.CarriedForward.Net.Amount
            [CTR176] = CTR:RP:rvctc3.xx.xx:Capital.Losses.CarriedForward.Net.Amount
        -->

<assert  id="VR.ATO.CGLS.404020" diagnostics="DVR.ATO.CGLS.404020" subject="cgls:Capital.Losses.CarriedForward.Net.Amount" test="
                        not(
                            cgls:Capital.Losses.CarriedForward.Net.Amount[@contextRef=$RP.TOT.CGLS.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0] 
                            and
                            (
                                sum(cgls:Capital.Losses.CarriedForward.Net.Amount[@contextRef=$RP.TOT.CGLS.ContextId and not(@i:nil='true' or @i:nil='1')])
                                !=                                
                                sum($CTR.Context/tns:Capital.Losses.CarriedForward.Net.Amount[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')])
                            )
                        )"></assert>
<!--
            Rule Id: VR.ATO.GEN.402010
            
            IF (RP:pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifier <> NULLORBLANK) AND
            (PARENT RETURN:RP:pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifier <> NULLORBLANK) AND
            (RP:pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifier <> PARENT RETURN:RP:pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifier)
            RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.402010" diagnostics="DVR.ATO.GEN.402010" subject="cgls:Identifiers.AustralianBusinessNumber.Identifier" test="
                        not(                    
                            (
                                $CTR.Context/tns:Identifiers.AustralianBusinessNumber.Identifier[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0] 
                                and
                                cgls:Identifiers.AustralianBusinessNumber.Identifier[@contextRef=$RP.CGLS.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                            )
                            and
                            (
                                cgls:Identifiers.AustralianBusinessNumber.Identifier[@contextRef=$RP.CGLS.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                                !=
                                $CTR.Context/tns:Identifiers.AustralianBusinessNumber.Identifier[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                                
                            )
                        )"></assert>
<!--
            Rule Id: VR.ATO.GEN.402009
            
            IF RP:entity.identifier.TFN <> PARENT RETURN:RP:entity.identifier.TFN
            RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.402009" diagnostics="DVR.ATO.GEN.402009" subject="xbrli:context/xbrli:entity/xbrli:identifier" test="not(
                            xbrli:context[@id=$RP.CGLS.ContextId]/xbrli:entity/xbrli:identifier[(@scheme = 'http://www.ato.gov.au/tfn')and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                            !=
                            $RP.CTR.Context/xbrli:entity/xbrli:identifier[(@scheme = 'http://www.ato.gov.au/tfn') and not(@i:nil='true' or @i:nil='1')]
                            )"></assert>
<!--
            Rule Id: VR.ATO.GEN.428045
            Update Comment: CR 394
            
            IF RP:pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text
            IN TUPLE (xbrli\orgname1.xx.xx:OrganisationNameDetails) <> NULL
            AND RP:pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text
            IN TUPLE (xbrli\orgname1.xx.xx:OrganisationNameDetails) <> 
            (PARENT RETURN:RP:pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text
            IN TUPLE (xbrli\orgname2.xx.xx:OrganisationNameDetails)
            WHERE (TUPLE EXPLICIT pyde.xx.xx:OrganisationNameDetails.OrganisationalNameType.Code = "MN")
            AND  (TUPLE EXPLICIT pyde.xx.xx:OrganisationNameDetails.Currency.Code = "C")) 
               RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.428045" diagnostics="DVR.ATO.GEN.428045" subject="cgls:OrganisationNameDetails.OrganisationalName.Text" test="
                    not
                    (                    
                        count(cgls:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]/cgls:OrganisationNameDetails.OrganisationalName.Text[@contextRef=$RP.CGLS.ContextId and not(@i:nil='true' or @i:nil='1')])
                            != 0
                        and 
                            cgls:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]/cgls:OrganisationNameDetails.OrganisationalName.Text[@contextRef=$RP.CGLS.ContextId and not(@i:nil='true' or @i:nil='1')]
                            !=
                            $CTR.Context/tns:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]/tns:OrganisationNameDetails.OrganisationalName.Text[@contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0 
                            and ../tns:OrganisationNameDetails.OrganisationalNameType.Code = 'MN'
                            and ../tns:OrganisationNameDetails.Currency.Code = 'C']
                    )"></assert>
</rule>
</pattern>