﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="CrossFormCGTS" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>XBRL Cross Form Validations that are applicable to CGTS.</title>

<!-- CGTS Variables -->
<let name="CGT.Context" value="//xbrli:xbrl[child::link:schemaRef[@xlink:href='http://sbr.gov.au/taxonomy/sbr_au_reports/ato/cgts/cgts_0005/cgts.0005.lodge.request.02.00.report.xsd']]" />
                                                                            
<!-- RP.CGT Context -->
<let name="RP.CGT.Context" value="$CGT.Context/xbrli:context[
                 not(@i:nil='true' or @i:nil='1') 
                 and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
                 and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')] 
                 and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                 xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 1]/ 
                 xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]
               ]" />
<let name="RP.CGT.ContextId" value="$RP.CGT.Context/@id" />
<!-- 
        RP.Applied Context Variables 
    -->
<let name="RP.CGT.Applied.Context" value="$CGT.Context/xbrli:context[not(@i:nil='true' or @i:nil='1') and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]
                  /xbrli:segment[not(@i:nil='true' or @i:nil='1') 
                    and 2 = count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')])
                    and 1 = count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') 
                                    and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') 
                                    and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')])
                    and 1 = count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') 
                                    and matches(@dimension,'^AccntTrtmntMthdDim\.\d\d\.\d\d:AccountingTreatmentMethodDimension$') 
                                    and matches(.,'^AccntTrtmntMthdDim\.\d\d\.\d\d:Applied$')])]]" />
<let name="RP.CGT.Applied.ContextId" value="$RP.CGT.Applied.Context/@id" />
<!-- 
        RP.CGT.Collectables.Unapplied Context
    -->
<let name="RP.CGT.Collectables.Unapplied.Context" value="$CGT.Context/xbrli:context[not(@i:nil='true' or @i:nil='1') and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]
                  /xbrli:segment[not(@i:nil='true' or @i:nil='1') 
                    and 3 = count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')])
                    and 1 = count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') 
                                    and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') 
                                    and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')])
                    and 1 = count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') 
                                    and matches(@dimension,'^AssetType\.\d\d\.\d\d:AssetTypeDimension$') 
                                    and matches(.,'^AssetType\.\d\d\.\d\d:Collectables$')])
                    and 1 = count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') 
                                    and matches(@dimension,'^AccntTrtmntMthdDim\.\d\d\.\d\d:AccountingTreatmentMethodDimension$') 
                                    and matches(.,'^AccntTrtmntMthdDim\.\d\d\.\d\d:Unapplied$')])]]" />
<let name="RP.CGT.Collectables.Unapplied.ContextId" value="$RP.CGT.Collectables.Unapplied.Context/@id" />
<!-- 
        RP.CGT.CGTOther.Unapplied Context
    -->
<let name="RP.CGT.CGTOther.Unapplied.Context" value="$CGT.Context/xbrli:context[not(@i:nil='true' or @i:nil='1') and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]
                  /xbrli:segment[not(@i:nil='true' or @i:nil='1') 
                    and 3 = count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')])
                    and 1 = count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') 
                                    and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') 
                                    and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')])
                    and 1 = count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') 
                                    and matches(@dimension,'^AssetType\.\d\d\.\d\d:AssetTypeDimension$') 
                                    and matches(.,'^AssetType\.\d\d\.\d\d:CGTOther$')])
                    and 1 = count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') 
                                    and matches(@dimension,'^AccntTrtmntMthdDim\.\d\d\.\d\d:AccountingTreatmentMethodDimension$') 
                                    and matches(.,'^AccntTrtmntMthdDim\.\d\d\.\d\d:Unapplied$')])]]" />
<let name="RP.CGT.CGTOther.Unapplied.ContextId" value="$RP.CGT.CGTOther.Unapplied.Context/@id" />

  
  <let name="RP.CGT.EarnoutArrangementGroupNumber.Context" value="$CGT.Context/xbrli:context[not(@i:nil='true' or @i:nil='1') and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]
			            /xbrli:segment[not(@i:nil='true' or @i:nil='1')  
                    and 2 = count(./*)
                    and 1 = count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') 
				                          and matches(@dimension, '^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') 
				                          and matches(.,          '^RprtPyType\.\d\d\.\d\d:ReportingParty$')])
                    and 1 = count(./xbrldi:typedMember[not(@i:nil='true' or @i:nil='1') 
				                          and matches(@dimension, '^EarnoutArrgmtGrpItmDim\.\d\d\.\d\d:EarnoutArrangementGroupItemDimension$') 
				                          and 1 = count(./EarnoutArrgmtGrpItmDim.02.00:EarnoutArrangementGroupItemContainer[not(@i:nil='true' or @i:nil='1')])])]]" />
  <let name="RP.CGT.EarnoutArrangementGroupNumber.ContextId" value="$RP.CGT.EarnoutArrangementGroupNumber.Context/@id" />

  <let name="CGT.RP.TransfersToOtherClasses.Context"
       value="$CGT.Context/xbrli:context[not(@i:nil='true' or @i:nil='1') and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]
			    /xbrli:segment[not(@i:nil='true' or @i:nil='1')  
                    and 2 = count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')])
                    and 1 = count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') 
                                    and matches(@dimension, '^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') 
                                    and matches(.,          '^RprtPyType\.\d\d\.\d\d:ReportingParty$')])
                    and 1 = count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') 
                                    and matches(@dimension, '^AMITCharType\.\d\d\.\d\d:AMITCharacterTypeDimension$') 
                                    and matches(.,          '^AMITCharType\.\d\d\.\d\d:TransfersToOtherClasses$')])]]" />

  <let name="CGT.RP.TransfersToOtherClasses.ContextId" value="$CGT.RP.TransfersToOtherClasses.Context/@id" />
  
  <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1') and child::link:schemaRef[@xlink:href='http://sbr.gov.au/taxonomy/sbr_au_reports/ato/cgts/cgts_0005/cgts.0005.lodge.request.02.00.report.xsd']]">

<!--
                        
            IF (period.startDate WHERE CONTEXT(ALL)) <> PARENT RETURN:RP:period.startDate
            RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.438000" diagnostics="DVR.ATO.GEN.438000" test="not(
                        xbrli:context/xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')]
                        !=
                        $RP.CTR.Context/xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')]
                      )"></assert>

<!--
            IF (RP:entity.identifier.TFN <> PARENT RETURN:RP:entity.identifier.TFN)
                RETURN VALIDATION MESSAGE
            ENDIF            
        -->

<assert  id="VR.ATO.GEN.402009" diagnostics="DVR.ATO.GEN.402009" test="not(
                        xbrli:context[@id=$RP.CGT.ContextId]/xbrli:entity
                            /xbrli:identifier[(@scheme = 'http://www.ato.gov.au/tfn') and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                        !=
                        $RP.CTR.Context/xbrli:entity/xbrli:identifier[(@scheme = 'http://www.ato.gov.au/tfn') and not(@i:nil='true' or @i:nil='1')]
                      )"></assert>
<!--
            Period end date within context on schedule doesn't match end date within PARENT RETURN:reporting party context	
            
            IF RP:period.endDate <> PARENT RETURN:RP:period.endDate
            RETURN VALIDATION MESSAGE
            ENDIF
            VR.ATO.GEN.438001	CMN.ATO.GEN.438001
        -->

<assert  id="VR.ATO.GEN.438001" diagnostics="DVR.ATO.GEN.438001" test="not(                    
                            (
                                $RP.CTR.Context/xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:endDate[not(@i:nil='true' or @i:nil='1')] 
                                !=
                                xbrli:context/xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:endDate[not(@i:nil='true' or @i:nil='1')] 
                             ))"></assert>
<!--
            IF PARENT RETURN = "CTR" AND [CTR49] <> SET ("63100","62400") OR ([CGTS52] = "088")
            AND [CGTS126] > ((([CGTS118] - [CGTS123]) *0.33) +1)
               RETURN VALIDATION MESSAGE
            ENDIF

            [CTR52] = CTR:RP:pyde.02.22:OrganisationDetails.OrganisationType.Code
            [CGTS118] = CGTS:RP:rvctc3.02.11:Capital.Gains.Total.Amount
            [CGTS123] = CGTS:RP.Applied:rvctc3.02.11:Capital.Losses.Total.Amount
            [CGTS126] = CGTS:RP.Applied:gfagc.02.06:TaxConcession.CapitalGains.DiscountTotal.Amount
            [CTR49] = CTR:RP:pyde.02.14:OrganisationDetails.OrganisationIndustry2006Extended.Code
        -->

<assert  id="VR.ATO.CGTS.402173" diagnostics="DVR.ATO.CGTS.402173" test="not(
                        (not($CTR.Context/tns:OrganisationDetails.OrganisationIndustry2006Extended.Code[@contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^(63100|62400)$')])
                         or
                         $CTR.Context/tns:OrganisationDetails.OrganisationType.Code[@contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1') and . = '088'])
                         and
                        sum(gfagc.02.06:TaxConcession.CapitalGains.DiscountTotal.Amount[@contextRef=$RP.CGT.Applied.ContextId and not(@i:nil='true' or @i:nil='1')])
                        &gt;
                        (
                            (
                                sum(rvctc3.02.11:Capital.Gains.Total.Amount[@contextRef=$RP.CGT.ContextId and not(@i:nil='true' or @i:nil='1')])
                                -
                                sum(rvctc3.02.11:Capital.Losses.Total.Amount[@contextRef=$RP.CGT.Applied.ContextId and not(@i:nil='true' or @i:nil='1')])
                            ) * 0.33
                            + 1
                        )
                     )"></assert>
<!--
            IF PARENT RETURN = "TRT", "CTR" AND  [CGTS126] > ((([CGTS118] - [CGTS123]) *0.5) +1)
               RETURN VALIDATION MESSAGE
            ENDIF

            [CGTS118] = CGTS:RP:rvctc3.02.11:Capital.Gains.Total.Amount
            [CGTS123] = CGTS:RP.Applied:rvctc3.02.11:Capital.Losses.Total.Amount
            [CGTS126] = CGTS:RP.Applied:gfagc.02.06:TaxConcession.CapitalGains.DiscountTotal.Amount
        -->

<assert  id="VR.ATO.CGTS.402174" diagnostics="DVR.ATO.CGTS.402174" test="not(
                        sum(gfagc.02.06:TaxConcession.CapitalGains.DiscountTotal.Amount[@contextRef=$RP.CGT.Applied.ContextId and not(@i:nil='true' or @i:nil='1')])
                        &gt;
                        (
                            (
                                sum(rvctc3.02.11:Capital.Gains.Total.Amount[@contextRef=$RP.CGT.ContextId and not(@i:nil='true' or @i:nil='1')])
                                -
                                sum(rvctc3.02.11:Capital.Losses.Total.Amount[@contextRef=$RP.CGT.Applied.ContextId and not(@i:nil='true' or @i:nil='1')])
                            ) * 0.50
                            + 1
                        )
                     )"></assert>
<!--

            IF ([CTR53] <> "1") AND ([CGTS131] >0) AND ([CGTS125] <> 0) 
               RETURN VALIDATION MESSAGE 
            ENDIF

            [CGTS125] = CGTS:RP.CGTOther.Unapplied:rvctc3.02.16:Capital.Losses.CarriedForward.Net.Amount
            [CGTS131] = CGTS:RP:bafpr1.02.00:Income.CapitalGainsNet.Amount
            [CTR53] = CTR:RP:pyde.02.03:OrganisationDetails.TaxConsolidationStatus.Code
            
        -->

<assert  id="VR.ATO.CGTS.402203" diagnostics="DVR.ATO.CGTS.402203" test="not(
                            (number($CTR.Context/tns:OrganisationDetails.TaxConsolidationStatus.Code[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]) != 1)
                            and 
                            (bafpr1.02.00:Income.CapitalGainsNet.Amount[@contextRef=$RP.CGT.ContextId and not(@i:nil='true' or @i:nil='1')] &gt; 0)
                            and
                            (rvctc3.02.16:Capital.Losses.CarriedForward.Net.Amount[@contextRef=$RP.CGT.CGTOther.Unapplied.ContextId and not(@i:nil='true' or @i:nil='1')] != 0)
                          )"></assert>


    <!--
            IF (PARENT RETURN:RP:pyin.xx.xx:Report.Amendment.Indicator = TRUE) AND ([CGTS150] <> NULL AND [CGTS151] <> NULL)
               RETURN VALIDATION MESSAGE
            ENDIF

            [CGTS150] = CGTS:RP:pyin.02.37:Report.TargetFinancial.Year
            [CGTS151] = CGTS:RP:bafot.02.26:Miscellaneous.RequestedAmendment.Amount
      -->

    <assert id="VR.ATO.CGTS.402226" diagnostics="DVR.ATO.CGTS.402226" test="not(
                        $CTR.Context/tns:Report.Amendment.Indicator[@contextRef = $RP.CTR.ContextId and matches(.,'^(true|1)$')]
                        and (
                          pyin.02.00:Report.TargetFinancial.Year[@contextRef = $RP.CGT.EarnoutArrangementGroupNumber.ContextId and not(@i:nil='true')] 
                          and bafot.02.26:Miscellaneous.RequestedAmendment.Amount[@contextRef = $RP.CGT.EarnoutArrangementGroupNumber.ContextId and not(@i:nil='true')]
                        )
                      )"/>





    <!-- Rule ID: VR.ATO.CGTS.402230
              IF PARENT RETURN  <> "TRTAMI" AND
          ([CGTS153] <> NULL OR [CGTS154] <> NULL OR [CGTS155] <> NULL)
             RETURN VALIDATION MESSAGE
          ENDIF

          [CGTS153] = CGTS:RP:rvctc1.02.22:IncomeTax.AttributionManagedInvestmentTrustClass.Description
          [CGTS154] = CGTS:RP.TransfersToOtherClasses:rvctc3.02.11:Capital.Gains.Total.Amount
          [CGTS155] = CGTS:RP.TransfersToOtherClasses:rvctc3.02.11:Capital.Losses.Total.Amount

    -->
    <assert  id="VR.ATO.CGTS.402230" diagnostics="DVR.ATO.CGTS.402230"
             test="not(
                          rvctc1.02.22:IncomeTax.AttributionManagedInvestmentTrustClass.Description[not(@i:nil='true') and @contextRef = $RP.CGT.ContextId] or
                          rvctc3.02.11:Capital.Gains.Total.Amount[not(@i:nil='true') and @contextRef = $CGT.RP.TransfersToOtherClasses.ContextId] or
                          rvctc3.02.11:Capital.Losses.Total.Amount[not(@i:nil='true') and @contextRef = $CGT.RP.TransfersToOtherClasses.ContextId] 
                      )" />
    <!--
    Rule ID: VR.ATO.CGTS.402240

    IF ([CGTS150] <> NULL) AND ([CGTS150] = (PARENT RETURN:RP:pyin.xx.xx:Report.TargetFinancial.Year))
    RETURN VALIDATION MESSAGE
    ENDIF

    [CGTS150] = CGTS:RP.{EarnoutArrangementGroupNumber}:pyin.02.00:Report.TargetFinancial.Year
    -->

    <assert id="VR.ATO.CGTS.402240" diagnostics="DVR.ATO.CGTS.402240" 
            test="not(                   
                        pyin.02.00:Report.TargetFinancial.Year[
                            @contextRef = $RP.CGT.EarnoutArrangementGroupNumber.ContextId
                            and not(@i:nil='true')] 
                            
                 and (
                        pyin.02.00:Report.TargetFinancial.Year[
                            @contextRef = $RP.CGT.EarnoutArrangementGroupNumber.ContextId
                            and not(@i:nil='true')] =  
                            $CTR.Context/tns:Report.TargetFinancial.Year[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]
                     )
                )" />


      <!--
          IF PARENT RETURN:RP:pyin.xx.xx:Report.TargetFinancial.Year <> 2017 AND [CGTS161] <> NULL
          RETURN VALIDATION MESSAGE
          ENDIF

          [CGTS161] = CGTS:RP:rvctc3.02.36:CapitalGainsTax.DeferredRelief.Indicator
          VR.ATO.CGTS.402242	CMN.ATO.CGTS.402242
      -->
      <assert id="VR.ATO.CGTS.402242" diagnostics="DVR.ATO.CGTS.402242"
              test="not(   
                        not($CTR.Context/tns:Report.TargetFinancial.Year[@contextRef = $RP.CTR.ContextId and matches(.,'^2017$')])
                        and rvctc3.02.36:CapitalGainsTax.DeferredRelief.Indicator[@contextRef = $RP.CGT.ContextId and not(@i:nil='true')] 
                    )" />

      <!--Rule id: VR.ATO.CGTS.402243	CMN.ATO.CGTS.402243

          IF PARENT RETURN:RP:pyin.xx.xx:Report.Amendment.Indicator = TRUE AND [CGTS161] <> NULL
          RETURN VALIDATION MESSAGE
          ENDIF

          [CGTS161] = CGTS:RP:rvctc3.02.36:CapitalGainsTax.DeferredRelief.Indicator
      -->
      <assert id="VR.ATO.CGTS.402243" diagnostics="DVR.ATO.CGTS.402243"
              test="not(                   
                        $CTR.Context/tns:Report.Amendment.Indicator[@contextRef = $RP.CTR.ContextId and matches(.,'^(true|1)$')]
                        and rvctc3.02.36:CapitalGainsTax.DeferredRelief.Indicator[@contextRef = $RP.CGT.ContextId and not(@i:nil='true')] 
                    )" />

      <!--
          IF PARENT RETURN:RP:pyin.xx.xx:Report.Amendment.Indicator = TRUE AND [CGTS162] <> NULL
          RETURN VALIDATION MESSAGE
          ENDIF

          [CGTS162] = CGTS:RP:rvctc3.02.36:CapitalGainsTax.DeferredRelief.Amount
          VR.ATO.CGTS.402248	CMN.ATO.CGTS.402248
      -->
      <assert id="VR.ATO.CGTS.402248" diagnostics="DVR.ATO.CGTS.402248"
              test="not(                   
                        $CTR.Context/tns:Report.Amendment.Indicator[@contextRef = $RP.CTR.ContextId and matches(.,'^(true|1)$')]
                        and rvctc3.02.36:CapitalGainsTax.DeferredRelief.Amount[@contextRef = $RP.CGT.ContextId and not(@i:nil='true')] 
                    )" />

  </rule>
</pattern>