﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="CrossFormRDTIS" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>XBRL Cross Form Validations that are applicable across RDTIS</title>

<!-- RP.RDTIS Context Variables -->
<let name="RDTIS.Context" value="//xbrli:xbrl[not(@i:nil='true' or @i:nil='1') and child::link:schemaRef[@xlink:href='http://sbr.gov.au/taxonomy/sbr_au_reports/ato/rdtis/rdtis_0002/rdtis.0002.lodge.request.02.00.report.xsd']]" />
<let name="RP.RDTIS.Context" value="$RDTIS.Context/xbrli:context[
            not(@i:nil='true' or @i:nil='1') 
            and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
            and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')] 
            and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
            xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 1]/ 
            xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]
         ]" />
<let name="RP.RDTIS.ContextId" value="$RP.RDTIS.Context/@id" />

  <!--<let name="RP.RDTIS.Context" value="$RDTIS.Context/xbrli:context[
                      not(@i:nil='true' or @i:nil='1') 
                      and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                      xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 1]/ 
                      xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType.\d\d\.\d\d:ReportingParty$')]
                    ]" />
  <let name="RP.RDTIS.ContextId" value="$RP.RDTIS.Context/@id" />-->

  
<rule context="//xbrli:xbrl[not(@i:nil='true' or @i:nil='1') and child::link:schemaRef[@xlink:href='http://sbr.gov.au/taxonomy/sbr_au_reports/ato/rdtis/rdtis_0002/rdtis.0002.lodge.request.02.00.report.xsd']]">
                                                                                                   

  <!--
            IF (period.startDate WHERE CONTEXT(ALL)) <> PARENT RETURN:RP:period.startDate
               RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.438000" diagnostics="DVR.ATO.GEN.438000" 
                test="not(
                        xbrli:context[@id=$RP.RDTIS.ContextId]/xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')]
                        !=
                        $RP.CTR.Context/xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')]
                      )"/>
        <!--
            IF RP:period.endDate <> PARENT RETURN:RP:period.endDate
            RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.438001" diagnostics="DVR.ATO.GEN.438001" 
                test="not(
                        xbrli:context[@id=$RP.RDTIS.ContextId]/xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]
                        !=
                        $RP.CTR.Context/xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]
                    )"/>
        <!--
            Rule ID: VR.ATO.GEN.402009
            IF (RP:entity.identifier.TFN 
                <> PARENT RETURN:RP:entity.identifier.TFN)
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.402009" diagnostics="DVR.ATO.GEN.402009.RDTIS" 
                test="not(
                            xbrli:context[@id=$RP.RDTIS.ContextId]/xbrli:entity/xbrli:identifier[(@scheme = 'http://www.ato.gov.au/tfn')and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                            !=
                            $RP.CTR.Context/xbrli:entity/xbrli:identifier[(@scheme = 'http://www.ato.gov.au/tfn') and not(@i:nil='true' or @i:nil='1')]
                         )"/>

  <!--
     IF (PARENT RETURN:RP:period.endDate <= "2015-05-31") AND
        [RDTIS45] <> NULL AND
        [RDTIS46] <> ([RDTIS45] * 0.45) +/- 1
           RETURN VALIDATION MESSAGE
        ENDIF

      [RDTIS45] = RDTIS:RP:gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetNotionalRefundable.Amount
      [RDTIS46] = RDTIS:RP:gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetRefundable.Amount
  -->
    <assert  id="VR.ATO.RDTIS.438055" diagnostics="DVR.ATO.RDTIS.438055"           
            test=" not( 
                    $RP.CTR.Context/xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1') and function:IsDate1GreaterOrEqualToDate2('2015-05-31',.)]
                        and
                         count(gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetNotionalRefundable.Amount[@contextRef = $RP.RDTIS.ContextId and not(@i:nil='true' or @i:nil='1')]) !=0
                           and
                             abs( round(100 * xs:decimal(sum(gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetRefundable.Amount[@contextRef = $RP.RDTIS.ContextId and not(@i:nil='true' or @i:nil='1')]))) -
                                  round(100 * 0.45 * xs:decimal(sum(gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetNotionalRefundable.Amount[@contextRef = $RP.RDTIS.ContextId and not(@i:nil='true' or @i:nil='1')])))                                                
                          ) &gt;100
             )"></assert>
  
      <!--
      IF (PARENT RETURN:RP:period.endDate <= "2015-05-31") AND
        [RDTIS47] <> NULL AND
        [RDTIS48] <> ([RDTIS47] * 0.4) +/-1
           RETURN VALIDATION MESSAGE
        ENDIF

        [RDTIS47] = RDTIS:RP:gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetNotionalNonRefundable.Amount
        [RDTIS48] = RDTIS:RP:gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetNonRefundable.Amount
      -->
  
  <assert  id="VR.ATO.RDTIS.438059" diagnostics="DVR.ATO.RDTIS.438059"
          test=" not( 
                      $RP.CTR.Context/xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1') and function:IsDate1GreaterOrEqualToDate2('2015-05-31',.)]
                        and
                         count(gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetNotionalNonRefundable.Amount[@contextRef = $RP.RDTIS.ContextId and not(@i:nil='true' or @i:nil='1')]) !=0
                           and
                             abs( round(100 * xs:decimal(sum(gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetNonRefundable.Amount[@contextRef = $RP.RDTIS.ContextId and not(@i:nil='true' or @i:nil='1')]))) -
                                  round(100 * 0.40 * xs:decimal(sum(gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetNotionalNonRefundable.Amount[@contextRef = $RP.RDTIS.ContextId and not(@i:nil='true' or @i:nil='1')])))                                                
                          ) &gt;100
             )"></assert>
  
  <!--
      IF (PARENT RETURN:RP:period.startDate >= "2016-07-01") AND 
      "IF [RDTIS45] <> NULL AND
        [RDTIS45] <= 100000000 AND
        [RDTIS46] <> ([RDTIS45] * 0.435) +/- 1
               RETURN VALIDATION MESSAGE
        ENDIF

        [RDTIS45] = RDTIS:RP:gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetNotionalRefundable.Amount
        [RDTIS46] = RDTIS:RP:gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetRefundable.Amount
        "

  -->
  <assert  id="VR.ATO.RDTIS.438069" diagnostics="DVR.ATO.RDTIS.438069"           
            test=" not( 
                    $RP.CTR.Context/xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1') and function:IsDate1GreaterOrEqualToDate2(., '2016-07-01')]
                    and 
                      count(gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetNotionalRefundable.Amount[@contextRef = $RP.RDTIS.ContextId and not(@i:nil='true' or @i:nil='1')]) !=0
                           and
                           round(100 * xs:decimal(sum(gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetNotionalRefundable.Amount[@contextRef = $RP.RDTIS.ContextId and not(@i:nil='true' or @i:nil='1')]))) &lt;= (100 * 100000000)
                            and
                             abs( round(100 * xs:decimal(sum(gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetRefundable.Amount[@contextRef = $RP.RDTIS.ContextId and not(@i:nil='true' or @i:nil='1')]))) -
                                  round(100 * 0.435 * xs:decimal(sum(gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetNotionalRefundable.Amount[@contextRef = $RP.RDTIS.ContextId and not(@i:nil='true' or @i:nil='1')])))                                                
                          ) &gt;100
             )"></assert>

  <!--
  IF (PARENT RETURN:RP:period.startDate >= "2016-07-01") AND
      "IF [RDTIS45] <> NULL AND
      [RDTIS45] > 100000000 AND
      [RDTIS46] <> (43500000 + (([RDTIS45] – 100000000)* 0.30)) +/- 1
             RETURN VALIDATION MESSAGE
      ENDIF

      [RDTIS45] = RDTIS:RP:gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetNotionalRefundable.Amount
      [RDTIS46] = RDTIS:RP:gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetRefundable.Amount
      "
  -->
  <assert  id="VR.ATO.RDTIS.438070" diagnostics="DVR.ATO.RDTIS.438070"
           test=" not( 
           $RP.CTR.Context/xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1') and function:IsDate1GreaterOrEqualToDate2(., '2016-07-01')]
                    and 
                      count(gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetNotionalRefundable.Amount[@contextRef = $RP.RDTIS.ContextId and not(@i:nil='true' or @i:nil='1')]) !=0
                           and
                           round(100 * xs:decimal(sum(gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetNotionalRefundable.Amount[@contextRef = $RP.RDTIS.ContextId and not(@i:nil='true' or @i:nil='1')]))) &gt; (100 * 100000000)
                            and
                             abs( round(100 * xs:decimal(sum(gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetRefundable.Amount[@contextRef = $RP.RDTIS.ContextId and not(@i:nil='true' or @i:nil='1')]))) -
                                  round(100 * ((0.30 * xs:decimal(sum(gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetNotionalRefundable.Amount[@contextRef = $RP.RDTIS.ContextId and not(@i:nil='true' or @i:nil='1')])-100000000)) + 43500000))                                                
                          ) &gt;100
					 )"></assert>

  <!--
  IF (PARENT RETURN:RP:period.startDate >= "2016-07-01") AND
      "IF [RDTIS47] <> NULL AND
        [RDTIS47] <= 100000000 AND
        [RDTIS48] <> ([RDTIS47] * 0.385) +/-1
           RETURN VALIDATION MESSAGE
        ENDIF

        [RDTIS47] = RDTIS:RP:gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetNotionalNonRefundable.Amount
        [RDTIS48] = RDTIS:RP:gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetNonRefundable.Amount
        "

      -->

  <assert  id="VR.ATO.RDTIS.438071" diagnostics="DVR.ATO.RDTIS.438071"
          test=" not( 
          $RP.CTR.Context/xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1') and function:IsDate1GreaterOrEqualToDate2(., '2016-07-01')]
                    and 
                      count(gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetNotionalNonRefundable.Amount[@contextRef = $RP.RDTIS.ContextId and not(@i:nil='true' or @i:nil='1')]) !=0
                           and
                            round(100 * xs:decimal(sum(gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetNotionalNonRefundable.Amount[@contextRef = $RP.RDTIS.ContextId and not(@i:nil='true' or @i:nil='1')]))) &lt;= (100 * 100000000)
                            and
                             abs( round(100 * xs:decimal(sum(gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetNonRefundable.Amount[@contextRef = $RP.RDTIS.ContextId and not(@i:nil='true' or @i:nil='1')]))) -
                                  round(100 * 0.385 * xs:decimal(sum(gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetNotionalNonRefundable.Amount[@contextRef = $RP.RDTIS.ContextId and not(@i:nil='true' or @i:nil='1')])))                                                
                          ) &gt;100
             )"></assert>

  <!--
  IF (PARENT RETURN:RP:period.startDate >= "2016-07-01") AND 
     "IF [RDTIS47] <> NULL AND
      [RDTIS47] <= 100000000 AND
      [RDTIS48] <> ([RDTIS47] * 0.385) +/-1
         RETURN VALIDATION MESSAGE
      ENDIF

      [RDTIS47] = RDTIS:RP:gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetNotionalNonRefundable.Amount
      [RDTIS48] = RDTIS:RP:gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetNonRefundable.Amount
      "

  -->
  <assert  id="VR.ATO.RDTIS.438072" diagnostics="DVR.ATO.RDTIS.438072"
           test="not( 
            $RP.CTR.Context/xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1') and function:IsDate1GreaterOrEqualToDate2(., '2016-07-01')]
                    and 
                      count(gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetNotionalNonRefundable.Amount[@contextRef = $RP.RDTIS.ContextId and not(@i:nil='true' or @i:nil='1')]) !=0
                           and
                           round(100 * xs:decimal(sum(gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetNotionalNonRefundable.Amount[@contextRef = $RP.RDTIS.ContextId and not(@i:nil='true' or @i:nil='1')]))) &gt; (100 * 100000000)
                            and
                             abs( round(100 * xs:decimal(sum(gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetNonRefundable.Amount[@contextRef = $RP.RDTIS.ContextId and not(@i:nil='true' or @i:nil='1')]))) -
                                  round(100 * ((0.30 * xs:decimal(sum(gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetNotionalNonRefundable.Amount[@contextRef = $RP.RDTIS.ContextId and not(@i:nil='true' or @i:nil='1')])-100000000)) + 38500000))                                                
                          ) &gt;100
					 )"></assert>


  <!--
      IF (PARENT RETURN:RP:period.startDate < ""2016-07-01"") AND
      [RDTIS45] <> NULL AND
      [RDTIS45] <= 100000000 AND
      [RDTIS46] <> ([RDTIS45] * 0.45) +/- 1
         RETURN VALIDATION MESSAGE
      ENDIF 
      [RDTIS45] = RDTIS:RP:gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetNotionalRefundable.Amount
      [RDTIS46] = RDTIS:RP:gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetRefundable.Amount
  -->
  <assert  id="VR.ATO.RDTIS.438077" diagnostics="DVR.ATO.RDTIS.438077"
            test=" not( 
                    $RP.CTR.Context/xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1') and function:IsDate1GreaterThanDate2('2016-07-01', .)]
                    and 
                      count(gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetNotionalRefundable.Amount[@contextRef = $RP.RDTIS.ContextId and not(@i:nil='true' or @i:nil='1')]) !=0
                           and
                           round(100 * xs:decimal(sum(gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetNotionalRefundable.Amount[@contextRef = $RP.RDTIS.ContextId and not(@i:nil='true' or @i:nil='1')]))) &lt;= (100 * 100000000)
                            and
                             abs( round(100 * xs:decimal(sum(gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetRefundable.Amount[@contextRef = $RP.RDTIS.ContextId and not(@i:nil='true' or @i:nil='1')]))) -
                                  round(100 * 0.45 * xs:decimal(sum(gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetNotionalRefundable.Amount[@contextRef = $RP.RDTIS.ContextId and not(@i:nil='true' or @i:nil='1')])))                                                
                          ) &gt;100
             )"></assert>

  <!--
  "IF (PARENT RETURN:RP:period.startDate < ""2016-07-01"") AND
  [RDTIS45] <> NULL AND
  [RDTIS45] > 100000000 AND
  [RDTIS46] <> (45000000 + (([RDTIS45] – 100000000)* 0.30)) +/- 1
     RETURN VALIDATION MESSAGE
  ENDIF
  [RDTIS45] = RDTIS:RP:gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetNotionalRefundable.Amount
  [RDTIS46] = RDTIS:RP:gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetRefundable.Amount
  -->
  <assert  id="VR.ATO.RDTIS.438078" diagnostics="DVR.ATO.RDTIS.438078"
           test=" not( 
            $RP.CTR.Context/xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1') and function:IsDate1GreaterThanDate2('2016-07-01', .)]
                    and 
                      count(gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetNotionalRefundable.Amount[@contextRef = $RP.RDTIS.ContextId and not(@i:nil='true' or @i:nil='1')]) !=0
                           and
                           round(100 * xs:decimal(sum(gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetNotionalRefundable.Amount[@contextRef = $RP.RDTIS.ContextId and not(@i:nil='true' or @i:nil='1')]))) &gt; (100 * 100000000)
                            and
                             abs( round(100 * xs:decimal(sum(gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetRefundable.Amount[@contextRef = $RP.RDTIS.ContextId and not(@i:nil='true' or @i:nil='1')]))) -
                                  round(100 * ((0.30 * xs:decimal(sum(gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetNotionalRefundable.Amount[@contextRef = $RP.RDTIS.ContextId and not(@i:nil='true' or @i:nil='1')])-100000000)) + 45000000))                                                
                          ) &gt;100
					 )"></assert>


  <!--
       "IF (PARENT RETURN:RP:period.startDate < ""2016-07-01"") AND
        [RDTIS47] <> NULL AND
        [RDTIS47] <= 100000000 AND
        [RDTIS48] <> ([RDTIS47] * 0.4) +/-1
           RETURN VALIDATION MESSAGE
        ENDIF
        [RDTIS47] = RDTIS:RP:gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetNotionalNonRefundable.Amount
        [RDTIS48] = RDTIS:RP:gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetNonRefundable.Amount

      -->

  <assert  id="VR.ATO.RDTIS.438079" diagnostics="DVR.ATO.RDTIS.438079"
          test=" not( 
          $RP.CTR.Context/xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1') and function:IsDate1GreaterThanDate2('2016-07-01', .)]
                    and 
                      count(gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetNotionalNonRefundable.Amount[@contextRef = $RP.RDTIS.ContextId and not(@i:nil='true' or @i:nil='1')]) !=0
                           and
                            round(100 * xs:decimal(sum(gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetNotionalNonRefundable.Amount[@contextRef = $RP.RDTIS.ContextId and not(@i:nil='true' or @i:nil='1')]))) &lt;= (100 * 100000000)
                            and
                             abs( round(100 * xs:decimal(sum(gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetNonRefundable.Amount[@contextRef = $RP.RDTIS.ContextId and not(@i:nil='true' or @i:nil='1')]))) -
                                  round(100 * 0.4 * xs:decimal(sum(gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetNotionalNonRefundable.Amount[@contextRef = $RP.RDTIS.ContextId and not(@i:nil='true' or @i:nil='1')])))                                                
                          ) &gt;100
             )"></assert>

  <!--
      "IF (PARENT RETURN:RP:period.startDate < ""2016-07-01"") AND
      [RDTIS47] <> NULL AND
      [RDTIS47] > 100000000 AND
      [RDTIS48] <> (40000000 + (([RDTIS47] – 100000000) * 0.30)) +/- 1
         RETURN VALIDATION MESSAGE
      ENDIF
      [RDTIS47] = RDTIS:RP:gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetNotionalNonRefundable.Amount
      [RDTIS48] = RDTIS:RP:gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetNonRefundable.Amount
      "

  -->
  <assert  id="VR.ATO.RDTIS.438080" diagnostics="DVR.ATO.RDTIS.438080"
           test="not( 
             $RP.CTR.Context/xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1') and function:IsDate1GreaterThanDate2('2016-07-01', .)]
                    and 
                      count(gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetNotionalNonRefundable.Amount[@contextRef = $RP.RDTIS.ContextId and not(@i:nil='true' or @i:nil='1')]) !=0
                           and
                           round(100 * xs:decimal(sum(gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetNotionalNonRefundable.Amount[@contextRef = $RP.RDTIS.ContextId and not(@i:nil='true' or @i:nil='1')]))) &gt; (100 * 100000000)
                            and
                             abs( round(100 * xs:decimal(sum(gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetNonRefundable.Amount[@contextRef = $RP.RDTIS.ContextId and not(@i:nil='true' or @i:nil='1')]))) -
                                  round(100 * ((0.30 * xs:decimal(sum(gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetNotionalNonRefundable.Amount[@contextRef = $RP.RDTIS.ContextId and not(@i:nil='true' or @i:nil='1')])-100000000)) + 40000000))                                                
                          ) &gt;100
					 )"></assert>
  
</rule>
    
</pattern>