﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="CrossFormVariables" xmlns="http://purl.oclc.org/dsdl/schematron">
  <title>XBRL Cross Form Variables.</title>

  <!-- CTR Variables -->
  <let name="CTR.Context" value="//xbrli:xbrl[child::link:schemaRef[@xlink:href='http://sbr.gov.au/ato/ato.ctr.0008.2017.01.00.report.xsd']]" />




  <let name="RP.CTR.Context" value="$CTR.Context/xbrli:context[
              not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 1]/ 
              xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^.*:ReportPartyTypeDimension$') and matches(.,'^.*:ReportingParty$')]
           ]" />
  <let name="RP.CTR.ContextId" value="$RP.CTR.Context/@id" />

  <let name="RP.Instant.CTR.Context" value="$CTR.Context/xbrli:context[
              not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:period/xbrli:instant[not(@i:nil='true' or @i:nil='1')]              
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 1]/
              xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^.*:ReportPartyTypeDimension$') and matches(.,'^.*:ReportingParty$')]
           ]" />
  <let name="RP.Instant.CTR.ContextId" value="$RP.Instant.CTR.Context/@id" />

  <let name="INT.CTR.Context" value="$CTR.Context/xbrli:context[
              not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 1]/ 
              xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^.*:ReportPartyTypeDimension$') and matches(.,'^.*:Intermediary$')]
           ]" />
  <let name="INT.CTR.ContextId" value="$INT.CTR.Context/@id" />
  <!-- RP.CFCLC Context -->
  <let name="RP.CFCLC.CTR.Context" value="$CTR.Context/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^.*:ReportPartyTypeDimension$') and matches(.,'^.*:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^.*:CountryOfResidencyCFCClassificationDimension$') and matches(.,'^.*:ListedCountry$')]) = 1]
           ]" />
  <!-- RP.CFCLC Context Id -->
  <let name="RP.CFCLC.CTR.ContextId" value="$RP.CFCLC.CTR.Context/@id" />


  <!-- RP.CFCUC Context -->
  <let name="RP.CFCUC.CTR.Context" value="$CTR.Context/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^.*:ReportPartyTypeDimension$') and matches(.,'^.*:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^.*:CountryOfResidencyCFCClassificationDimension$') and matches(.,'^.*:UnlistedCountry$')]) = 1]
           ]" />
  <!-- RP.CFCUC Context Id -->
  <let name="RP.CFCUC.CTR.ContextId" value="$RP.CFCUC.CTR.Context/@id" />

  <!-- RP.JFOREIGN Context -->
  <let name="RP.JFOREIGN.CTR.Context" value="$CTR.Context/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^.*:ReportPartyTypeDimension$') and matches(.,'^.*:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^.*:InternationalJurisdictionDimension$') and matches(.,'^.*:Foreign$')]) = 1]
           ]" />
  <!-- RP.JFOREIGN Context Id -->
  <let name="RP.JFOREIGN.CTR.ContextId" value="$RP.JFOREIGN.CTR.Context/@id" />
  <!-- RP.JAUS Context -->
  <let name="RP.JAUS.CTR.Context" value="$CTR.Context/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^.*:ReportPartyTypeDimension$') and matches(.,'^.*:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^.*:InternationalJurisdictionDimension$') and matches(.,'^.*:Australian$')]) = 1]
           ]" />
  <!-- RP.JAUS Context Id -->
  <let name="RP.JAUS.CTR.ContextId" value="$RP.JAUS.CTR.Context/@id" />



  <!-- RP.TOFA Context -->
  <let name="RP.TOFA.CTR.Context" value="$CTR.Context/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^.*:ReportPartyTypeDimension$') and matches(.,'^.*:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^.*:FinancialArrangementTypeDimension$') and matches(.,'^.*:TOFA$')]) = 1]
           ]" />
  <!-- RP.TOFA Context Id -->
  <let name="RP.TOFA.CTR.ContextId" value="$RP.TOFA.CTR.Context/@id" />
  <!-- IEE Variables -->
  <let name="IEE.Context" value="//xbrli:xbrl[child::link:schemaRef[@xlink:href='http://sbr.gov.au/taxonomy/sbr_au_reports/ato/iee/iee_0002/iee.0002.lodge.request.02.00.report.xsd']]" />
  <let name="RP.IEE.Context" value="$IEE.Context/xbrli:context[
              not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 1]/ 
              xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]
           ]" />
  <let name="RP.IEE.ContextId" value="$RP.IEE.Context/@id" />
  <let name="INT.IEE.Context" value="$IEE.Context/xbrli:context[
              not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 1]/ 
              xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:Intermediary$')]
           ]" />
  <let name="INT.IEE.ContextId" value="$INT.IEE.Context/@id" />
  <!-- RDTIS Variables -->
  <let name="RAD.Context" value="//xbrli:xbrl[not(@i:nil='true' or @i:nil='1') and child::link:schemaRef[@xlink:href='http://sbr.gov.au/taxonomy/sbr_au_reports/ato/rds/rds_0001/rds.0001.lodge.request.02.00.report.xsd']]" />
  <let name="RP.RAD.Context" value="$RAD.Context/xbrli:context[
              not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 1]/ 
              xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]
           ]" />
  <let name="RP.RAD.ContextId" value="$RP.RAD.Context/@id" />
  <!-- RP.CTAUST Context -->
  <let name="RP.CTAUST.RAD.Context" value="$RAD.Context/xbrli:context[
              not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^ConcessionType.\d\d\.\d\d:ConcessionTypeDimension$') and matches(.,'^ConcessionType\.\d\d\.\d\d:Australian$')]) = 1]
           ]" />
  <!-- RP.CTAUST Context id -->
  <let name="RP.CTAUST.RAD.ContextId" value="$RP.CTAUST.RAD.Context/@id" />
  <!-- RP.CTFGN Context -->
  <let name="RP.CTFGN.RAD.Context" value="$RAD.Context/xbrli:context[
              not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^ConcessionType.\d\d\.\d\d:ConcessionTypeDimension$') and matches(.,'^ConcessionType\.\d\d\.\d\d:Foreign$')]) = 1]
           ]" />
  <!-- RP.CTFGN Context id -->
  <let name="RP.CTFGN.RAD.ContextId" value="$RP.CTFGN.RAD.Context/@id" />
  <!-- RP.CTAUSTC Context -->
  <let name="RP.CTAUSTC.RAD.Context" value="$RAD.Context/xbrli:context[
              not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^ConcessionType.\d\d\.\d\d:ConcessionTypeDimension$') and matches(.,'^ConcessionType\.\d\d\.\d\d:AustralianConcessional$')]) = 1]
           ]" />
  <!-- RP.CTAUSTC Context id -->
  <let name="RP.CTAUSTC.RAD.ContextId" value="$RP.CTAUSTC.RAD.Context/@id" />

  <!-- CGNFT Variables -->
  <let name="CGNFT.Context" value="//xbrli:xbrl[child::link:schemaRef[@xlink:href='http://sbr.gov.au/taxonomy/sbr_au_reports/ato/cgnft/cgnft_0001/cgnft.0001.lodge.request.02.00.report.xsd']]" />
  <let name="RP.CGNFT.Context" value="$CGNFT.Context/xbrli:context
            [
                not(@i:nil='true' or @i:nil='1') 
                and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
                and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')] 
                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                xbrli:segment
                [
                    not(@i:nil='true' or @i:nil='1') 
                    and 
                    count(./xbrldi:explicitMember) = 1]/xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') 
                    and 
                    matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') 
                    and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')
                ]
          ]" />
  <let name="RP.CGNFT.ContextId" value="$RP.CGNFT.Context/@id" />

  
</pattern>