﻿<!--<?xml version="1.0" encoding="utf-8"?>-->
<pattern id="CrossFormLOS" xmlns="http://purl.oclc.org/dsdl/schematron">
  <title>XBRL Cross Form Validations that are applicable accross all of the ITR services.</title>

  <!-- LOS Variables -->
  <let name="LOS.Context" value="//xbrli:xbrl[not(@i:nil='true' or @i:nil='1') and child::link:schemaRef[@xlink:href='http://sbr.gov.au/ato/ato.ls.0006.2017.01.00.report.xsd']]" />


  <let name="RP.LOS.Context" value="$LOS.Context/xbrli:context[
                    not(@i:nil='true' or @i:nil='1') 
                    and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                    xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 1]/ 
                    xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^.*:ReportPartyTypeDimension$') and matches(.,'^.*:ReportingParty$')]
                    ]" />
  <let name="RP.LOS.ContextId" value="$RP.LOS.Context/@id" />
  <!--RP.Y0 Context Variables -->
  <let name="RP.Y0.LOS.Context" value="$LOS.Context/xbrli:context[
                    not(@i:nil='true' or @i:nil='1') 
                    and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                    xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2 
                    and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^.*:ReportPartyTypeDimension$') and matches(.,'^.*:ReportingParty$')]) = 1
                    and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^.*:RelativePeriodDurationDimension$') and matches(.,'^.*:Y0$')]) = 1]
                    ]" />
  <let name="RP.Y0.LOS.ContextId" value="$RP.Y0.LOS.Context/@id" />
  <!--RP.Y0Minus1 Context Variables -->
  <let name="RP.Y0-1.LOS.Context" value="$LOS.Context/xbrli:context[
                    not(@i:nil='true' or @i:nil='1') 
                    and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                    xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2 
                    and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^.*:ReportPartyTypeDimension$') and matches(.,'^.*:ReportingParty$')]) = 1
                    and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^.*:RelativePeriodDurationDimension$') and matches(.,'^.*:Y0Minus1$')]) = 1]
                    ]" />
  <let name="RP.Y0-1.LOS.ContextId" value="$RP.Y0-1.LOS.Context/@id" />
  <!--RP.Y0Minus2 Context Variables -->
  <let name="RP.Y0-2.LOS.Context" value="$LOS.Context/xbrli:context[
                    not(@i:nil='true' or @i:nil='1') 
                    and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                    xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2 
                    and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^.*:ReportPartyTypeDimension$') and matches(.,'^.*:ReportingParty$')]) = 1
                    and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^.*:RelativePeriodDurationDimension$') and matches(.,'^.*:Y0Minus2$')]) = 1]
                    ]" />
  <let name="RP.Y0-2.LOS.ContextId" value="$RP.Y0-2.LOS.Context/@id" />
  <!--RP.Y0Minus3 Context Variables -->
  <let name="RP.Y0-3.LOS.Context" value="$LOS.Context/xbrli:context[
                    not(@i:nil='true' or @i:nil='1') 
                    and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                    xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2 
                    and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^.*:ReportPartyTypeDimension$') and matches(.,'^.*:ReportingParty$')]) = 1
                    and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^.*:RelativePeriodDurationDimension$') and matches(.,'^.*:Y0Minus3$')]) = 1]
                    ]" />
  <let name="RP.Y0-3.LOS.ContextId" value="$RP.Y0-3.LOS.Context/@id" />
  <!--RP.Y0Minus4 Context Variables -->
  <let name="RP.Y0-4.LOS.Context" value="$LOS.Context/xbrli:context[
                    not(@i:nil='true' or @i:nil='1') 
                    and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                    xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2 
                    and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^.*:ReportPartyTypeDimension$') and matches(.,'^.*:ReportingParty$')]) = 1
                    and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^.*:RelativePeriodDurationDimension$') and matches(.,'^.*:Y0Minus4$')]) = 1]
                    ]" />
  <let name="RP.Y0-4.LOS.ContextId" value="$RP.Y0-4.LOS.Context/@id" />
  <!--RP.Y0Minus5Plus Context Variables -->
  <let name="RP.Y0-5P.LOS.Context" value="$LOS.Context/xbrli:context[
                    not(@i:nil='true' or @i:nil='1') 
                    and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                    xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2 
                    and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^.*:ReportPartyTypeDimension$') and matches(.,'^.*:ReportingParty$')]) = 1
                    and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^.*:RelativePeriodDurationDimension$') and matches(.,'^.*:Y0Minus5Plus$')]) = 1]
                    ]" />
  <let name="RP.Y0-5P.LOS.ContextId" value="$RP.Y0-5P.LOS.Context/@id" />
  <!--RP.ALL Context Variables -->
  <let name="RP.ALL.LOS.Context" value="$LOS.Context/xbrli:context[
                    not(@i:nil='true' or @i:nil='1') 
                    and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
                    and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')] 
                    and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                    xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2 
                    and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^.*:ReportPartyTypeDimension$') and matches(.,'^.*:ReportingParty$')]) = 1
                    and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^.*:RelativePeriodDurationDimension$') and matches(.,'^.*:All$')]) = 1]
                    ]" />
  <let name="RP.ALL.LOS.ContextId" value="$RP.ALL.LOS.Context/@id" />

  <let name="RP.Instant.ALL.LOS.Context" value="$LOS.Context/xbrli:context[
                    not(@i:nil='true' or @i:nil='1') 
                    and ./xbrli:period/xbrli:instant[not(@i:nil='true' or @i:nil='1')] 
                    and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                    xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2 
                    and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^.*:ReportPartyTypeDimension$') and matches(.,'^.*:ReportingParty$')]) = 1
                    and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^.*:RelativePeriodDurationDimension$') and matches(.,'^.*:All$')]) = 1]
                    ]" />
  <let name="RP.Instant.ALL.LOS.ContextId" value="$RP.Instant.ALL.LOS.Context/@id" />



  <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1') and child::link:schemaRef[@xlink:href='http://sbr.gov.au/ato/ato.ls.0006.2017.01.00.report.xsd']]">

    <!--
        IF (PARENT RETURN:Report.TargetFinancial.Year > 2014) AND (rvctc3.xx.xx:Tax.Losses.Utilised.Amount <> NULL)
        RETURN VALIDATION MESSAGE
        ENDIF
      -->
    <!--<assert  id="VR.ATO.GEN.438041" diagnostics="DVR.ATO.GEN.438041"
             test="not(
                        number($CTR.Context/tns:Report.TargetFinancial.Year[@contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 2014
                        and
                        count($LOS.Context/ls:Tax.Losses.Utilised.Amount[@contextRef = $RP.LOS.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0

                    )"/>-->
    <!--
            IF RP:entity.identifier.TFN <> PARENT RETURN:RP:entity.identifier.TFN
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

    <assert  id="VR.ATO.GEN.402009" diagnostics="DVR.ATO.GEN.402009" test="not(
                            $RP.LOS.Context/xbrli:entity/xbrli:identifier[(lower-case(@scheme)= 'http://www.ato.gov.au/tfn') and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                            !=
                            $RP.CTR.Context/xbrli:entity/xbrli:identifier[(lower-case(@scheme)= 'http://www.ato.gov.au/tfn') and not(@i:nil='true' or @i:nil='1')]
                        )"></assert>
    <!--
            IF (RP:pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifier <> NULLORBLANK) 
                AND (PARENT RETURN:RP:pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifier <> NULLORBLANK) 
                AND (RP:pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifier <> PARENT RETURN:RP:pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifier)
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

    <assert  id="VR.ATO.GEN.402010" diagnostics="DVR.ATO.GEN.402010.LOS" test="not(                    
                            (
                                $CTR.Context/tns:Identifiers.AustralianBusinessNumber.Identifier[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0] 
                                and
                                ls:Identifiers.AustralianBusinessNumber.Identifier[@contextRef=$RP.LOS.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                            )
                            and
                            (
                                ls:Identifiers.AustralianBusinessNumber.Identifier[@contextRef=$RP.LOS.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                                !=
                                $CTR.Context/tns:Identifiers.AustralianBusinessNumber.Identifier[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                                
                            )
                        )"/>
    <!--
            IF RP:pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text <> 
            (PARENT RETURN:RP:pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text
            IN TUPLE (xbrli\orgname2.xx.xx:OrganisationNameDetails)
            WHERE (TUPLE EXPLICIT pyde.xx.xx:OrganisationNameDetails.OrganisationalNameType.Code = "MN")
            AND  (TUPLE EXPLICIT pyde.xx.xx:OrganisationNameDetails.Currency.Code = "C")) 
               RETURN VALIDATION MESSAGE
            ENDIF
        -->
    <assert  id="VR.ATO.GEN.428045" diagnostics="DVR.ATO.GEN.428045" test="not(                    
                        count(ls:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]/ls:OrganisationNameDetails.OrganisationalName.Text[@contextRef=$RP.LOS.ContextId and not(@i:nil='true' or @i:nil='1')])
                            != 0
                        and 
                            ls:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]/ls:OrganisationNameDetails.OrganisationalName.Text[@contextRef=$RP.LOS.ContextId and not(@i:nil='true' or @i:nil='1')]
                            !=
                            $CTR.Context/tns:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]/tns:OrganisationNameDetails.OrganisationalName.Text[@contextRef = $RP.CTR.ContextId
                            and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0
                            and ../tns:OrganisationNameDetails.OrganisationalNameType.Code = 'MN'
                            and ../tns:OrganisationNameDetails.Currency.Code = 'C']
                    )"/>
    <!--
            IF (PARENT RETURN = "CTR") AND [LS25] = NULL
                RETURN VALIDATION MESSAGE
            ENDIF
            [LS25] = LS:RP:rvctc3.xx.xx:Tax.Losses.ChangeOfOwnershipOrControlAfterReferenceTime.Indicator
        -->
    <assert  id="VR.ATO.LS.414023" diagnostics="DVR.ATO.LS.414023"
             test="not(
                        $CTR.Context and count(ls:Tax.Losses.ChangeOfOwnershipOrControlAfterReferenceTime.Indicator[@contextRef=$RP.LOS.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0                             
                    )"/>
  </rule>

  <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1') and child::link:schemaRef[@xlink:href='http://sbr.gov.au/ato/ato.ls.0006.2017.01.00.report.xsd']]/xbrli:context">

    <!-- 
            IF (period.startDate WHERE CONTEXT(ALL)) <> PARENT RETURN:RP:period.startDate
               RETURN VALIDATION MESSAGE
            ENDIF
        -->
    <assert id="VR.ATO.GEN.438000" diagnostics="DVR.ATO.GEN.438000"
            test="not(
                        xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:startDate[not(@i:nil='true' or @i:nil='1')]
                        !=
                        $RP.CTR.Context/xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:startDate[not(@i:nil='true' or @i:nil='1')]
                    )"/>
    <!-- 
            IF (period.endDate WHERE CONTEXT(ALL)) <> PARENT RETURN:RP:period.endDate
               RETURN VALIDATION MESSAGE
            ENDIF
        -->
    <assert  id="VR.ATO.GEN.438001" diagnostics="DVR.ATO.GEN.438001"
             test="not(
                        xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]
                        !=
                        $RP.CTR.Context/xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]
                    )"/>
  </rule>
</pattern>