﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Content" xmlns="http://purl.oclc.org/dsdl/schematron">
  <title>Content Validations</title>

   
    <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/xbrli:context[not(@i:nil='true' or @i:nil='1')]/xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:identifier[not(@i:nil='true' or @i:nil='1')]">
        <!--
          WHERE PARENT RETURN DOES NOT EXIST
          IF (RP:entity.identifier.TFN <> NULLORBLANK) AND (TFNALGORITHM (RP:entity.identifier.TFN) = FALSE)
          RETURN VALIDATION MESSAGE
          ENDIF
          VR.ATO.DIS.406029	CMN.ATO.DIS.406029
      -->
        <assert id="VR.ATO.DIS.406029" diagnostics="DVR.ATO.DIS.406029"
                test="not(
                            ../../@id = $RP.ContextId 
                            and upper-case(@scheme) = 'HTTP://WWW.ATO.GOV.AU/TFN'
                            and string-length(normalize-space(.)) &gt; 0 
                            and not(function:ValidateTFN(.)))"/>
       
    </rule>
    
  <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]">
      
      <!--
          WHERE PARENT RETURN DOES NOT EXIST
          IF (COUNT(INT) > 1)
          RETURN VALIDATION MESSAGE
          ENDIF
          VR.ATO.DIS.406037	CMN.ATO.DIS.406037
      -->
      <assert id="VR.ATO.DIS.406037" diagnostics="DVR.ATO.DIS.406037" 
              test="not(count(xbrli:context[@id=$Int.ContextId]) &gt; 1)"/>

      <!--
          WHERE PARENT RETURN DOES NOT EXIST
          IF (INT = NULLORBLANK AND RP:pyin.xx.xx:Declaration.StatementAccepted.Indicator = NULL)  
          OR (INT <> NULLORBLANK AND INT:pyin.xx.xx:Declaration.StatementAccepted.Indicator = NULL)
          RETURN VALIDATION MESSAGE
          ENDIF
          VR.ATO.DIS.406044	CMN.ATO.DIS.406044
      -->     
      <assert id="VR.ATO.DIS.406044" diagnostics="DVR.ATO.DIS.406044"
             test="not(
                        (
                            not($Int.ContextId) 
                            and 
                            not(declaration2.02.01:Declaration/pyin.02.00:Declaration.StatementAccepted.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                        )
                         or
                        (
                            $Int.ContextId
                            and
                            not(declaration2.02.01:Declaration/pyin.02.00:Declaration.StatementAccepted.Indicator[@contextRef=$Int.ContextId and not(@i:nil='true' or @i:nil='1')])
                        )                
              )"/>

      <!--
          WHERE PARENT RETURN DOES NOT EXIST
          IF INT <> NULLORBLANK
          AND [DIS91] = NULL
          RETURN VALIDATION MESSAGE
          ENDIF

          [DIS91] = DIS:INT:pyde.02.00:OrganisationNameDetails.OrganisationalName.Text 
          WHERE (pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code = ""MN"") 
          IN TUPLE(orgname1.02.00:OrganisationNameDetails)
          VR.ATO.DIS.406043	CMN.ATO.DIS.406043
      -->
      <assert id="VR.ATO.DIS.406043" diagnostics="DVR.ATO.DIS.406043"
              test="not(
                        $Int.ContextId
                        and not($DIS91)
                    )"/>
      <!--
          WHERE PARENT RETURN DOES NOT EXIST
          IF CONTEXT(INT) <> NULLORBLANK AND [DIS95] = NULL
          RETURN VALIDATION MESSAGE
          ENDIF

          [DIS95] = DIS:INT:pyde.02.00:ElectronicContact.Telephone.Minimal.Number 
          WHERE (pyde.02.00:ElectronicContact.Telephone.Usage.Code = ""03"") 
          IN TUPLE(phone1.02.00:ElectronicContactTelephone)
          VR.ATO.DIS.406034	CMN.ATO.DIS.406034
          
          NOTE: UPDATE "03" to be used instead of Contact
      -->
      <assert id="VR.ATO.DIS.406034" diagnostics="DVR.ATO.DIS.406034"
             test="not(
                        $Int.ContextId
                        and not($DIS95)
                    )"/>

      <!--
          WHERE PARENT RETURN DOES NOT EXIST
          IF INT <> NULLORBLANK
          AND [DIS89] = NULL
          RETURN VALIDATION MESSAGE
          ENDIF

          [DIS89] = DIS:INT:pyde.02.00:PersonUnstructuredName.FullName.Text 
          WHERE (pyde.02.05:PersonUnstructuredName.Usage.Code = ""Contact"") 
          IN TUPLE(prsnunstrcnm1.02.01:PersonUnstructuredName)
          VR.ATO.DIS.406042	CMN.ATO.DIS.406042
      -->
      <assert id="VR.ATO.DIS.406042" diagnostics="DVR.ATO.DIS.406042"
         test="not(
                        $Int.ContextId
                        and not($DIS89)
                    )"/>

      <!--          
            WHERE PARENT RETURN DOES NOT EXIST
            IF ([DIS42] < “2015”) OR ([DIS42] > CURRENT FINANCIAL YEAR)
            RETURN VALIDATION MESSAGE
            ENDIF
            [DIS42] = DIS:RP:pyin.02.00:Report.TargetFinancial.Year          
      -->
      <let name="currentYear" value="year-from-date(current-date())"/>
      <let name="currentMonth" value="month-from-date(current-date())"/>
      <assert id="VR.ATO.DIS.406026" diagnostics="DVR.ATO.DIS.406026"
                test="not(
                            number($DIS42) &lt; 2015 
                            or
                            $DIS42 &gt; function:GetCurrentFinancialYear()
                        )"/>

      <!--
          WHERE PARENT RETURN DOES NOT EXIST
          IF Context(INT) = NULL AND [DIS25] = NULL
          RETURN VALIDATION MESSAGE
          ENDIF

          [DIS25] = DIS:RP:pyde.02.00:PersonUnstructuredName.FullName.Text 
          WHERE (pyde.02.05:PersonNameDetails.Usage.Code = ""Contact"") 
          IN TUPLE(prsnunstrcnm1.02.01:PersonUnstructuredName)
          VR.ATO.DIS.406045	CMN.ATO.DIS.406045
      -->
      <assert id="VR.ATO.DIS.406045" diagnostics="DVR.ATO.DIS.406045"
              test="not( 
                        not($Int.ContextId)
                        and not($DIS25)
                        )"/>

      <!--
          WHERE PARENT RETURN DOES NOT EXIST
          IF Context(INT) = NULL AND [DIS27] = NULL
          RETURN VALIDATION MESSAGE
          ENDIF
          [DIS27] = DIS:RP:pyde.02.00:ElectronicContact.Telephone.Minimal.Number 
          WHERE (pyde.02.00:ElectronicContact.Telephone.Usage.Code = ""03"") 
          IN TUPLE(phone1.02.00:ElectronicContactTelephone)
          VR.ATO.DIS.406046	CMN.ATO.DIS.406046
      -->
      <assert id="VR.ATO.DIS.406046" diagnostics="DVR.ATO.DIS.406046"
             test="not( 
                        not($Int.ContextId)
                        and not($DIS27)
                        )"/>
      <!--
          WHERE PARENT RETURN DOES NOT EXIST
          IF COUNT(((pyde.xx.xx:AddressDetails.Usage.Code = ""BUS"") 
          AND (pyde.xx.xx:AddressDetails.Currency.Code = ""C"") 
          AND (pyde.xx.xx:AddressDetails.Line1.Text <> NULLORBLANK)) 
          IN TUPLE(address2.xx.xx:AddressDetails)) <> 1
          RETURN VALIDATION MESSAGE
          ENDIF
          VR.ATO.DIS.406031	CMN.ATO.DIS.406031
      -->
      <assert id="VR.ATO.DIS.406031" diagnostics="DVR.ATO.DIS.406031"
               test="not( 
                       count(address2.02.02:AddressDetails[
                                    pyde.02.00:AddressDetails.Currency.Code[matches(.,'^(C)$','i')] 
                                    and ./pyde.02.01:AddressDetails.Usage.Code[matches(.,'^(BUS)$','i')]
                                    ]/pyde.02.00:AddressDetails.Line1.Text) != 1
                    )"/>

      <!--
          WHERE PARENT RETURN DOES NOT EXIST
          IF COUNT(((pyde.xx.xx:AddressDetails.Usage.Code = ""POS"") 
          AND (pyde.xx.xx:AddressDetails.Currency.Code = ""C"") 
          AND (pyde.xx.xx:AddressDetails.Line1.Text <> NULLORBLANK)) 
          IN TUPLE(address2.xx.xx:AddressDetails)) <> 1
          RETURN VALIDATION MESSAGE
          ENDIF

          VR.ATO.DIS.406033	CMN.ATO.DIS.406033
      -->
      <assert id="VR.ATO.DIS.406033" diagnostics="DVR.ATO.DIS.406033"
              test="not( 
                       count(address2.02.02:AddressDetails[
                                    pyde.02.00:AddressDetails.Currency.Code[matches(.,'^(C)$','i')] 
                                    and ./pyde.02.01:AddressDetails.Usage.Code[matches(.,'^(POS)$','i')]
                                    ]/pyde.02.00:AddressDetails.Line1.Text) != 1
                    )"/>

  </rule>
</pattern>