﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="FinancialInstitution" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>FinancialInstitutionAccount Common Validations</title>


<rule context="fininstacc1.02.00:FinancialInstitutionAccount[not(@i:nil='true' or @i:nil='1')]">

  <!--
        VR.ATO.GEN.432041

        IF LENGTH(pyid.xx.xx:FinancialInstitutionAccount.FinancialInstitutionAccountName.Text) > 32
            RETURN VALIDATION MESSAGE
        ENDIF
  -->

  <assert  id="VR.ATO.GEN.432041" diagnostics="DVR.ATO.GEN.432041" test="not(
                    pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionAccountName.Text[string-length(normalize-space(.)) &gt; 32]
                )"></assert>

  <!--
        IF (pyid.xx.xx:FinancialInstitutionAccount.FinancialInstitutionBranchName.Text) <> NULLORBLANK 
        OR (pyid.xx.xx:FinancialInstitutionAccount.FinancialInstitutionName.Text <> NULLORBLANK)
           RETURN VALIDATION MESSAGE
        ENDIF
    -->
  <assert id="VR.ATO.GEN.432267" diagnostics="DVR.ATO.GEN.432267" test="not(
                    pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionBranchName.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0 ]
                    or pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionName.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0 ]
                 )"/>
        <!--
            Rule: VR.ATO.GEN.432032
              
            WHERE IN TUPLE(financialinstitutionaccount1.xx.xx:FinancialInstitutionAccount)
            IF pyid.xx.xx:FinancialInstitutionAccount.BankStateBranch.Number = NULLORBLANK OR 
            pyid.xx.xx:FinancialInstitutionAccount.FinancialInstitutionAccount.Number = NULLORBLANK OR 
            pyid.xx.xx:FinancialInstitutionAccount.FinancialInstitutionAccountName.Text = NULLORBLANK
            RETURN VALIDATION MESSAGE
            ENDIF
        -->
    <assert id="VR.ATO.GEN.432032" diagnostics="DVR.ATO.GEN.432032"
            test="not(
                    not(pyid.02.00:FinancialInstitutionAccount.BankStateBranch.Number[not (@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0 ]) 
                    or not(pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionAccount.Number[not (@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0 ]) 
                    or not(pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionAccountName.Text[not (@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0 ])
                    )"/>

    <!--
        Rule: VR.ATO.GEN.432035
        
        IF pyid.xx.xx:FinancialInstitutionAccount.BankStateBranch.Number <> NULLORBLANK AND 
        (pyid.xx.xx:FinancialInstitutionAccount.BankStateBranch.Number <> SET(012001-999999)
        OR LENGTH(pyid.xx.xx:FinancialInstitutionAccount.BankStateBranch.Number) <> 6)
        RETURN VALIDATION MESSAGE CMN.ATO.GEN.432035
   -->
    <assert  id="VR.ATO.GEN.432035" diagnostics="DVR.ATO.GEN.432035" 
             test="not(pyid.02.00:FinancialInstitutionAccount.BankStateBranch.Number
                        [
                            not((@i:nil='true' or @i:nil='1')  
                            and (string-length(normalize-space(.)) = 0)) 
                            and not(matches(.,'^(01200[1-9]|0120[1-9][0-9]|012[1-9][0-9]{2}|01[3-9][0-9]{3}|0[2-9][0-9]{4}|[1-9][0-9]{5})$'))
                        ])"/>
        <!--
            IF pyid.xx.xx:FinancialInstitutionAccount.FinancialInstitutionAccount.Number CONTAINS SET("'", " ")
            THEN RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.432036" diagnostics="DVR.ATO.GEN.432036"
                test="not(
                        pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionAccount.Number
                            [
                                not(@i:nil='true' or @i:nil='1')  
                                and (
                                        matches(.,'^(.*)( |'')(.*)$')
                                    )
                            ]
                    )"/>
    <!--
        IF pyid.xx.xx:FinancialInstitutionAccount.FinancialInstitutionAccountName.Text 
        CONTAINS SET("_", "!", "@", "$", "%", "]", "[", "?", "=", ":", ";", """, ",")
        RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.GEN.432037" diagnostics="DVR.ATO.GEN.432037"
               test="not(
                     pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionAccountName.Text
                        [not(@i:nil='true' or @i:nil='1')  
                         and matches(.,'^(.*)(_|!|@|\$|%|\]|\[|\?|=|:|;|&quot;|,)(.*)$')
                         ])"/>
</rule>

<rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]">

    <!--
       IF COUNT (TUPLE(financialinstitutionaccount1.xx.xx:FinancialInstitutionAccount)) > 1
       RETURN VALIDATION MESSAGE CMN.ATO.GEN.432040
    -->
    <assert id="VR.ATO.GEN.432040" diagnostics="DVR.ATO.GEN.432040"
            test="not(
                    count(fininstacc1.02.00:FinancialInstitutionAccount[not(@i:nil='true' or @i:nil='1')]) &gt; 1
                  )"/>
</rule>
</pattern>
