﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="CrossFormCGTS" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>XBRL Cross Form Validations that are applicable to CGTS.</title>

    <!-- CGTS Variables -->
    <let name="CGT.Context" value="//xbrli:xbrl[not(@i:nil='true' or @i:nil='1') and child::link:schemaRef[@xlink:href='http://sbr.gov.au/taxonomy/sbr_au_reports/ato/cgts/cgts_0005/cgts.0005.lodge.request.02.00.report.xsd']]" />
    <let name="RP.CGT.Context" value="$CGT.Context/xbrli:context[
              not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 1 and not(./xbrldi:typedMember)]/ 
              xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^.*:ReportPartyTypeDimension$') and matches(.,'^.*:ReportingParty$')]
           ]" />
    <let name="RP.CGT.ContextId" value="$RP.CGT.Context/@id" />
    <!-- 
        RP.Applied Context Variables 
    -->
    <let name="RP.CGT.Applied.Context" value="$CGT.Context/xbrli:context[not(@i:nil='true' or @i:nil='1') and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]
                  /xbrli:segment[not(@i:nil='true' or @i:nil='1') 
                    and 2 = count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')])
                    and 1 = count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') 
                                    and matches(@dimension,'^.*:ReportPartyTypeDimension$') 
                                    and matches(.,'^.*:ReportingParty$')])
                    and 1 = count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') 
                                    and matches(@dimension,'^.*:AccountingTreatmentMethodDimension$') 
                                    and matches(.,'^.*:Applied$')])]]" />
    <let name="RP.CGT.Applied.ContextId" value="$RP.CGT.Applied.Context/@id" />
    <!-- 
        RP.Collectables.Unapplied Context Variables 
    -->
    <let name="RP.CGT.Collectables.Unapplied.Context" value="$CGT.Context/xbrli:context[not(@i:nil='true' or @i:nil='1') and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]
                  /xbrli:segment[not(@i:nil='true' or @i:nil='1') 
                    and 3 = count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')])
                    and 1 = count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') 
                                    and matches(@dimension,'^.*:ReportPartyTypeDimension$') 
                                    and matches(.,'^.*:ReportingParty$')])
                    and 1 = count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') 
                                    and matches(@dimension,'^.*:AssetTypeDimension$') 
                                    and matches(.,'^.*:Collectables$')])
                    and 1 = count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') 
                                    and matches(@dimension,'^.*:AccountingTreatmentMethodDimension$') 
                                    and matches(.,'^.*:Unapplied$')])]]" />
    <let name="RP.CGT.Collectables.Unapplied.ContextId" value="$RP.CGT.Collectables.Unapplied.Context/@id" />
    <!-- 
        RP.CGTOther.Unapplied Context Variables 
    -->
    <let name="RP.CGTOther.Unapplied.Context" value="$CGT.Context/xbrli:context[not(@i:nil='true' or @i:nil='1') and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]
                  /xbrli:segment[not(@i:nil='true' or @i:nil='1') 
                    and 3 = count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')])
                    and 1 = count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') 
                                    and matches(@dimension,'^.*:ReportPartyTypeDimension$') 
                                    and matches(.,'^.*:ReportingParty$')])
                    and 1 = count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') 
                                    and matches(@dimension,'^.*:AssetTypeDimension$') 
                                    and matches(.,'^.*:CGTOther$')])
                    and 1 = count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') 
                                    and matches(@dimension,'^.*:AccountingTreatmentMethodDimension$') 
                                    and matches(.,'^.*:Unapplied$')])]]" />
    <let name="RP.CGTOther.Unapplied.ContextId" value="$RP.CGTOther.Unapplied.Context/@id" />


    <let name="RP.CGT.EarnoutArrangementGroupNumber.Context" value="$CGT.Context/xbrli:context[not(@i:nil='true' or @i:nil='1') and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]
			            /xbrli:segment[not(@i:nil='true' or @i:nil='1')  
                    and 2 = count(./*)
                    and 1 = count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') 
				                          and matches(@dimension, '^.*:ReportPartyTypeDimension$') 
				                          and matches(.,          '^.*:ReportingParty$')])
                    and 1 = count(./xbrldi:typedMember[not(@i:nil='true' or @i:nil='1') 
				                          and matches(@dimension, '^.*:EarnoutArrangementGroupItemDimension$') 
				                          and 1 = count(./EarnoutArrgmtGrpItmDim.02.00:EarnoutArrangementGroupItemContainer[not(@i:nil='true' or @i:nil='1')])])]]" />
    <let name="RP.CGT.EarnoutArrangementGroupNumber.ContextId" value="$RP.CGT.EarnoutArrangementGroupNumber.Context/@id" />

    <let name="CGT.RP.TransfersToOtherClasses.Context"
       value="$CGT.Context/xbrli:context[not(@i:nil='true' or @i:nil='1') and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]
			    /xbrli:segment[not(@i:nil='true' or @i:nil='1')  
                    and 2 = count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')])
                    and 1 = count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') 
                                    and matches(@dimension, '^.*:ReportPartyTypeDimension$') 
                                    and matches(.,          '^.*:ReportingParty$')])
                    and 1 = count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') 
                                    and matches(@dimension, '^.*:AMITCharacterTypeDimension$') 
                                    and matches(.,          '^.*:TransfersToOtherClasses$')])]]" />

    <let name="CGT.RP.TransfersToOtherClasses.ContextId" value="$CGT.RP.TransfersToOtherClasses.Context/@id" />

    <rule context="//xbrli:xbrl[not(@i:nil='true' or @i:nil='1') and child::link:schemaRef[@xlink:href='http://sbr.gov.au/taxonomy/sbr_au_reports/ato/cgts/cgts_0005/cgts.0005.lodge.request.02.00.report.xsd']]">

        <!-- *** NOTE: Only add CrossForm rules from the CGTS AP360 here that are applicable to FITR. *** 

            IF (RP:entity.identifier.TFN <> PARENT RETURN:RP:entity.identifier.TFN)
                RETURN VALIDATION MESSAGE
            ENDIF            
        -->

        <assert  id="VR.ATO.GEN.402009" diagnostics="DVR.ATO.GEN.402009" test="not(
                        xbrli:context[@id=$RP.CGT.ContextId]/xbrli:entity
                            /xbrli:identifier[(@scheme = 'http://www.ato.gov.au/tfn') and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                        !=
                        $RP.SMSFAR.Context/xbrli:entity/xbrli:identifier[(@scheme = 'http://www.ato.gov.au/tfn') and not(@i:nil='true' or @i:nil='1')]
                      )"></assert>
        <!--
            IF PARENT RETURN = "SMSFAR","FITR" AND
            ([CGTS128] <> NULL)
               RETURN VALIDATION MESSAGE
            ENDIF

            [CGTS128] = CGTS:RP:gfagc.02.01:TaxConcession.CapitalGains.SmallBusinessRetirementExemption.Amount           
        -->

        <assert  id="VR.ATO.CGTS.402178" diagnostics="DVR.ATO.CGTS.402178" test="not(
                        gfagc.02.01:TaxConcession.CapitalGains.SmallBusinessRetirementExemption.Amount[@contextRef=$RP.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]                 
                      )"></assert>
        <!--
            IF RP:period.endDate <> PARENT RETURN:RP:period.endDate
            RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert  id="VR.ATO.CGTS.438001" diagnostics="DVR.ATO.CGTS.438001" test="not($RP.SMSFAR.Context/xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:endDate[not(@i:nil='true' or @i:nil='1')] and
                                xbrli:context/xbrli:period[not(@i:nil='true' or @i:nil='1')][1]/xbrli:endDate[not(@i:nil='true' or @i:nil='1')] and 
                            (
                                $RP.SMSFAR.Context/xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:endDate[not(@i:nil='true' or @i:nil='1')][1] 
                                !=
                                xbrli:context/xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:endDate[not(@i:nil='true' or @i:nil='1')][1] 
                             ))"></assert>
        <!--
             IF (PARENT RETURN <> "CTR") AND ([CGTS122] <> NULL)  
               RETURN VALIDATION MESSAGE
             ENDIF

            [CGTS122] = CGTS:RP.Applied:rvctc3.02.11:Capital.Losses.TransferredTotal.Amount            
         -->

        <assert  id="VR.ATO.CGTS.402165" diagnostics="DVR.ATO.CGTS.402165" test="not(
                          rvctc3.02.11:Capital.Losses.TransferredTotal.Amount[@contextRef=$RP.CGT.Applied.ContextId and not(@i:nil='true' or @i:nil='1')]             
                         )"></assert>
        <!--
                        
            IF (period.startDate WHERE CONTEXT(ALL)) <> PARENT RETURN:RP:period.startDate
            RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert  id="VR.ATO.GEN.438000" diagnostics="DVR.ATO.GEN.438000" test="not(xbrli:context/xbrli:period[1]/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] and
                        $RP.SMSFAR.Context/xbrli:period[1]/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] and 
                        xbrli:context/xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')][1]
                        !=
                        $RP.SMSFAR.Context/xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')][1]
                      )"></assert>
        <!--
            IF PARENT RETURN = "SMSFAR","FITR","TRT" AND ([CGTS131] > 0) AND ([CGTS125] > 0) 
                RETURN VALIDATION MESSAGE 
            ENDIF

            [CGTS125] = CGTS:RP.CGTOther.Unapplied:rvctc3.02.16:Capital.Losses.CarriedForward.Net.Amount
            [CGTS131] = CGTS:RP:bafpr1.02.00:Income.CapitalGainsNet.Amount        
        -->
        <assert id="VR.ATO.CGTS.402171" diagnostics="DVR.ATO.CGTS.402171"
                test="not(
                        sum(bafpr1.02.00:Income.CapitalGainsNet.Amount[@contextRef=$RP.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                            and 
                        sum(rvctc3.02.16:Capital.Losses.CarriedForward.Net.Amount[@contextRef=$RP.CGTOther.Unapplied.ContextId and not(@i:nil='true' or @i:nil='1')])  &gt; 0
                    )"/>

        <!--
            IF (PARENT RETURN:RP:pyin.xx.xx:Report.Amendment.Indicator = TRUE) AND ([CGTS150] <> NULL AND [CGTS151] <> NULL)
               RETURN VALIDATION MESSAGE
            ENDIF

            [CGTS150] = CGTS:RP:pyin.02.37:Report.TargetFinancial.Year
            [CGTS151] = CGTS:RP:bafot.02.26:Miscellaneous.RequestedAmendment.Amount
        -->
        <assert id="VR.ATO.CGTS.402226" diagnostics="DVR.ATO.CGTS.402226" 
                test="not(
                         $SMSFAR.Context/smsfar:Report.Amendment.Indicator[
                          @contextRef = $RP.SMSFAR.ContextId
                          and matches(.,'^(true|1)$')
                        ]
                    and (
                          pyin.02.37:Report.TargetFinancial.Year[
                            @contextRef = $RP.CGT.ContextId
                            and not(@i:nil='true')
                          ] 
                          and bafot.02.26:Miscellaneous.RequestedAmendment.Amount[
                            @contextRef = $RP.CGT.ContextId
                            and not(@i:nil='true')
                          ]
                          and string-length($RP.CGT.ContextId)=2
                        )
                       
                      )"/>
        
        
        <!-- Rule ID: VR.ATO.CGTS.402230
    
          IF PARENT RETURN  <> "TRTAMI" AND ([CGTS153] <> NULL OR [CGTS154] <> NULL OR [CGTS155] <> NULL)
            RETURN VALIDATION MESSAGE
          ENDIF
    -->
        <assert  id="VR.ATO.CGTS.402230" diagnostics="DVR.ATO.CGTS.402230"
                 test="not(
                          rvctc1.02.22:IncomeTax.AttributionManagedInvestmentTrustClass.Description[not(@i:nil='true') and @contextRef = $RP.CGT.ContextId] or
                          rvctc3.02.11:Capital.Gains.Total.Amount[not(@i:nil='true') and @contextRef = $CGT.RP.TransfersToOtherClasses.ContextId] or
                          rvctc3.02.11:Capital.Losses.Total.Amount[not(@i:nil='true') and @contextRef = $CGT.RP.TransfersToOtherClasses.ContextId] 
                      )" />


        <!--
            Rule ID: VR.ATO.CGTS.402240
            
            IF ([CGTS150] <> NULL) AND ([CGTS150] = (PARENT RETURN:RP:pyin.xx.xx:Report.TargetFinancial.Year))
               RETURN VALIDATION MESSAGE
            ENDIF

            [CGTS150] = CGTS:RP:pyin.02.37:Report.TargetFinancial.Year
        -->
        <assert id="VR.ATO.CGTS.402240" diagnostics="DVR.ATO.CGTS.402240"
                test="not(                   
                        pyin.02.37:Report.TargetFinancial.Year[
                        @contextRef = $RP.CGT.ContextId
                            and not(@i:nil='true')] 
                            
                 and (
                        pyin.02.37:Report.TargetFinancial.Year[@contextRef = $RP.CGT.ContextId and not(@i:nil='true')] 
                        =  
                        $SMSFAR.Context/smsfar:Report.TargetFinancial.Year[@contextRef=$RP.SMSFAR.ContextId and not(@i:nil='true' or @i:nil='1')]
                     )
                )" />


    

      <!--Rule ID: VR.ATO.CGTS.402242	CMN.ATO.CGTS.402242

          IF PARENT RETURN:RP:pyin.xx.xx:Report.TargetFinancial.Year < 2017 AND [CGTS161] <> NULL 
          RETURN VALIDATION MESSAGE
          ENDIF

          [CGTS161] = CGTS:RP:rvctc3.02.36:CapitalGainsTax.DeferredRelief.Indicator
      -->
      
      <assert id="VR.ATO.CGTS.402242" diagnostics="DVR.ATO.CGTS.402242"
              test="not( 
                        $SMSFAR.Context/smsfar:Report.TargetFinancial.Year[@contextRef = $RP.SMSFAR.ContextId and not(@i:nil='true' or @i:nil='1')] &lt; '2017' 
                        and rvctc3.02.36:CapitalGainsTax.DeferredRelief.Indicator[@contextRef = $RP.CGT.ContextId and not(@i:nil='true' or @i:nil='1')] 
                        )" />

      <!--Rule id: VR.ATO.CGTS.402243	CMN.ATO.CGTS.402243 deactivated by UCT8D --> 

      <!--Rule id: VR.ATO.CGTS.402246	CMN.ATO.CGTS.402246 deactivated by UCTCM  -->
  
      <!--Rule id: VR.ATO.CGTS.402247	CMN.ATO.CGTS.402247 deactivated by UCTCM  -->
 
    </rule>    
</pattern>