﻿<?xml version="1.0" encoding="utf-8"?>
<diagnostics xmlns="http://purl.oclc.org/dsdl/schematron">

  <!--CGTS Messages-->
  <diagnostic id="DVR.ATO.CGTS.402240">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGTS.402240</Code>
      <Description>Income year earnout right created incorrect</Description>
      <Location>pyin.02.37:Report.TargetFinancial.Year</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402178">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGTS.402178</Code>
      <Description>Small business retirement exemption is not valid for Self Managed Super Funds</Description>
      <Location>gfagc.02.01:TaxConcession.CapitalGains.SmallBusinessRetirementExemption.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.438001">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.438001</Code>
      <Description>The context period end date is incorrect.</Description>
      <LongDescription>Period end date within context on the schedule must match period end date within the parent return reporting party context</LongDescription>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402165">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGTS.402165</Code>
      <Description>Total losses transferred in applied is only valid for a company</Description>
      <Location>rvctc3.02.11:Capital.Losses.TransferredTotal.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402171">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGTS.402171</Code>
      <Description>Invalid amount. A capital loss can not be carried forward where a net capital gain amount has been reported</Description>
      <Location>rvctc3.02.16:Capital.Losses.CarriedForward.Net.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402226">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGTS.402226</Code>
      <Description>Income year earnout right created and Amount to be amended cannot be supplied when Parent return Amendment indicator is present.</Description>
      <LongDescription/>
      <Location>pyin.02.37:Report.TargetFinancial.Year</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402230">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGTS.402230</Code>
      <Description>Multi-class treatment fields incorrectly supplied</Description>
      <LongDescription/>
      <Location>rvctc1.02.22:IncomeTax.AttributionManagedInvestmentTrustClass.Description</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <!--FTER Messages-->

  <diagnostic id="DVR.ATO.FTER.408001">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.410115</Code>
      <Description>TFN on Schedule must match TFN on main form</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FTER.408006">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FTER.408006</Code>
      <Description>Schedule must not have an intermediary</Description>
      <LongDescription>Any intermediary on a parent return also applies to its schedules therefore a schedule cannot have an intermediary.</LongDescription>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FTER.408024">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FTER.408024</Code>
      <Description>Answer to Election, revocation or variation question must be 'E', 'R' or 'V'</Description>
      <LongDescription>The answer to 'Are you using this form for an election, revocation or variation?' must be either 'E' for election, 'R' for revocation or 'V' for variation</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FTER.408029">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FTER.408029</Code>
      <Description>Income year for variation must match the year of return on the main form</Description>
      <LongDescription>Income year specified for the purpose of the FTE variation must match the year of return on the main form</LongDescription>
      <Location>rvctc3.02.00:Elections.FamilyTrustElectionStatus.Year</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FTER.408033">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FTER.408033</Code>
      <Description>Revocation income year must be the same as the year of the return</Description>
      <LongDescription>For a revocation, the income year from which the revocation is to be effective must be the same as the year of the parent return</LongDescription>
      <Location>rvctc3.02.03:Elections.FamilyTrustRevocationStatusEffective.Year</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FTER.408112">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FTER.408112</Code>
      <Description>Income year specified on main return form must equal the income year specified on the FTE schedule.</Description>
      <Location>rvctc3.02.00:Elections.FamilyTrustElectionStatus.Year</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FTER.408144">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FTER.408144</Code>
      <Description>Current full name of the trust must match parent form</Description>
      <LongDescription>When used as a schedule, the name of the trust must be the same as the name of the trust on the parent form</LongDescription>
      <Location>pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FTER.408162">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FTER.408110</Code>
      <Description>Revocation date must not be after 30 June of the year of the return</Description>
      <Location>rvctc3.02.00:Elections.Revocation.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>



  <!--GEN Messages-->
  <diagnostic id="DVR.ATO.GEN.400013">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400013</Code>
      <Description>Organisation main name on schedule does not match parent return</Description>
      <Location>pyid.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.402009">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.402009</Code>
      <Description>Your supplied TFN does not match the TFN supplied on the form it was submitted with</Description>
      <LongDescription>Your supplied TFN does not match the TFN supplied on the parent form it was submitted with</LongDescription>
      <Location>xbrli:context/xbrli:entity/xbrli:identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.402010">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.402010</Code>
      <Description>Your supplied ABN does not match the ABN supplied on the form it was submitted with</Description>
      <LongDescription>Your supplied ABN does not match the ABN supplied on the parent form it was submitted with</LongDescription>
      <Location>pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.410115">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.410115</Code>
      <Description>TFN on Schedule must match TFN on main form</Description>
      <Location>xbrli:context/xbrli:entity/xbrli:identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.410119">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.410119</Code>
      <Description>ABN of the Intermediary on the schedule must match the ABN on the main form</Description>
      <Location>xbrli:context/xbrli:entity/xbrli:identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.428045">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.428045</Code>
      <Description>Organisation Name in schedule should match Organisation Name in parent return</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.438000">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.438000</Code>
      <Description>The context period start date is incorrect.</Description>
      <LongDescription>Period start date within context on the schedule must match period start date within the parent return reporting party context</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.438000">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.438000</Code>
      <Description>The context period start date is incorrect.</Description>
      <LongDescription>Period start date within context on the schedule must match period start date within the parent return reporting party context</LongDescription>
      <Location>xbrli:context/xbrli:period/xbrli:startDate</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.438001">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.438001</Code>
      <Description>The context period end date is incorrect.</Description>
      <LongDescription>Period end date within context on the schedule must match period end date within the parent return reporting party context</LongDescription>
      <Location>xbrli:context/xbrli:period/xbrli:endDate</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.438022">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.438022</Code>
      <Description>Small business active asset reduction amount missing from CGT schedule</Description>
      <LongDescription>If taxpayer is required to lodge a CGT schedule and CGT exemption or rollover applied code is "Small business active asset reduction (Subdivision 152-C)", then Small business active asset reduction amount on attached CGT schedule must be completed</LongDescription>
      <Location>rvctc3.02.33:CapitalGainsTax.ExemptionOrRolloverApplied.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.438023">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.438023</Code>
      <Description>Small business retirement exemption amount missing from CGT schedule</Description>
      <LongDescription>If taxpayer is required to lodge a CGT schedule and CGT exemption or rollover applied code is "Small business retirement exemption (Subdivision152-D)", then Small business retirement exemption amount on attached CGT schedule must be completed</LongDescription>
      <Location>rvctc3.02.33:CapitalGainsTax.ExemptionOrRolloverApplied.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.438024">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.438024</Code>
      <Description>Small business roll-over amount missing from CGT schedule</Description>
      <LongDescription>If taxpayer is required to lodge a CGT schedule and CGT exemption or rollover applied code is "Small business roll-over (Subdivision 152-E)", then Small business roll-over amount on attached CGT schedule must be completed</LongDescription>
      <Location>rvctc3.02.33:CapitalGainsTax.ExemptionOrRolloverApplied.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.438025">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.438025</Code>
      <Description>Small business 15 year exemption amount missing from CGT schedule</Description>
      <LongDescription>If taxpayer is required to lodge a CGT schedule and CGT exemption or rollover applied code is "Small business 15 year exemption (Subdivision152-B)", then Small business 15 year exemption amount on attached CGT schedule must be completed</LongDescription>
      <Location>rvctc3.02.33:CapitalGainsTax.ExemptionOrRolloverApplied.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.438026">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.438026</Code>
      <Description>Capital gains disregarded by a foreign resident amount missing from CGT schedule</Description>
      <LongDescription>If taxpayer is required to lodge a CGT schedule and CGT exemption or rollover applied code is "Foreign resident CGT exemption (Division 855)", then Capital gains disregarded by a foreign resident amount on attached CGT schedule must be completed</LongDescription>
      <Location>rvctc3.02.33:CapitalGainsTax.ExemptionOrRolloverApplied.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.438027">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.438027</Code>
      <Description>Capital gains disregarded as a result of a scrip for scrip roll-over amount missing from CGT schedule</Description>
      <LongDescription>If taxpayer is required to lodge a CGT schedule and CGT exemption or rollover applied code is "Scrip for scrip roll-over (Subdivision 124-M)", then Capital gains disregarded as a result of a scrip for scrip roll-over amount on attached CGT schedule must be completed</LongDescription>
      <Location>rvctc3.02.33:CapitalGainsTax.ExemptionOrRolloverApplied.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.438028">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.438028</Code>
      <Description>Capital gains disregarded by a demerging entity amount missing from CGT schedule</Description>
      <LongDescription>If taxpayer is required to lodge a CGT schedule and CGT exemption or rollover applied code is "Demerger exemption (Subdivision 125-C)", then Capital gains disregarded by a demerging entity amount on attached CGT schedule must be completed</LongDescription>
      <Location>rvctc3.02.33:CapitalGainsTax.ExemptionOrRolloverApplied.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>




  <!--IEE Messages-->
  <diagnostic id="DVR.ATO.IEE.410076">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410076</Code>
      <Description>An IEE election must not contain revocation Income Year</Description>
      <LongDescription>This schedule contains election details, and also the 'income year from which the revocation is to be effective'. If both an election and a revocation are needed, a second schedule is to be submitted with the main return form</LongDescription>
      <Location>rvctc3.02.00:Elections.Revocation.Year</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410223">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410223</Code>
      <Description>Interposed Entity Address must be blank or be the same as on main form</Description>
      <LongDescription>When the IEE is lodged as a schedule, the Address of the interposed entity must be either blank or must equal the address on the main form</LongDescription>
      <Location>address2.02.00:AddressDetails</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410224">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410223</Code>
      <Description>Interposed Entity Address must be blank or be the same as on main form</Description>
      <LongDescription>When the IEE is lodged as a schedule, the Address of the interposed entity must be either blank or must equal the address on the main form</LongDescription>
      <Location>address2.02.00:AddressDetails</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410226">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.402063</Code>
      <Description>Name on schedule does not match parent form</Description>
      <LongDescription>Name on schedule does not match name on parent form.</LongDescription>
      <Location>pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410262">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410262</Code>
      <Description>If IEE is lodged as a schedule intermediary declaration must not be present for IEE</Description>
      <Location>declaration2.02.01:Declaration/pyin.02.03:Declaration.StatementType.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410193">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410193</Code>
      <Description>For a revocation, Family Trust tax file number must be present</Description>
      <Location>pyid.02.00:Identifiers.TaxFileNumber.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410051">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410235</Code>
      <Description>Election Commencement Time must not be present if Income Year Specified is different to the parent return target financial year</Description>
      <Location>rvctc3.02.00:Elections.Commencement.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410198">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410086</Code>
      <Description>TFN of specified individual must be present if TFN non existent indicator is not 'TRUE'</Description>
      <LongDescription>TFN of specified individual must be present if TFN non existent indicator is blank or 'FALSE'</LongDescription>
      <Location>pyid.02.00:Identifiers.TaxFileNumber.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410070">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410070</Code>
      <Description>The income year of the Interposed Entity Revocation must equal the income year of the main return</Description>
      <Location>rvctc3.02.00:Elections.Revocation.Year</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410084">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410238</Code>
      <Description>Year specified for IEE revocation must be 2008 or later</Description>
      <Location>rvctc3.02.00:Elections.Revocation.Year</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410100">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410100</Code>
      <Description>The TFN of the trustee or partner or the no TFN indicator must be present</Description>
      <LongDescription>The interposed entity code is '161', '217' or '212' and the field indicating that the 'trustee or partner does not have a tax file number' is blank, and no tax file number has been supplied</LongDescription>
      <Location>pyid.02.00:Identifiers.TaxFileNumber.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410069">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410069</Code>
      <Description>Questions about revocation must not be answered if the form is used for an election</Description>
      <Location>rvctc3.02.00:Elections.Revocation.Year</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410071">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410071</Code>
      <Description>For a revocation all details about the family trust must be present</Description>
      <LongDescription>You have nominated to revoke an interposed entity, however information is missing from the revocation section on the schedule. For the revocation to be valid Section B on the IEE schedule must be completed</LongDescription>
      <Location>rvctc3.02.02:Elections.InterposedEntityElectionOrRevocation.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <!--LS Messages-->
  <diagnostic id="DVR.ATO.LS.414022">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.LS.414022</Code>
      <Description>Unrealised losses are not required</Description>
      <Location>ls:Tax.Losses.ChangeOfOwnershipOrControlAfterReferenceTime.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.LS.414017">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.LS.414017</Code>
      <Description>Continuity of majority ownership test only required for companies or widely held trusts</Description>
      <Location>ls:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <!--PSS Messages-->
  <diagnostic id="DVR.ATO.PSS.000036">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PSS.000036</Code>
      <Description>Your supplied TFN does not match the TFN supplied on the form it was submitted with</Description>
      <LongDescription></LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PSS.000035">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PSS.000035</Code>
      <Description>Payment Type not applicable to Non-individual income tax return</Description>
      <LongDescription></LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>


  <!--SMSFAR Messages-->
  <diagnostic id="DVR.ATO.SMSFAR.436010">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430008</Code>
      <Description>The Family Trust TFN on the IEE must not be the same as the main entity TFN</Description>
      <LongDescription>An Entity cannot interpose itself; therefore the family trust tax file number quoted in Interposed Entity Election cannot be the same as the tax file number of the entity making the election</LongDescription>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436038">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.434034</Code>
      <Description>If Net capital gain is more than $10,000, a CGT schedule must be present</Description>
      <LongDescription />
      <Location>bafpr1.02.00:Income.CapitalGainsNet.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436051">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.434044</Code>
      <Description>Payment summary schedule must be present when Payments where ABN not quoted amount is present</Description>
      <Location>lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436052">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.434046</Code>
      <Description>Gross payment amount must equal the sum of amounts in the Payment Summary schedule</Description>
      <Location>lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436053">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436334</Code>
      <Description>Tax withheld amount must not be less than the sum of amounts present in the schedule</Description>
      <LongDescription>The 'Credit for tax withheld - where TFN or ABN not quoted' amount must equal the sum of the Tax withheld amounts on the Payment Summary schedule</LongDescription>
      <Location>lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436072">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.434056</Code>
      <Description>Other income must not be less than Gross payment amounts on Payment Summary schedule</Description>
      <LongDescription>The 'Other income' amount must not be less than the sum of all 'Gross payment' amounts on the Payment Summary schedule</LongDescription>
      <Location>bafpr1.02.04:Income.Other.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436118">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.437137</Code>
      <Description>Credit for tax withheld - foreign resident withholding amount doesn’t match the total amount on the schedule.</Description>
      <LongDescription>The 'Credit for tax withheld - foreign resident withholding (excluding capital gains)' amount on the main form must not be less than the sum of all 'Foreign resident withholding (excluding capital gains)' amounts on the Payment Summary schedule.</LongDescription>
      <Location>tns:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldFromForeignResidents.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436194">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.432017</Code>
      <Description>Family trust election or revocation schedule must be present</Description>
      <Location>rvctc3.02.03:Elections.FamilyTrustElectionRevocation.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436196">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430178</Code>
      <Description>IEE specified income year must be present</Description>
      <LongDescription>If an IEE schedule is present, the Interposed entity election status - Specified income year must be present</LongDescription>
      <Location>rvctc3.02.00:Elections.InterposedEntityElectionStatus.Year</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436197">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430180</Code>
      <Description>If the Interposed Entity Election revocation code is present, an IEE schedule must be present</Description>
      <Location>rvctc3.02.00:Elections.InterposedEntityElectionRevocation.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436127">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.434085</Code>
      <Description>Losses schedule must be attached if losses carried forward exceeds $100,000</Description>
      <LongDescription>If the sum of 'Tax losses carried forward to later income years' and 'Net capital losses carried forward to later income years' is greater than $100000, a Losses schedule must be present</LongDescription>
      <Location>rvctc3.02.02:Tax.Losses.CarriedForward.LaterIncomeYearsTotal.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436129">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.434086</Code>
      <Description>Tax losses carried forward to later income years in schedule must equal amount in main form</Description>
      <LongDescription>The total of the 'Tax losses carried forward to later income years'  for unconsolidated entities in the Losses schedule must equal 'Tax losses carried forward to later income years' on the main form</LongDescription>
      <Location>ls:Tax.Losses.CarriedForward.LaterIncomeYearsTotal.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436252">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430176</Code>
      <Description>Year of revocation must be the same as the year of the return</Description>
      <LongDescription>The income year for which the details of the Interposed Entity Election are being revoked must equal the income year of the main return being lodged.</LongDescription>
      <Location>pyin.02.37:Report.TargetFinancial.Year</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436574">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436574</Code>
      <Description>Net capital gain in return must equal net capital gain in CGT schedule</Description>
      <LongDescription>Net capital gain amount on the company return  must equal the net capital gain amount on the CGT schedule</LongDescription>
      <Location>bafpr1.02.00:Income.CapitalGainsNet.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436801">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.434087</Code>
      <Description>Net capital losses carried forward to later income years must equal amount in Losses schedule</Description>
      <LongDescription>The total of the 'Net capital losses carried forward to later income years'  for unconsolidated entities in the Losses schedule must equal 'Net capital losses carried forward to later income years' on the main form</LongDescription>
      <Location>ls:Capital.Losses.CarriedForward.Net.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436802">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436620</Code>
      <Description>Unapplied net capital losses carried forward on CGTS must equal net capital losses carried forward</Description>
      <LongDescription>The sum of unapplied net capital losses carried forward to later income years on the Capital Gains Tax schedule must equal net capital losses carried forward to later income years on parent return</LongDescription>
      <Location>rvctc3.02.16:Capital.Losses.CarriedForward.Net.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>  
  <diagnostic id="DVR.ATO.CGTS.402242">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGTS.402242</Code>
      <Description>CGT relief not valid for the year of lodgement.</Description>
      <Location>rvctc3.02.36:CapitalGainsTax.DeferredRelief.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

</diagnostics>