﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="CrossFormIEE" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>IEE Cross Form Variables and IEE CrossForm Validations</title>

<let name="IEE.Context" value="//xbrli:xbrl[child::link:schemaRef[@xlink:href='http://sbr.gov.au/taxonomy/sbr_au_reports/ato/iee/iee_0002/iee.0002.lodge.request.02.00.report.xsd']]" />
<let name="RP.IEE.Context" value="$IEE.Context/xbrli:context[
              not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 1]/ 
              xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]
            ]" />
<let name="RP.IEE.ContextId" value="$RP.IEE.Context/@id" />
<let name="INT.IEE.Context" value="$IEE.Context/xbrli:context[
              not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 1]/ 
              xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:Intermediary$')]
           ]" />
<let name="INT.IEE.ContextId" value="$INT.IEE.Context/@id" />


<rule context="//xbrli:xbrl[not(@i:nil='true' or @i:nil='1') and link:schemaRef/@xlink:href='http://sbr.gov.au/taxonomy/sbr_au_reports/ato/iee/iee_0002/iee.0002.lodge.request.02.00.report.xsd']">

<!-- *** NOTE: Only add CrossForm rules from the IEE AP360 here that are applicable to TRT. *** 

                WHERE PARENT RETURN EXISTS
                IF (IEE:INT:entity.identifier.ABN <> NULLORBLANK) AND 
                (IEE:INT:entity.identifier.ABN <> PARENT RETURN:INT:entity.identifier.ABN)
                      RETURN VALIDATION MESSAGE
                ENDIF                
        -->
<let name="IEE4" value="orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]
                      /pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef = $RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1') 
                        and string-length(normalize-space(.)) != 0
                        and upper-case(../pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code) = 'MN'
                        and upper-case(../pyde.02.00:OrganisationNameDetails.Currency.Code) = 'C']" />
<!--
            WHERE PARENT RETURN EXISTS
            IF ([IEE82] <> NULLORBLANK) AND ([IEE116] = ""E"")
                RETURN VALIDATION MESSAGE
            ENDIF 
            [IEE82] = IEE:RP:rvctc3.xx.xx:Elections.Revocation.Year
            [IEE116] = IEE:RP:rvctc3.xx.xx:Elections.InterposedEntityElectionOrRevocation.Code
        -->
<let name="IEE5" value="address2.02.01:AddressDetails[not(@i:nil='true' or @i:nil='1')]
                    /pyde.02.00:AddressDetails.Line1.Text
                      [@contextRef = $RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1') 
                       and string-length(normalize-space(.)) != 0
                       and upper-case(../pyde.02.01:AddressDetails.Usage.Code) = 'POS'
                       and upper-case(../pyde.02.00:AddressDetails.Currency.Code) = 'C']" />
<!--
            WHERE PARENT RETURN EXISTS
            IF ([IEE82] <> NULLORBLANK) AND ([IEE82] < "2011")
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [IEE82] = IEE:RP:rvctc3.xx.xx:Elections.Revocation.Year
        -->
<let name="IEE11" value="address2.02.01:AddressDetails[not(@i:nil='true' or @i:nil='1')]
                        /pyde.02.00:AddressDetails.Line1.Text[@contextRef = $RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1') 
                            and string-length(normalize-space(.)) != 0
                            and upper-case(../pyde.02.01:AddressDetails.Usage.Code) = 'POS'
                            and upper-case(../pyde.02.00:AddressDetails.Currency.Code) = 'P']" />
<!--
            WHERE PARENT RETURN EXISTS
            IF ([IEE4] <> NULLORBLANK) AND 
            ([IEE4] <> (PARENT RETURN:RP:pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text 
            IN TUPLE (xbrli\orgname2.xx.xx:OrganisationNameDetails) 
            WHERE ((TUPLE EXPLICIT pyde.xx.xx:OrganisationNameDetails.OrganisationalNameType.Code = ""MN"") 
            AND (TUPLE EXPLICIT pyde.xx.xx:OrganisationNameDetails.Currency.Code = ""C"")))
            RETURN VALIDATION MESSAGE
            ENDIF
            [IEE4] = IEE:RP:pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text 
            WHERE ((TUPLE ELEMENT EXPLICIT pyde.xx.xx:OrganisationNameDetails.OrganisationalNameType.Code = ""MN"") 
            AND (TUPLE ELEMENT EXPLICIT pyde.xx.xx:OrganisationNameDetails.Currency.Code = ""C"")) 
            IN TUPLE(orgname2.xx.xx:OrganisationNameDetails)
            VR.ATO.IEE.410226	CMN.ATO.GEN.402063
        -->
<let name="IEE10" value="orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]
                        /pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef = $RP.IEE.ContextId 
                        and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0
                        and upper-case(../pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code) = 'MN'
                        and upper-case(../pyde.02.00:OrganisationNameDetails.Currency.Code) = 'P']" />


<assert  id="VR.ATO.GEN.410119" diagnostics="DVR.ATO.GEN.410119" test=" not(                
                            $INT.IEE.Context/xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:identifier[not(@i:nil='true' or @i:nil='1') and upper-case(@scheme) = 'HTTP://WWW.ATO.GOV.AU/ABN' and string-length(normalize-space(.)) != 0] and
                            $INT.IEE.Context/xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:identifier[not(@i:nil='true' or @i:nil='1') and upper-case(@scheme) = 'HTTP://WWW.ATO.GOV.AU/ABN' and string-length(normalize-space(.)) != 0] !=
                            $INT.TRT.Context/xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:identifier[not(@i:nil='true' or @i:nil='1') and upper-case(@scheme) = 'HTTP://WWW.ATO.GOV.AU/ABN' and string-length(normalize-space(.)) != 0]
                            )"></assert>
<!--
            IF (RP:pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifier <> NULLORBLANK) AND
            (PARENT RETURN:RP:pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifier <> NULLORBLANK) AND
            (RP:pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifier <> PARENT RETURN:RP:pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifier)
            RETURN VALIDATION MESSAGE
            ENDIF
        
              
              WHERE PARENT RETURN EXISTS
                  IF ([IEE116] = "E") AND ([IEE62] = NULLORBLANK) AND ([IEE63] <> TRUE)
                  RETURN VALIDATION MESSAGE
              ENDIF
              
              [IEE116] = IEE:RP:rvctc3.xx.xx:Elections.InterposedEntityElectionOrRevocation.Code
              [IEE62] = IEE:RP:pyid.xx.xx:Identifiers.TaxFileNumber.Identifier
              IN TUPLE(iee.0002.lodge.request.xx.xx:SpecifiedIndividual)
              [IEE63] = IEE:RP:pyid.xx.xx:Identifiers.TaxFileNumberInexistent.Indicator
              IN TUPLE(iee.0002.lodge.request.xx.xx:SpecifiedIndividual)
        -->

<assert  id="VR.ATO.IEE.410069" diagnostics="DVR.ATO.IEE.410069" test="not(
                            rvctc3.02.00:Elections.Revocation.Year[@contextRef = $RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1')and string-length(normalize-space(.)) != 0]
                            and
                            rvctc3.02.02:Elections.InterposedEntityElectionOrRevocation.Code[@contextRef = $RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1')  and upper-case(.) = 'E']
                      )"></assert>

<!--
            Rule Id: VR.ATO.IEE.410084
        
            WHERE PARENT RETURN EXISTS
            IF ([IEE82] <> NULLORBLANK) AND ([IEE82] < "2008")
               RETURN VALIDATION MESSAGE
            ENDIF^^
            [IEE82] = IEE:RP:rvctc3.xx.xx:Elections.Revocation.Year
        -->
  
<assert  id="VR.ATO.IEE.410084" diagnostics="DVR.ATO.IEE.410084" test="not(
                         count(rvctc3.02.00:Elections.Revocation.Year[@contextRef=$RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) &gt; 0       
                         and
                         rvctc3.02.00:Elections.Revocation.Year[@contextRef=$RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1') and . &lt; '2008']
                       )"></assert>

<!--
        WHERE PARENT RETURN EXISTS 
            IF (RP:entity.identifier.TFN <> NULLORBLANK) AND (RP:entity.identifier.TFN <> PARENT RETURN:RP:entity.identifier.TFN)
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.IEE.410226" diagnostics="DVR.ATO.IEE.410226" test="not(
                        $IEE4
                        and
                        (
                          $IEE4
                          !=
                          $TRT.Context/orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]
                            /pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef = $RP.TRT.ContextId and not(@i:nil='true' or @i:nil='1')
                            and upper-case(../pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code) = 'MN'
                            and upper-case(../pyde.02.00:OrganisationNameDetails.Currency.Code) = 'C']
                        )
                
                )"></assert>
<!--
            WHERE PARENT RETURN EXISTS
            IF ([IEE116] = "R") AND ([IEE50] = NULLORBLANK) 
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [IEE116] = IEE:RP:rvctc3.xx.xx:Elections.InterposedEntityElectionOrRevocation.Code
            [IEE50]  = IEE:RP:pyid.xx.xx:Identifiers.TaxFileNumber.Identifier 
                         IN TUPLE(iee.0001.lodge.request.xx.xx:FamilyTrust)
        -->

<assert  id="VR.ATO.IEE.410198" diagnostics="DVR.ATO.IEE.410198" subject="pyid.02.00:Identifiers.TaxFileNumber.Identifier" test="
                        not(  
                            rvctc3.02.02:Elections.InterposedEntityElectionOrRevocation.Code[@contextRef = $RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1') and upper-case(.)  = 'E']
                            and
                            (
                                 count(iee.0002.lodge.req.02.00:SpecifiedIndividual[not(@i:nil='true' or @i:nil='1')]/pyid.02.00:Identifiers.TaxFileNumber.Identifier[@contextRef = $RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) = 0 and
                                 count(iee.0002.lodge.req.02.00:SpecifiedIndividual[not(@i:nil='true' or @i:nil='1')]/pyid.02.00:Identifiers.TaxFileNumberInexistent.Indicator[@contextRef = $RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0 and (upper-case(.) = 'TRUE' or . = '1')]) = 0
                            )
                        )"></assert>
<!--
            WHERE PARENT RETURN EXISTS
            IF ([IEE5] <> NULLORBLANK) AND 
            (
                [IEE5] <> (PARENT RETURN:RP:pyde.xx.xx:AddressDetails.Line1.Text 
                    WHERE 
                    (
                        (TUPLE ELEMENT EXPLICIT pyde.xx.xx:AddressDetails.Usage.Code = "POS") AND 
                        (TUPLE ELEMENT EXPLICIT pyde.xx.xx:AddressDetails.Currency.Code = "C")
                    ) IN TUPLE(xbrli\address2.xx.xx:AddressDetails)
                        RETURN VALIDATION MESSAGE
            ENDIF

            [IEE5] = IEE:RP:pyde.xx.xx:AddressDetails.Line1.Text WHERE 
                    (
                        (TUPLE ELEMENT EXPLICIT pyde.xx.xx:AddressDetails.Usage.Code = "POS") AND 
                        (TUPLE ELEMENT EXPLICIT pyde.xx.xx:AddressDetails.Currency.Code = "C")
                    ) IN TUPLE(xbrli\address2.xx.xx:AddressDetails)                                               
        -->

<assert  id="VR.ATO.GEN.402010" diagnostics="DVR.ATO.GEN.402010" test="not(                    
                        (
                            $TRT.Context/pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[@contextRef=$RP.TRT.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0] 
                            and
                            pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[@contextRef=$RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                        )
                        and
                        (
                            pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[@contextRef=$RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                            !=
                            $TRT.Context/pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[@contextRef=$RP.TRT.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                        )
                     )"></assert>

<assert  id="VR.ATO.GEN.410115" diagnostics="DVR.ATO.GEN.410115" test="not(                         
                         $RP.IEE.Context/xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:identifier[not(@i:nil='true' or @i:nil='1') and upper-case(@scheme) = 'HTTP://WWW.ATO.GOV.AU/TFN' and string-length(normalize-space(.)) != 0] 
                         and
                         $RP.IEE.Context/xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:identifier[not(@i:nil='true' or @i:nil='1') and upper-case(@scheme) = 'HTTP://WWW.ATO.GOV.AU/TFN' and string-length(normalize-space(.)) != 0] 
                         != 
                         $RP.TRT.Context/xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:identifier[not(@i:nil='true' or @i:nil='1') and upper-case(@scheme) = 'HTTP://WWW.ATO.GOV.AU/TFN' and string-length(normalize-space(.)) != 0]
                       )"></assert>
<!--
            WHERE PARENT RETURN EXISTS
            IF ([IEE11] <> NULLORBLANK) AND 
               ([IEE11] <> (PARENT RETURN:RP:pyde.xx.xx:AddressDetails.Line1.Text 
                                WHERE ((TUPLE ELEMENT EXPLICIT pyde.xx.xx:AddressDetails.Usage.Code = "POS") AND 
                                       (TUPLE ELEMENT EXPLICIT pyde.xx.xx:AddressDetails.Currency.Code = "P")) 
                                            IN TUPLE(xbrli\address2.xx.xx:AddressDetails)
                RETURN VALIDATION MESSAGE
            ENDIF

            [IEE11] = IEE:RP:pyde.xx.xx:AddressDetails.Line1.Text 
                        WHERE ((TUPLE ELEMENT EXPLICIT pyde.xx.xx:AddressDetails.Usage.Code = "POS") AND 
                               (TUPLE ELEMENT EXPLICIT pyde.xx.xx:AddressDetails.Currency.Code = "P")) 
                                    IN TUPLE(xbrli\address2.xx.xx:AddressDetails)                                    
        -->

<assert  id="VR.ATO.IEE.410193" diagnostics="DVR.ATO.IEE.410193" test="not(
                        rvctc3.02.02:Elections.InterposedEntityElectionOrRevocation.Code[@contextRef = $RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1') 
                          and upper-case(.) = 'R']
                        and
                        not(iee.0002.lodge.req.02.00:FamilyTrust[not(@i:nil='true' or @i:nil='1')]
                          /pyid.02.00:Identifiers.TaxFileNumber.Identifier[@contextRef = $RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1')
                            and string-length(normalize-space(.)) != 0])
                      )"></assert>

<assert  id="VR.ATO.IEE.410223" diagnostics="DVR.ATO.IEE.410223" test="not(
                        $IEE5
                        and
                        (
                           $IEE5
                           !=
                           $TRT.Context/address2.02.02:AddressDetails[not(@i:nil='true' or @i:nil='1')]
                             /pyde.02.00:AddressDetails.Line1.Text
                               [@contextRef = $RP.TRT.ContextId and not(@i:nil='true' or @i:nil='1')                                  
                                 and upper-case(../pyde.02.01:AddressDetails.Usage.Code) = 'POS'
                                 and upper-case(../pyde.02.00:AddressDetails.Currency.Code) = 'C']
                        )
                      )"></assert>
<!--
            WHERE PARENT RETURN EXISTS
            IF ([IEE10] <> NULLORBLANK) AND ([IEE10] <> (PARENT RETURN:RP:pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text 
                IN TUPLE (xbrli\orgname2.xx.xx:OrganisationNameDetails) 
                WHERE ((TUPLE EXPLICIT pyde.xx.xx:OrganisationNameDetails.OrganisationalNameType.Code = "MN") 
                AND (TUPLE EXPLICIT pyde.xx.xx:OrganisationNameDetails.Currency.Code = "P"))) 
                    RETURN VALIDATION MESSAGE
            ENDIF
            
            [IEE10] = IEE:RP:pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text WHERE 
                      ((TUPLE ELEMENT EXPLICIT pyde.xx.xx:OrganisationNameDetails.OrganisationalNameType.Code = "MN") 
                      AND (TUPLE ELEMENT EXPLICIT pyde.xx.xx:OrganisationNameDetails.Currency.Code = "P")) 
                      IN TUPLE(orgname2.xx.xx:OrganisationNameDetails)        
        -->

<assert  id="VR.ATO.IEE.410224" diagnostics="DVR.ATO.IEE.410224" test="not(
                        $IEE11
                        and
                        (
                          $IEE11
                          !=
                          $TRT.Context/address2.02.02:AddressDetails[not(@i:nil='true' or @i:nil='1')]
                                /pyde.02.00:AddressDetails.Line1.Text[@contextRef = $RP.TRT.ContextId and not(@i:nil='true' or @i:nil='1') 
                                    and upper-case(../pyde.02.01:AddressDetails.Usage.Code) = 'POS'
                                    and upper-case(../pyde.02.00:AddressDetails.Currency.Code) = 'P']
                        )
                      )"></assert>

<assert  id="VR.ATO.IEE.410225" diagnostics="DVR.ATO.IEE.410225" test="not(                    
                         $IEE10
                         and
                         (
                           $IEE10
                           !=
                           $TRT.Context/orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]
                                /pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef = $RP.TRT.ContextId 
                                and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0
                                and upper-case(../pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code) = 'MN'
                                and upper-case(../pyde.02.00:OrganisationNameDetails.Currency.Code) = 'P']
                         )
                       )"></assert>
<!--                 
            WHERE PARENT RETURN EXISTS
            IF ([IEE49] <> NULL) AND ([IEE45] <> PARENT RETURN:Report.TargetFinancial.Year)
            RETURN VALIDATION MESSAGE
            ENDIF
            [IEE49] = IEE:RP:rvctc3.xx.xx:Elections.Commencement.Date
            [IEE45] = IEE:RP:rvctc3.xx.xx:Elections.InterposedEntityElectionStatus.Year
        -->

<assert  id="VR.ATO.IEE.410051" diagnostics="DVR.ATO.IEE.410051" test="not(                    
                        rvctc3.02.00:Elections.Commencement.Date[@contextRef = $RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1')]
                        and
                        (   rvctc3.02.00:Elections.InterposedEntityElectionStatus.Year[@contextRef = $RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1')]
                           !=
                           $TRT.Context/pyin.02.37:Report.TargetFinancial.Year[@contextRef = $RP.TRT.ContextId and not(@i:nil='true' or @i:nil='1')]
                        )
                     )"></assert>
<!--
            WHERE PARENT RETURN EXISTS
            IF INT <> NULLORBLANK AND COUNT [IEE159] > 0
                RETURN VALIDATION MESSAGE
            ENDIF
              
            [IEE159] = IEE:INT:pyin.xx.xx:Declaration.StatementType.Code
                       IN TUPLE(declaration2.xx.xx:Declaration)
        -->

<assert  id="VR.ATO.IEE.410262" diagnostics="DVR.ATO.IEE.410262" test="not(
                         $INT.IEE.ContextId 
                         and
                         (
                            count(declaration2.02.01:Declaration[not(@i:nil='true' or @i:nil='1')]
                                  /pyin.02.03:Declaration.StatementType.Code[@contextRef = $INT.IEE.ContextId 
                                  and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                         )                        
                       )"></assert>
<!--
            WHERE PARENT RETURN EXISTS
            IF ([IEE116] = "R") AND ([IEE82] <> PARENT RETURN:Report.TargetFinancial.Year) 
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [IEE116] = IEE:RP:rvctc3.xx.xx:Elections.InterposedEntityElectionOrRevocation.Code
            [IEE82] = IEE:RP:rvctc3.xx.xx:Elections.Revocation.Year
        -->

<assert  id="VR.ATO.IEE.410070" diagnostics="DVR.ATO.IEE.410070" test="not(
                         rvctc3.02.02:Elections.InterposedEntityElectionOrRevocation.Code[@contextRef=$RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^(R)$')]
                         and
                         (       
                            rvctc3.02.00:Elections.Revocation.Year[@contextRef=$RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1')]
                            !=
                            $TRT.Context/pyin.02.37:Report.TargetFinancial.Year[@contextRef=$RP.TRT.ContextId and not(@i:nil='true' or @i:nil='1')]
                         )
                     )"></assert>
<!--
            WHERE PARENT RETURN EXISTS
            IF ([IEE116] = "R") AND 
               (
                 ([IEE52]  = NULLORBLANK) OR 
                 ([IEE53]  = NULLORBLANK) OR 
                 ([IEE54]  = NULLORBLANK) OR 
                 ([IEE119] = NULLORBLANK) OR 
                 ([IEE170] = NULLORBLANK) OR 
                 ([IEE82]  = NULLORBLANK)
               )
                    RETURN VALIDATION MESSAGE
            ENDIF

            [IEE116] = IEE:RP:rvctc3.xx.xx:Elections.InterposedEntityElectionOrRevocation.Code
            [IEE52] = IEE:RP:OrganisationNameDetails.OrganisationalName.Text
                        WHERE ((TUPLE ELEMENT EXPLICIT pyde.xx.xx:OrganisationNameDetails.OrganisationalNameType.Code = "MN") AND 
                               (TUPLE ELEMENT EXPLICIT pyde.xx.xx:OrganisationNameDetails.Currency.Code = "C")) 
                                 IN TUPLE(orgname2.xx.xx:OrganisationNameDetails) 
                                   IN TUPLE(iee.0002.lodge.req.xx.xx:FamilyTrust)
            [IEE53] = IEE:RP:pyde.xx.xx:AddressDetails.Line1.Text
                        WHERE ((TUPLE ELEMENT EXPLICIT pyde.xx.xx:AddressDetails.Usage.Code = "POS") AND 
                               (TUPLE ELEMENT EXPLICIT pyde.xx.xx:AddressDetails.Currency.Code = "C")) 
                                 IN TUPLE(address2.xx.xx:AddressDetails) 
                                   IN TUPLE(iee.0002.lodge.req.xx.xx:FamilyTrust)
            [IEE54] = IEE:RP:pyde.xx.xx:AddressDetails.LocalityName.Text
                        WHERE ((TUPLE ELEMENT EXPLICIT pyde.xx.xx:AddressDetails.Usage.Code = "POS") AND 
                               (TUPLE ELEMENT EXPLICIT pyde.xx.xx:AddressDetails.Currency.Code = "C")) 
                                 IN TUPLE(address2.xx.xx:AddressDetails) 
                                   IN TUPLE(iee.0002.lodge.req.xx.xx:FamilyTrust)
            [IEE119] = IEE:RP:OrganisationNameDetails.OrganisationalNameType.Code
                         WHERE (TUPLE ELEMENT EXPLICIT pyde.xx.xx:OrganisationNameDetails.Currency.Code = "C") 
                           IN TUPLE(orgname2.xx.xx:OrganisationNameDetails) 
                             IN TUPLE(iee.0002.lodge.req.xx.xx:FamilyTrust)
            [IEE170] = IEE:RP:OrganisationNameDetails.Currency.Code
                         WHERE (TUPLE ELEMENT EXPLICIT pyde.xx.xx:OrganisationNameDetails.OrganisationalNameType.Code = "MN") 
                           IN TUPLE(orgname2.xx.xx:OrganisationNameDetails) 
                             IN TUPLE(iee.0002.lodge.req.xx.xx:FamilyTrust)
            [IEE82] = IEE:RP:rvctc3.xx.xx:Elections.Revocation.Year
        -->

<assert  id="VR.ATO.IEE.410071" diagnostics="DVR.ATO.IEE.410071" test="not(
                        rvctc3.02.02:Elections.InterposedEntityElectionOrRevocation.Code[@contextRef = $RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1') 
                          and upper-case(.) = 'R']
                        and
                        (
                          not(iee.0002.lodge.req.02.00:FamilyTrust[not(@i:nil='true' or @i:nil='1')]/orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]
                              /pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef = $RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1') 
                                and string-length(normalize-space(.)) != 0
                                and upper-case(../pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code) = 'MN'
                                and upper-case(../pyde.02.00:OrganisationNameDetails.Currency.Code) = 'C'])
                          or
                          not(iee.0002.lodge.req.02.00:FamilyTrust[not(@i:nil='true' or @i:nil='1')]/address2.02.01:AddressDetails[not(@i:nil='true' or @i:nil='1')]
                              /pyde.02.00:AddressDetails.Line1.Text[@contextRef = $RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1') 
                                and string-length(normalize-space(.)) != 0
                                and upper-case(../pyde.02.01:AddressDetails.Usage.Code) = 'POS'            
                                and upper-case(../pyde.02.00:AddressDetails.Currency.Code) = 'C'])
                          or
                          not(iee.0002.lodge.req.02.00:FamilyTrust[not(@i:nil='true' or @i:nil='1')]/address2.02.01:AddressDetails[not(@i:nil='true' or @i:nil='1')]
                              /pyde.02.00:AddressDetails.LocalityName.Text[@contextRef = $RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1') 
                                and string-length(normalize-space(.)) != 0
                                and upper-case(../pyde.02.01:AddressDetails.Usage.Code) = 'POS'            
                                and upper-case(../pyde.02.00:AddressDetails.Currency.Code) = 'C'])
                          or
                          not(iee.0002.lodge.req.02.00:FamilyTrust[not(@i:nil='true' or @i:nil='1')]/orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]
                              /pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[@contextRef = $RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1') 
                                and string-length(normalize-space(.)) != 0
                                and upper-case(../pyde.02.00:OrganisationNameDetails.Currency.Code) = 'C'])
                          or
                          not(iee.0002.lodge.req.02.00:FamilyTrust[not(@i:nil='true' or @i:nil='1')]/orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]
                              /pyde.02.00:OrganisationNameDetails.Currency.Code[@contextRef = $RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1') 
                                  and string-length(normalize-space(.)) != 0
                                  and upper-case(../pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code) = 'MN'])
                          or
                          not(rvctc3.02.00:Elections.Revocation.Year[@contextRef = $RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1') 
                                  and string-length(normalize-space(.)) != 0])
                        )
                       )"></assert>
<!--
            WHERE PARENT RETURN EXISTS
            IF ([IEE116] = "E") AND 
               ([IEE16] = SET ("217","212","161")) AND 
               ([IEE26] <> TRUE) AND 
               ([IEE25] = NULLORBLANK) 
                   RETURN VALIDATION MESSAGE
            ENDIF

            [IEE116] = IEE:RP:rvctc3.xx.xx:Elections.InterposedEntityElectionOrRevocation.Code
            [IEE16]  = IEE:RP:ptde.xx.xx:Party.Type.Code
            [IEE26]  = IEE:RP:pyid.xx.xx:Identifiers.TaxFileNumberInexistent.Indicator
                       IN TUPLE(iee.0002.lodge.req.xx.xx:TrusteeOrPartner)
            [IEE25]  = IEE:RP:pyid.xx.xx:Identifiers.TaxFileNumber.Identifier
                       IN TUPLE(iee.0002.lodge.req.xx.xx:TrusteeOrPartner)
        -->

<assert  id="VR.ATO.IEE.410100" diagnostics="DVR.ATO.IEE.410100" test="not(
                        rvctc3.02.02:Elections.InterposedEntityElectionOrRevocation.Code[@contextRef = $RP.IEE.ContextId 
                            and not(@i:nil='true' or @i:nil='1') and upper-case(.) = 'E']                          
                        and 
                        pyde.02.03:Party.Type.Code[@contextRef = $RP.IEE.ContextId 
                            and not(@i:nil='true' or @i:nil='1') and matches(.,'^(217|212|161)$')]                          
                        and 
                        not(iee.0002.lodge.req.02.00:TrusteeOrPartner[not(@i:nil='true' or @i:nil='1')]
                                /pyid.02.00:Identifiers.TaxFileNumberInexistent.Indicator[@contextRef = $RP.IEE.ContextId 
                                    and not(@i:nil='true' or @i:nil='1') and matches(.,'^(true|1)$')])
                        and 
                        not(iee.0002.lodge.req.02.00:TrusteeOrPartner[not(@i:nil='true' or @i:nil='1')]
                                /pyid.02.00:Identifiers.TaxFileNumber.Identifier[@contextRef = $RP.IEE.ContextId 
                                    and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
                       
                     )"></assert>
<!--
            WHERE PARENT RETURN EXISTS
            IF (
                (
                 ([IEE58] <> NULLORBLANK) OR 
                 ([IEE59] <> NULL) OR ([IEE60] <> NULL) OR ([IEE61] <> NULL) OR ([IEE62] <> NULLORBLANK) OR 
                 ([IEE69] <> NULLORBLANK) OR ([IEE64] <> NULL) OR ([IEE65] <> NULLORBLANK) OR ([IEE66] <> NULLORBLANK) OR 
                 ([IEE67] <> NULLORBLANK) OR ([IEE68] <> NULLORBLANK) OR ([IEE69] <> NULLORBLANK) OR ([IEE70] <> NULLORBLANK) OR 
                 ([IEE71] <> NULLORBLANK) OR ([IEE72] <> NULLORBLANK) OR ([IEE73] <> NULLORBLANK)
                ) AND 
                ([IEE82] <> NULLORBLANK)
               )
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [IEE58] = IEE:RP:rvctc3.xx.xx:Elections.FamilyTrustElectionStatus.Year IN TUPLE(iee.0002.lodge.req.xx.xx:FamilyTrust)
            [IEE59] = IEE:RP:rvctc3.xx.xx:Elections.Commencement.Date IN TUPLE(iee.0002.lodge.req.xx.xx:FamilyTrust)
            [IEE60] = IEE:RP:pyin.xx.xx:PeriodStart.Date WHERE (TUPLE ELEMENT EXPLICIT pyin.xx.xx:Period.Type.Code = "SubstitutedAccountingPeriod") IN TUPLE(period1.xx.xx:PeriodDetails) IN TUPLE(iee.0002.lodge.req.xx.xx:FamilyTrust)
            [IEE61] = IEE:RP:pyin.xx.xx:PeriodEnd.Date WHERE (TUPLE ELEMENT EXPLICIT pyin.xx.xx:Period.Type.Code = "SubstitutedAccountingPeriod") IN TUPLE(period1.xx.xx:PeriodDetails) IN TUPLE(iee.0002.lodge.req.xx.xx:FamilyTrust)
            [IEE62] = IEE:RP:pyid.xx.xx:Identifiers.TaxFileNumber.Identifier IN TUPLE(iee.0002.lodge.req.xx.xx:SpecifiedIndividual)
            [IEE69] = IEE:RP:pyde.xx.xx:PersonNameDetails.OtherGivenName.Text WHERE (TUPLE ELEMENT EXPLICIT pyde.xx.xx:PersonNameDetails.PersonNameType.Code = "LGL") IN TUPLE(prsnstrcnm3.xx.xx:PersonNameDetails) IN TUPLE(iee.0002.lodge.req.xx.xx:SpecifiedIndividual)
            [IEE64] = IEE:RP:pyde.xx.xx:PersonDemographicDetails.Birth.Date IN TUPLE(iee.0002.lodge.req.xx.xx:SpecifiedIndividual)
            [IEE65] = IEE:RP:pyde.xx.xx:PersonNameDetails.Title.Text WHERE (TUPLE ELEMENT EXPLICIT pyde.xx.xx:PersonNameDetails.PersonNameType.Code = "LGL") IN TUPLE(prsnstrcnm3.xx.xx:PersonNameDetails) IN TUPLE(iee.0002.lodge.req.xx.xx:SpecifiedIndividual)
            [IEE66] = IEE:RP:pyde.xx.xx:PersonNameDetails.FamilyName.Text WHERE (TUPLE ELEMENT EXPLICIT pyde.xx.xx:PersonNameDetails.PersonNameType.Code = "LGL") IN TUPLE(prsnstrcnm3.xx.xx:PersonNameDetails) IN TUPLE(iee.0002.lodge.req.xx.xx:SpecifiedIndividual)
            [IEE67] = IEE:RP:pyde.xx.xx:PersonNameDetails.NameSuffix.Text WHERE (TUPLE ELEMENT EXPLICIT pyde.xx.xx:PersonNameDetails.PersonNameType.Code = "LGL") IN TUPLE(prsnstrcnm3.xx.xx:PersonNameDetails) IN TUPLE(iee.0002.lodge.req.xx.xx:SpecifiedIndividual)
            [IEE68] = IEE:RP:pyde.xx.xx:PersonNameDetails.GivenName.Text WHERE (TUPLE ELEMENT EXPLICIT pyde.xx.xx:PersonNameDetails.PersonNameType.Code = "LGL") IN TUPLE(prsnstrcnm3.xx.xx:PersonNameDetails) IN TUPLE(iee.0002.lodge.req.xx.xx:SpecifiedIndividual)
            [IEE70] = IEE:RP:pyde.xx.xx:AddressDetails.Line1.Text WHERE ((TUPLE ELEMENT EXPLICIT pyde.xx.xx:AddressDetails.Usage.Code = "RES") AND (TUPLE ELEMENT EXPLICIT pyde.xx.xx:AddressDetails.Currency.Code = "C")) IN TUPLE(address2.xx.xx:AddressDetails) IN TUPLE(iee.0002.lodge.req.xx.xx:SpecifiedIndividual)
            [IEE71] = IEE:RP:pyde.xx.xx:AddressDetails.LocalityName.Text WHERE ((TUPLE ELEMENT EXPLICIT pyde.xx.xx:AddressDetails.Usage.Code = "RES") AND (TUPLE ELEMENT EXPLICIT pyde.xx.xx:AddressDetails.Currency.Code = "C")) IN TUPLE(address2.xx.xx:AddressDetails) IN TUPLE(iee.0002.lodge.req.xx.xx:SpecifiedIndividual)
            [IEE72] = IEE:RP:pyde.xx.xx:AddressDetails.StateOrTerritory.Code WHERE ((TUPLE ELEMENT EXPLICIT pyde.xx.xx:AddressDetails.Usage.Code = "RES") AND (TUPLE ELEMENT EXPLICIT pyde.xx.xx:AddressDetails.Currency.Code = "C")) IN TUPLE(address2.xx.xx:AddressDetails) IN TUPLE(iee.0002.lodge.req.xx.xx:SpecifiedIndividual)
            [IEE73] = IEE:RP:pyde.xx.xx:AddressDetails.Postcode.Text WHERE ((TUPLE ELEMENT EXPLICIT pyde.xx.xx:AddressDetails.Usage.Code = "RES") AND (TUPLE ELEMENT EXPLICIT pyde.xx.xx:AddressDetails.Currency.Code = "C")) IN TUPLE(address2.xx.xx:AddressDetails) IN TUPLE(iee.0002.lodge.req.xx.xx:SpecifiedIndividual)
            [IEE82] = IEE:RP:rvctc3.xx.xx:Elections.Revocation.Year
        -->

<assert  id="VR.ATO.IEE.410076" diagnostics="DVR.ATO.IEE.410076" test="not(
                        (
                            count(iee.0002.lodge.req.02.00:FamilyTrust/rvctc3.02.00:Elections.FamilyTrustElectionStatus.Year[@contextRef=$RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) &gt; 0
                            or count(iee.0002.lodge.req.02.00:FamilyTrust/rvctc3.02.00:Elections.Commencement.Date[@contextRef=$RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                            or count(iee.0002.lodge.req.02.00:FamilyTrust[not(@i:nil='true' or @i:nil='1')]/period1.02.01:PeriodDetails[pyin.02.05:Period.Type.Code='SubstitutedAccountingPeriod']/pyin.02.00:Period.Start.Date[@contextRef=$RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                            or count(iee.0002.lodge.req.02.00:FamilyTrust[not(@i:nil='true' or @i:nil='1')]/period1.02.01:PeriodDetails[pyin.02.05:Period.Type.Code='SubstitutedAccountingPeriod']/pyin.02.00:Period.End.Date[@contextRef=$RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                            or count(iee.0002.lodge.req.02.00:SpecifiedIndividual/pyde.02.00:PersonDemographicDetails.Birth.Date[@contextRef=$RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                            or count(iee.0002.lodge.req.02.00:SpecifiedIndividual/pyid.02.00:Identifiers.TaxFileNumber.Identifier[@contextRef=$RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) &gt; 0
                            or count(iee.0002.lodge.req.02.00:SpecifiedIndividual/prsnstrcnm3.02.01:PersonNameDetails[pyde.02.00:PersonNameDetails.Currency.Code='C' and pyde.02.00:PersonNameDetails.PersonNameType.Code='LGL']/pyde.02.00:PersonNameDetails.OtherGivenName.Text[@contextRef=$RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) &gt; 0
                            or count(iee.0002.lodge.req.02.00:SpecifiedIndividual/prsnstrcnm3.02.01:PersonNameDetails[pyde.02.00:PersonNameDetails.Currency.Code='C' and pyde.02.00:PersonNameDetails.PersonNameType.Code='LGL']/pyde.02.00:PersonNameDetails.Title.Text[@contextRef=$RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) &gt; 0
                            or count(iee.0002.lodge.req.02.00:SpecifiedIndividual/prsnstrcnm3.02.01:PersonNameDetails[pyde.02.00:PersonNameDetails.Currency.Code='C' and pyde.02.00:PersonNameDetails.PersonNameType.Code='LGL']/pyde.02.00:PersonNameDetails.FamilyName.Text[@contextRef=$RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) &gt; 0
                            or count(iee.0002.lodge.req.02.00:SpecifiedIndividual/prsnstrcnm3.02.01:PersonNameDetails[pyde.02.00:PersonNameDetails.Currency.Code='C' and pyde.02.00:PersonNameDetails.PersonNameType.Code='LGL']/pyde.02.00:PersonNameDetails.NameSuffix.Text[@contextRef=$RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) &gt; 0
                            or count(iee.0002.lodge.req.02.00:SpecifiedIndividual/prsnstrcnm3.02.01:PersonNameDetails[pyde.02.00:PersonNameDetails.Currency.Code='C' and pyde.02.00:PersonNameDetails.PersonNameType.Code='LGL']/pyde.02.00:PersonNameDetails.GivenName.Text[@contextRef=$RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) &gt; 0
                            or count(iee.0002.lodge.req.02.00:SpecifiedIndividual/address2.02.01:AddressDetails[pyde.02.01:AddressDetails.Usage.Code='RES' and pyde.02.00:AddressDetails.Currency.Code='C']/pyde.02.00:AddressDetails.Line1.Text[@contextRef=$RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) &gt; 0
                            or count(iee.0002.lodge.req.02.00:SpecifiedIndividual/address2.02.01:AddressDetails[pyde.02.01:AddressDetails.Usage.Code='RES' and pyde.02.00:AddressDetails.Currency.Code='C']/pyde.02.00:AddressDetails.LocalityName.Text[@contextRef=$RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) &gt; 0
                            or count(iee.0002.lodge.req.02.00:SpecifiedIndividual/address2.02.01:AddressDetails[pyde.02.01:AddressDetails.Usage.Code='RES' and pyde.02.00:AddressDetails.Currency.Code='C']/pyde.02.00:AddressDetails.StateOrTerritory.Code[@contextRef=$RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) &gt; 0
                            or count(iee.0002.lodge.req.02.00:SpecifiedIndividual/address2.02.01:AddressDetails[pyde.02.01:AddressDetails.Usage.Code='RES' and pyde.02.00:AddressDetails.Currency.Code='C']/pyde.02.00:AddressDetails.Postcode.Text[@contextRef=$RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) &gt; 0
                        )    
                        and
                        count(rvctc3.02.00:Elections.Revocation.Year[@contextRef=$RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) &gt; 0
                       )"></assert>
</rule>
</pattern>