﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Declaration" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Declaration Common Validations</title>

    <rule context="xbrli:xbrl[not(@i:nil = 'true' or @i:nil='1')]">

        <!--  
            Rule ID: VR.ATO.GEN.438061

            IF INT<>NULL AND INT:pyin.xx.xx:Declaration.StatementType.Code <> "TrueAndCorrect"   
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.438061" diagnostics="DVR.ATO.GEN.438061"
            test="not(
                $INT.ContextId 
                and
                not(
                    declaration2.02.01:Declaration/pyin.02.03:Declaration.StatementType.Code[@contextRef=$INT.ContextId and matches(., '^(TrueAndCorrect|1)$','i')]
                )
            )"
         />

        <!--  
            Rule ID: VR.ATO.GEN.438062

            IF INT=NULL AND RP:pyin.xx.xx:Declaration.StatementType.Code <> "TrueAndCorrect"   
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.438062" diagnostics="DVR.ATO.GEN.438062"
            test="not(
                not($INT.ContextId)
                and
                not(
                    declaration2.02.01:Declaration/pyin.02.03:Declaration.StatementType.Code[@contextRef=$RP.ContextId and matches(., '^(TrueAndCorrect|1)$','i')]
                )
            )"
        />

        <!--  
            Rule ID: VR.ATO.GEN.438063

            IF INT<>NULL AND INT:pyin.xx.xx:Declaration.StatementAccepted.Indicator <> TRUE
               RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.438063" diagnostics="DVR.ATO.GEN.438063"
            test="not(
                 $INT.ContextId
                 and 
                 not(
                    declaration2.02.01:Declaration/pyin.02.00:Declaration.StatementAccepted.Indicator[@contextRef=$INT.ContextId and matches(., '^(true|1)$','i')]
                 )
            )"
         />

        <!--  
            Rule ID: VR.ATO.GEN.438064

            IF INT=NULL AND RP:pyin.xx.xx:Declaration.StatementAccepted.Indicator <> "TRUE"   
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.438064" diagnostics="DVR.ATO.GEN.438064"
            test="not(
                not($INT.ContextId) 
                and 
                not(
                    declaration2.02.01:Declaration/pyin.02.00:Declaration.StatementAccepted.Indicator[@contextRef=$RP.ContextId and matches(., '^(true|1)$','i')]
                )
             )"
         />

        <!--  
            Rule ID: VR.ATO.GEN.438065

            IF INT<>NULL AND INT:pyin.xx.xx:Declaration.SignatoryIdentifier.Text = NULLORBLANK
               RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.438065" diagnostics="DVR.ATO.GEN.438065"
            test="not(
                $INT.ContextId 
                and 
                not(declaration2.02.01:Declaration/pyin.02.00:Declaration.SignatoryIdentifier.Text[@contextRef=$INT.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) 
            )"/>

        <!--  
            Rule ID: VR.ATO.GEN.438066

            IF INT=NULL AND RP:pyin.xx.xx:Declaration.SignatoryIdentifier.Text = NULLORBLANK
               RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.438066" diagnostics="DVR.ATO.GEN.438066"
            test="not(
                not($INT.ContextId) 
                and 
                not(declaration2.02.01:Declaration/pyin.02.00:Declaration.SignatoryIdentifier.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) 
            )"/>

        <!--  
            Rule ID: VR.ATO.GEN.438067

            IF INT<>NULL AND INT:pyin.xx.xx:Declaration.Signature.Date = NULL
               RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.438067" diagnostics="DVR.ATO.GEN.438067"
            test="not(
                $INT.ContextId 
                and 
                not(declaration2.02.01:Declaration/pyin.02.00:Declaration.Signature.Date[@contextRef=$INT.ContextId and not(@i:nil='true' or @i:nil='1') ]) 
            )"/>

        <!--  
            Rule ID: VR.ATO.GEN.438068

            IF INT=NULL AND RP:pyin.xx.xx:Declaration.Signature.Date = NULL
               RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.438068" diagnostics="DVR.ATO.GEN.438068"
            test="not(
                not($INT.ContextId) 
                and 
                not(declaration2.02.01:Declaration/pyin.02.00:Declaration.Signature.Date[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') ])
            )"/>

    </rule>

<rule context="declaration2.02.01:Declaration[not(@i:nil = 'true' or @i:nil='1')]">

    <!--
            Rule ID: VR.ATO.GEN.430255
            
            IF pyde.xx.xx:Declaration.Signature.Date <> NULL 
            AND pyde.xx.xx:Declaration.Signature.Date > DATE(TODAY)
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.430255" diagnostics="DVR.ATO.GEN.430255" test=" not(pyin.02.00:Declaration.Signature.Date[not(@i:nil='true' or @i:nil='1')])
                      or not(function:IsDate1GreaterThanDate2(pyin.02.00:Declaration.Signature.Date[not(@i:nil='true' or @i:nil='1')], fn:current-dateTime()))
                     "></assert>
</rule>

<rule context="prsnunstrcnm1.02.01:PersonUnstructuredName[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:PersonUnstructuredName.FullName.Text[not(@i:nil='true' or @i:nil='1')]">

<!--  
            Rule: VR.ATO.GEN.430252
            
            IF LENGTH(pyde.xx.xx:PersonUnstructuredName.FullName.Text) > 200
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.430252" diagnostics="DVR.ATO.GEN.430252" test="not(string-length(normalize-space(.)) &gt; 200)"></assert>
  <!--
            Rule: VR.ATO.GEN.438035
            
            IF (pyde.xx.xx:PersonUnstructuredName.FullName.Text <> NULLORBLANK AND pyde.xx.xx:PersonUnstructuredName.FullName.Text CONTAINS SET("","",""*""))
               RETURN VALIDATION MESSAGE
            ENDIF

         -->

  <assert  id="VR.ATO.GEN.438035" diagnostics="DVR.ATO.GEN.438035" test="not(
                         
                          matches(.,'^(.*)(,|\*)(.*)$')
                        
                         )"></assert>
</rule>
</pattern>