﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Content" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Content Validations</title>

	<rule context="xbrli:xbrl[not(@i:nil='true')]">


    <!-- Rule ID: VR.ATO.GEN.438072
          IF
          
            (CONTEXT(Intermediary.TrueAndCorrect) <> NULL) AND 
            (Intermediary.TrueAndCorrect:pyde.xx.xx:ElectronicContact.Telephone.Minimal.Number = NULLORBLANK) AND 
            (Intermediary.TrueAndCorrect:pyde.xx.xx:ElectronicContact.Telephone.Area.Code <> NULLORBLANK)
          
             RETURN VALIDATION MESSAGE
          ENDIF

        
        [TRTAMI86] = Intermediary.TrueAndCorrect:pyde.02.00:ElectronicContact.Telephone.Minimal.Number
        [TRTAMI85] = Intermediary.TrueAndCorrect:pyde.02.00:ElectronicContact.Telephone.Area.Code

    -->

    <assert id="VR.ATO.GEN.438072" diagnostics="DVR.ATO.GEN.438072"
        test="not (
                      $INTTAC.Context
                      and
                      not($trtami86[not(@i:nil='true') and string-length(.) != 0])
                      and
                      $trtami85[not(@i:nil='true') and string-length(.) != 0]
                    )
                  "/>
    
    <!-- Rule ID: VR.ATO.GEN.438073

          IF 
          
            (CONTEXT(Intermediary.TrueAndCorrect) = NULL) AND 
            (RP.TrueAndCorrect:pyde.xx.xx:ElectronicContact.Telephone.Telephone.Minimal.Number = NULLORBLANK) AND 
            (RP.TrueAndCorrect:pyde.xx.xx:ElectronicContact.Telephone.Area.Code <> NULLORBLANK)

             RETURN VALIDATION MESSAGE
          ENDIF

        [TRTAMI97] = RP.TrueAndCorrect:pyde.02.00:ElectronicContact.Telephone.Minimal.Number
        [TRTAMI96] = RP.TrueAndCorrect:pyde.02.00:ElectronicContact.Telephone.Area.Code
       

    -->

    <assert id="VR.ATO.GEN.438073" diagnostics="DVR.ATO.GEN.438073"
        test="not(
                      not($INTTAC.Context)
                      and
                      not($trtami97[not(@i:nil='true') and string-length(.) != 0])
                      and
                      $trtami96[not(@i:nil='true') and string-length(.) != 0]

                 ) "/>

    <!-- Rule ID: VR.ATO.GEN.438074  
        
        IF 
       
          (CONTEXT(Intermediary.TrueAndCorrect) <> NULL)
          AND (Intermediary.TrueAndCorrect:pyde.xx.xx:ElectronicContact.Telephone.Minimal.Number <> NULLORBLANK)
          AND (Intermediary.TrueAndCorrect:pyde.xx.xx:ElectronicContact.Telephone.Area.Code = NULLORBLANK)
        
          RETURN VALIDATION MESSAGE
        ENDIF
       
        
        [TRTAMI86] = Intermediary.TrueAndCorrect:pyde.02.00:ElectronicContact.Telephone.Minimal.Number
        [TRTAMI85] = Intermediary.TrueAndCorrect:pyde.02.00:ElectronicContact.Telephone.Area.Code
        
        
    -->
    <assert id="VR.ATO.GEN.438074" diagnostics="DVR.ATO.GEN.438074"
            test="not 
                        (
                          $INTTAC.Context
                          and
                          $trtami86[not(@i:nil='true') and string-length(.) != 0]
                          and
                          not($trtami85[not(@i:nil='true') and string-length(.) != 0])
                        )" />
    <!-- Rule ID: VR.ATO.GEN.438075  
        
        IF 
        
          (CONTEXT(Intermediary.TrueAndCorrect) = NULL)
          AND (RP.TrueAndCorrect:pyde.xx.xx:ElectronicContact.Telephone.Minimal.Number <> NULLORBLANK)
          AND (RP.TrueAndCorrect:pyde.xx.xx:ElectronicContact.Telephone.Area.Code = NULLORBLANK)
        
           RETURN VALIDATION MESSAGE
        ENDIF
        
        [TRTAMI97] = RP.TrueAndCorrect:pyde.02.00:ElectronicContact.Telephone.Minimal.Number
        [TRTAMI96] = RP.TrueAndCorrect:pyde.02.00:ElectronicContact.Telephone.Area.Code
        
        
        
    -->
    <assert id="VR.ATO.GEN.438075" diagnostics="DVR.ATO.GEN.438075"
            test="not(not($INTTAC.Context)
                          and
                          $trtami97[not(@i:nil='true') and string-length(.) != 0]
                          and
                          not($trtami96[not(@i:nil='true') and string-length(.) != 0])
       )" />


		<!-- Rule ID: VR.ATO.TRTAMI.000035
           ELS Ref: ABH
        
           IF ([TRTAMI12] CONTAINS "C/-") AND ([TRTAMI13] = NULLORBLANK)
				RETURN VALIDATION MESSAGE
		   ENDIF
        
           [TRTAMI12] = pyde.xx.xx:AddressDetails.Line1.Text
           [TRTAMI13] = pyde.xx.xx:AddressDetails.Line2.Text     
      -->
		<assert id="VR.ATO.TRTAMI.000035" diagnostics="DVR.ATO.TRTAMI.000035"
				  test="not(
                           $trtami12[matches(upper-case(.),'^(.*)(C/-)(.*)$')] and 
                           not($trtami13[not(@i:nil='true') and string-length(.) != 0])
                         )
                 "/>


		<!-- Rule ID: VR.ATO.TRTAMI.000037
         ELS Ref: AME 
        
		IF ([TRTAMI17] = NULL OR [TRTAMI17] = "au") AND ([TRTAMI14] = FOUND("QLD","NSW","VIC","SA","WA","NT","ACT","TAS"))
			RETURN VALIDATION MESSAGE
		ENDIF
        
        [TRTAMI17] = pyde.xx.xx:AddressDetails.Country.Code
        [TRTAMI14] = pyde.xx.xx:AddressDetails.LocalityName.Text
        
    -->
		<assert id="VR.ATO.TRTAMI.000037" diagnostics="DVR.ATO.TRTAMI.000037"
				test="not(
                        (
                            not($trtami17[not(@i:nil='true')])
                            or
                            $trtami17 = 'au'
                        )
                        and
                        $trtami14[matches(.,'(\s+|^)(QLD|NSW|VIC|SA|WA|NT|ACT|TAS)(\s+|$)','i')]
                     )" />

		
		<!-- Rule ID: VR.ATO.TRTAMI.000040
         ELS Ref: AME 
        
		IF ([TRTAMI17] = NULL OR [TRTAMI17] = "au") AND ([TRTAMI14] CONTAINS SET(0-9))
			RETURN VALIDATION MESSAGE
		ENDIF
        
        [TRTAMI17] = pyde.xx.xx:AddressDetails.Country.Code
        [TRTAMI14] = pyde.xx.xx:AddressDetails.LocalityName.Text
        
    -->
		<assert id="VR.ATO.TRTAMI.000040" diagnostics="DVR.ATO.TRTAMI.000040"
				test="not(
                        (
                            not($trtami17[not(@i:nil='true')])
                            or
                            $trtami17 = 'au'
                        )
                        and
                        $trtami14[matches(.,'[0-9]+')]
                     )" />
		
		
	<!-- Rule ID: VR.ATO.TRTAMI.000042
         ELS Ref: APE 
        
		IF ([TRTAMI15] <> NULL) AND ([TRTAMI16] = NULL)
			RETURN VALIDATION MESSAGE
		ENDIF
        
		[TRTAMI15] = pyde.xx.xx:AddressDetails.StateOrTerritory.Code
        [TRTAMI16] = pyde.xx.xx:AddressDetails.Postcode.Text
        
    -->
		<assert id="VR.ATO.TRTAMI.000042" diagnostics="DVR.ATO.TRTAMI.000042"
				test="not(
						 $trtami15[not(@i:nil='true')]
						 and 
						 not($trtami16[not(@i:nil='true')])
                           
                     )" />

		
		<!-- Rule ID: VR.ATO.TRTAMI.000043
         ELS Ref: AMF 
        
		IF ([TRTAMI15] = NULL) AND ([TRTAMI16] = NULL) AND ([TRTAMI17] = NULL OR [TRTAMI17] = "au")
			RETURN VALIDATION MESSAGE
		ENDIF
        
		[TRTAMI15] = pyde.xx.xx:AddressDetails.StateOrTerritory.Code
        [TRTAMI16] = pyde.xx.xx:AddressDetails.Postcode.Text
		[TRTAMI17] = pyde.xx.xx:AddressDetails.Country.Code
        
    -->
		<assert id="VR.ATO.TRTAMI.000043" diagnostics="DVR.ATO.TRTAMI.000043"
				test="not(
						 not($trtami15[not(@i:nil='true')])
						 and 
						 not($trtami16[not(@i:nil='true')])
						 and 
						 (
							not($trtami17[not(@i:nil='true')])
                            or
                            $trtami17 = 'au'
						 ) 
                     )" />


		<!-- Rule ID: VR.ATO.TRTAMI.000044
         ELS Ref: AMF 
        
		IF ([TRTAMI16] <> NULL) AND ([TRTAMI15] = NULL)
			RETURN VALIDATION MESSAGE
		ENDIF
        
        [TRTAMI15] = pyde.xx.xx:AddressDetails.StateOrTerritory.Code
		[TRTAMI16] = pyde.xx.xx:AddressDetails.Postcode.Text
        
    -->
		<assert id="VR.ATO.TRTAMI.000044" diagnostics="DVR.ATO.TRTAMI.000044"
				test="not(
							$trtami16[not(@i:nil='true')]
							and
							not($trtami15[not(@i:nil='true')])
                     )" />


		<!-- Rule ID: VR.ATO.TRTAMI.000045
         ELS Ref: N/A 
        
		IF ([TRTAMI17] <> NULL AND [TRTAMI17] <> "au") AND ([TRTAMI15] <> NULL OR [TRTAMI16] <> NULL)
			RETURN VALIDATION MESSAGE
		ENDIF
        
        [TRTAMI15] = pyde.xx.xx:AddressDetails.Postcode.Text
        [TRTAMI16] = pyde.xx.xx:AddressDetails.StateOrTerritory.Code
		[TRTAMI17] = pyde.xx.xx:AddressDetails.Country.Code
        
    -->
		<assert id="VR.ATO.TRTAMI.000045" diagnostics="DVR.ATO.TRTAMI.000045"
				test="not(
							$trtami17[not(@i:nil='true') and . != 'au']
							and
							(
								$trtami15[not(@i:nil='true')]
								or
								$trtami16[not(@i:nil='true')]
							)
                     )" />


		<!-- Rule ID: VR.ATO.TRTAMI.000046
         ELS Ref: ABJ 
        	
		IF	([TRTAMI18] = [TRTAMI12]) 
      AND ([TRTAMI19] = [TRTAMI13]) 
			AND ([TRTAMI20] = [TRTAMI14]) 
			AND ([TRTAMI21] = [TRTAMI15]) 
			AND ([TRTAMI22] = [TRTAMI16])
				RETURN VALIDATION MESSAGE
		ENDIF
		
		[TRTAMI12] = pyde.xx.xx:AddressDetails.Line1.Text
    [TRTAMI13] = pyde.xx.xx:AddressDetails.Line2.Text
		[TRTAMI14] = pyde.xx.xx:AddressDetails.LocalityName.Text
		[TRTAMI15] = pyde.xx.xx:AddressDetails.StateOrTerritory.Code
		[TRTAMI16] = pyde.xx.xx:AddressDetails.Postcode.Text
		
		[TRTAMI18] = pyde.xx.xx:AddressDetails.Line1.Text
    [TRTAMI19] = pyde.xx.xx:AddressDetails.Line2.Text
		[TRTAMI20] = pyde.xx.xx:AddressDetails.LocalityName.Text
		[TRTAMI21] = pyde.xx.xx:AddressDetails.Postcode.Text
		[TRTAMI22] = pyde.xx.xx:AddressDetails.StateOrTerritory.Code
        
    -->
		<assert id="VR.ATO.TRTAMI.000046" diagnostics="DVR.ATO.TRTAMI.000046"
				test="not(
							$trtami18 = $trtami12
              and
              $trtami19 = $trtami13
							and
							$trtami20 = $trtami14
							and
							$trtami21 = $trtami15
							and
							$trtami22 = $trtami16
                     )" />


		<!-- Rule ID: VR.ATO.TRTAMI.000051
         ELS Ref: ABJ 
        
		IF (	[TRTAMI18] <> NULLORBLANK OR 
				[TRTAMI19] <> NULLORBLANK OR 
				[TRTAMI20] <> NULLORBLANK OR 
				[TRTAMI21] <> NULL OR 
				[TRTAMI22] <> NULL OR 
				(
					[TRTAMI23] <> NULL AND 
					[TRTAMI23] <> "au"
				)
			) 
			AND 
			(	[TRTAMI18] = NULLORBLANK OR 
				[TRTAMI20] = NULLORBLANK OR 
				(
					[TRTAMI21] = NULL AND 
					[TRTAMI22] = NULL AND 
					(
						[TRTAMI23] = NULL OR 
						[TRTAMI23] = "au"
					)
				)
			)
			RETURN VALIDATION MESSAGE
		ENDIF
		
		[TRTAMI18] = pyde.xx.xx:AddressDetails.Line1.Text
		[TRTAMI20] = pyde.xx.xx:AddressDetails.LocalityName.Text
		[TRTAMI21] = pyde.xx.xx:AddressDetails.Postcode.Text
		[TRTAMI22] = pyde.xx.xx:AddressDetails.StateOrTerritory.Code
		[TRTAMI23] = pyde.xx.xx:AddressDetails.Country.Code
		
        
    -->
		<assert id="VR.ATO.TRTAMI.000051" diagnostics="DVR.ATO.TRTAMI.000051"
				test="not(
							(	$trtami18[not(@i:nil='true') and string-length(.) != 0] or
								$trtami19[not(@i:nil='true') and string-length(.) != 0] or
								$trtami20[not(@i:nil='true') and string-length(.) != 0] or
								$trtami21[not(@i:nil='true')] or
								$trtami22[not(@i:nil='true')] or
								($trtami23[not(@i:nil='true')] and not($trtami23 = 'au'))
							) 
							and 
							(
								not($trtami18[not(@i:nil='true') and string-length(.) != 0]) or
								not($trtami20[not(@i:nil='true') and string-length(.) != 0]) or
								(
									not($trtami21[not(@i:nil='true')]) and
									not($trtami22[not(@i:nil='true')]) and
									(not($trtami23[not(@i:nil='true')]) or $trtami23 = 'au')
								)
							)
                     )" />


		<!-- Rule ID: VR.ATO.TRTAMI.000055
           ELS Ref: ABJ
        
           IF ([TRTAMI18] CONTAINS "C/-") AND ([TRTAMI19] = NULLORBLANK)
				RETURN VALIDATION MESSAGE
		   ENDIF
        
           [TRTAMI18] = pyde.xx.xx:AddressDetails.Line1.Text
           [TRTAMI19] = pyde.xx.xx:AddressDetails.Line2.Text      
      -->
		<assert id="VR.ATO.TRTAMI.000055" diagnostics="DVR.ATO.TRTAMI.000055"
				  test="not(
                           $trtami18[matches(upper-case(.),'^(.*)(C/-)(.*)$')] and 
                           not($trtami19[not(@i:nil='true') and string-length(.) != 0])
                         )
                 "/>


		<!-- Rule ID: VR.ATO.TRTAMI.000057
         ELS Ref: AUT 
        
		IF ([TRTAMI23] = NULL OR [TRTAMI23] = "au") AND ([TRTAMI20] = FOUND("QLD","NSW","VIC","SA","WA","NT","ACT","TAS"))
			RETURN VALIDATION MESSAGE
		ENDIF
        
        [TRTAMI23] = pyde.xx.xx:AddressDetails.Country.Code
        [TRTAMI20] = pyde.xx.xx:AddressDetails.LocalityName.Text
        
    -->
		<assert id="VR.ATO.TRTAMI.000057" diagnostics="DVR.ATO.TRTAMI.000057"
				test="not(
                        (
                            not($trtami23[not(@i:nil='true')])
                            or
                            $trtami23 = 'au'
                        )
                        and
                        $trtami20[matches(.,'(\s+|^)(QLD|NSW|VIC|SA|WA|NT|ACT|TAS)(\s+|$)','i')]
                     )" />


		<!-- Rule ID: VR.ATO.TRTAMI.000059
         ELS Ref: AUT 
        
		IF ([TRTAMI23] = NULL OR [TRTAMI23] = "au") AND ([TRTAMI20] CONTAINS SET(0-9))
			RETURN VALIDATION MESSAGE
		ENDIF
        
        [TRTAMI23] = pyde.xx.xx:AddressDetails.Country.Code
        [TRTAMI20] = pyde.xx.xx:AddressDetails.LocalityName.Text
        
    -->
		<assert id="VR.ATO.TRTAMI.000059" diagnostics="DVR.ATO.TRTAMI.000059"
				test="not(
                        (
                            not($trtami23[not(@i:nil='true')])
                            or
                            $trtami23 = 'au'
                        )
                        and
                        $trtami20[matches(.,'[0-9]+')]
                     )" />


		<!-- Rule ID: VR.ATO.TRTAMI.000061
         ELS Ref: APG 
        
		IF ([TRTAMI21] <> NULL) AND ([TRTAMI22] = NULL)
			RETURN VALIDATION MESSAGE
		ENDIF
        
		[TRTAMI21] = pyde.xx.xx:AddressDetails.StateOrTerritory.Code
        [TRTAMI22] = pyde.xx.xx:AddressDetails.Postcode.Text
        
    -->
		<assert id="VR.ATO.TRTAMI.000061" diagnostics="DVR.ATO.TRTAMI.000061"
				test="not(
						 $trtami21[not(@i:nil='true')]
						 and 
						 not($trtami22[not(@i:nil='true')])
                           
                     )" />

		
		<!-- Rule ID: VR.ATO.TRTAMI.000062
         ELS Ref: AUU 
        
		IF ([TRTAMI22] <> NULL) AND ([TRTAMI21] = NULL)
			RETURN VALIDATION MESSAGE
		ENDIF
        
        [TRTAMI21] = pyde.xx.xx:AddressDetails.StateOrTerritory.Code
		[TRTAMI22] = pyde.xx.xx:AddressDetails.Postcode.Text
        
    -->
    
		<assert id="VR.ATO.TRTAMI.000062" diagnostics="DVR.ATO.TRTAMI.000062"
				test="not(
							$trtami22[not(@i:nil='true')]
							and
							not($trtami21[not(@i:nil='true')])
                     )" />


    <!-- Rule ID: VR.ATO.TRTAMI.000209
         ELS Ref: N/A 
        
		IF [TRTAMI102] = TRUE AND [TRTAMI103] = SET(0,NULL)
       RETURN VALIDATION MESSAGE
    ENDIF
        
    [TRTAMI102] = rvctc1.02.20:IncomeTax.MultiClassTreatment.Count
		[TRTAMI103] = rvctc1.02.22:IncomeTax.MultiClassTransfer.Indicator
        
    -->

    <assert id="VR.ATO.TRTAMI.000209" diagnostics="DVR.ATO.TRTAMI.000209"
				test="not(
              $trtami102[matches(.,'^(true|1)$')]
							and (
							not($trtami103[not(@i:nil='true')])  
              or
              $trtami103 = 0
            )
                     )" />

    <!-- Rule ID: VR.ATO.TRTAMI.000210
         ELS Ref: N/A 
        
		IF [TRTAMI102] = TRUE AND [TRTAMI104] = NULL
       RETURN VALIDATION MESSAGE
    ENDIF
            
    -->

    <assert id="VR.ATO.TRTAMI.000210" diagnostics="DVR.ATO.TRTAMI.000210"
				test="not(
                $trtami102[matches(.,'^(true|1)$')]
							  and 
							  not($trtami104[not(@i:nil='true')])  
              )" />

    
    


    <!-- Rule ID: VR.ATO.TRTAMI.000238
         ELS Ref: N/A 
        
		IF [TRTAMI102] = FALSE AND [TRTAMI103] <> SET(0,NULL)
       RETURN VALIDATION MESSAGE
    ENDIF
        
    [TRTAMI102] = rvctc1.02.20:IncomeTax.MultiClassTreatment.Count
		[TRTAMI103] = rvctc1.02.22:IncomeTax.MultiClassTransfer.Indicator
        
    -->

    <assert id="VR.ATO.TRTAMI.000238" diagnostics="DVR.ATO.TRTAMI.000238"
				test="not(
              $trtami102[matches(.,'^(false|0)$')]
							and (not(
							not($trtami103[not(@i:nil='true')])  
              or
              $trtami103 = 0)
            )
                     )" />


    <!-- Rule ID: VR.ATO.TRTAMI.000290
         ELS Ref: N/A 
        
		IF [TRTAMI112] <> TRUE AND ANY OCCURRENCE OF([TRTAMI139]) <> NULL
       RETURN VALIDATION MESSAGE
    ENDIF
        
    -->

    <assert id="VR.ATO.TRTAMI.000290" diagnostics="DVR.ATO.TRTAMI.000290"
				test="not(
              $trtami112[not(matches(.,'^(true|1)$'))]
              and 
              count($trtami139[not(@i:nil='true')]) > 0
           
                     )" />

    <!-- Rule ID: VR.ATO.TRTAMI.000291
         ELS Ref: N/A 
        
      IF [TRTAMI112] = TRUE AND ALL OCCURRENCES OF([TRTAMI139]) = NULL
         RETURN VALIDATION MESSAGE
      ENDIF
        
    -->

    <assert id="VR.ATO.TRTAMI.000291" diagnostics="DVR.ATO.TRTAMI.000291"
				test="not(
              $trtami112[matches(.,'^(true|1)$')]
              and 
              count($trtami139[not(@i:nil='true')]) = 0
           
                     )" />


    <!-- Rule ID: VR.ATO.TRTAMI.000294
         ELS Ref: N/A 
        
      IF ANY OCCURRENCE OF([TRTAMI139]) <> NULL AND [TRTAMI139] = [TRTAMI5]
         RETURN VALIDATION MESSAGE
      ENDIF
        
    -->

    <assert id="VR.ATO.TRTAMI.000294" diagnostics="DVR.ATO.TRTAMI.000294"
				test="not(
          
            
              $trtami112[matches(.,'^(true|1)$')]
              and 
              count($trtami139[not(@i:nil='true') and . = $trtami5]) > 0
           
                     )" />

    <!-- Rule ID: VR.ATO.TRTAMI.000295
         ELS Ref: N/A 
        
      IF ANY OCCURRENCE OF([TRTAMI139]) <> NULL AND [TRTAMI139] = [TRTAMI29]
         RETURN VALIDATION MESSAGE
      ENDIF
        
    -->

    <assert id="VR.ATO.TRTAMI.000295" diagnostics="DVR.ATO.TRTAMI.000295"
				test="not(
          
            
              $trtami112[matches(.,'^(true|1)$')]
              and 
              count($trtami139[not(@i:nil='true') and . = $trtami29]) > 0
           
                     )" />

    <!-- Rule ID: VR.ATO.TRTAMI.000301
         ELS Ref: N/A 
        
      IF [TRTAMI117] <> TRUE AND [TRTAMI142] > 0
         RETURN VALIDATION MESSAGE
      ENDIF
        
    -->

    <assert id="VR.ATO.TRTAMI.000301" diagnostics="DVR.ATO.TRTAMI.000301"
				test="not(
          
            
              $trtami117[not(matches(.,'^(true|1)$'))]
              and 
              $trtami142[not(@i:nil='true')] > 0
           
                     )" />


    <!-- Rule ID: VR.ATO.TRTAMI.000303
         ELS Ref: N/A 
        
      IF [TRTAMI117] = TRUE AND [TRTAMI142] = SET(NULL,0)
         RETURN VALIDATION MESSAGE
      ENDIF
        
    -->

    <assert id="VR.ATO.TRTAMI.000303" diagnostics="DVR.ATO.TRTAMI.000303"
				test="not(
          
            
              $trtami117[matches(.,'^(true|1)$')]
              and 
              (
                $trtami142[not(@i:nil='true')] = 0
                or 
                not($trtami142[not(@i:nil='true')])
              )
                     )" />



    <!-- Rule ID: VR.ATO.GEN.010028
         ELS Ref: N/A 
        
		IF [TRTAMI6] = TRUE AND ([TRTAMI9] = NULL OR [TRTAMI7] = NULLORBLANK OR [TRTAMI8] = NULLORBLANK)
   RETURN VALIDATION MESSAGE
ENDIF
        
			[TRTAMI6] = pyin.xx.xx:Report.Amendment.Indicator
		    [TRTAMI7] = pyin.xx.xx:Report.AmendmentType.Code
		    [TRTAMI8] = pyin.xx.xx:Report.AmendmentReason.Text
			[TRTAMI9] = pyin.xx.xx:Report.AmendmentSequence.Number
        
    -->
    <assert id="VR.ATO.GEN.010028" diagnostics="DVR.ATO.GEN.010028"
				test="not(
              $trtami6[matches(.,'^(true|1)$')]
							and 
							(
								not($trtami9[not(@i:nil='true')])
								or
								not($trtami7[not(@i:nil='true') and string-length(.) != 0])
								or
								not($trtami8[not(@i:nil='true') and string-length(.) != 0])
							)
                     )" />



    <!-- Rule ID: VR.ATO.GEN.010029
         ELS Ref: N/A 
        
		IF [TRTAMI6] <> TRUE AND ([TRTAMI9] <> NULL OR [TRTAMI7] <> NULLORBLANK OR [TRTAMI8] <> NULLORBLANK)
			RETURN VALIDATION MESSAGE
		ENDIF
        
			[TRTAMI6] = pyin.xx.xx:Report.Amendment.Indicator
		    [TRTAMI7] = pyin.xx.xx:Report.AmendmentType.Code
		    [TRTAMI8] = pyin.xx.xx:Report.AmendmentReason.Text
			[TRTAMI9] = pyin.xx.xx:Report.AmendmentSequence.Number
        
    -->
		<assert id="VR.ATO.GEN.010029" diagnostics="DVR.ATO.GEN.010029"
				test="not(
							$trtami6 != 'true' 
							and 
							(
								$trtami9[not(@i:nil='true')]
								or
								$trtami7[not(@i:nil='true') and string-length(.) != 0]
								or
								$trtami8[not(@i:nil='true') and string-length(.) != 0]
							)
                     )" />
		

	<!-- Rule ID: VR.ATO.GEN.428247
         ELS Ref: AAE
         
		IF ((pyid.xx.xx:identifiers.TaxAgentNumber.identifier) <> NULLORBLANK) 
		AND (TANALGORITHM(pyid.xx.xx:identifiers.TaxAgentNumber.identifier) = FALSE)
			RETURN VALIDATION MESSAGE
		ENDIF
		
		[TRTAMI91] = pyid.xx.xx:Identifiers.TaxAgentNumber.Identifier
		
      -->

		<assert id="VR.ATO.GEN.428247" diagnostics="DVR.ATO.GEN.428247"
				test="not(
							$trtami91[not(@i:nil='true') and string-length(.) != 0 and not(function:ValidateTAN(.))]
                  )"/>
		
		

    <!-- Rule ID: VR.ATO.TRTAMI.000312

    IF ([TRTAMI1] <> SET("2017", "2018"))
    OR ([TRTAMI1] = 2018 AND DATE(Today) > 2018-06-30 
    AND [TRTAMI6] <> TRUE)
     RETURN VALIDATION RULE
    ENDIF

    [TRTAMI1] = TRTAMI:RP:pyin.02.00:Report.TargetFinancial.Year
    [TRTAMI6] = TRTAMI:RP:pyin.02.28:Report.Amendment.Indicator

      -->

    <assert id="VR.ATO.TRTAMI.000312" diagnostics="DVR.ATO.TRTAMI.000312"
            test="not(
                      $trtami1[(. != '2017') and (. != '2018')]
                      or
                      (
                        $trtami1[(. = '2018')]
                        and
                        function:IsDate1GreaterThanDate2(current-date(),'2018-06-30')
                        and
                        $trtami6[. != 'true']
                      )
                  )"/>
  
		
		<!-- Rule ID: VR.ATO.GEN.500066
         ELS Ref: N/A
         
			IF (pyin.xx.xx:Declaration.Signature.Date > DATE(TODAY))
				RETURN VALIDATION MESSAGE
			ENDIF
			
			[TRTAMI87] = pyin.xx.xx:Declaration.Signature.Date	INT.T&C
			[TRTAMI98] = pyin.xx.xx:Declaration.Signature.Date	RP.T&C
      -->

		<assert id="VR.ATO.GEN.500066" diagnostics="DVR.ATO.GEN.500066"
				test="not(
						$trtami87[function:IsDate1GreaterThanDate2(., current-date())]
						or
						$trtami98[function:IsDate1GreaterThanDate2(., current-date())]
                      
                  )"/>
		
		
		
		
      </rule>
    
	<rule context="xbrli:xbrl/xbrli:context[@id = $RPSOA.ContextId]">
    <let name="RPstartDate" value="$RP.Context[1]/xbrli:period/xbrli:startDate"/>
		<let name="thisContextId" value="@id" />
		<let name="thisTrtami75" value="$trtami75[@contextRef = $thisContextId]" />
    <let name="thisTrtami124" value="$trtami124[@contextRef = $thisContextId]" />
    <let name="thisTrtami77" value="$trtami77[@contextRef = $thisContextId]" />
    <let name="thisTrtami80" value="$trtami80[@contextRef = $thisContextId]" />
    <let name="thisTrtami81" value="$trtami81[@contextRef = $thisContextId]" />
		<let name="thisSequenceContainer" value="xbrli:entity/xbrli:segment/xbrldi:typedMember/SqNumDim.02.01:SequenceNumberContainer"/>

    <!-- Rule ID: VR.ATO.TRTAMI.000225
         ELS Ref: N/A 
        
		WHERE IN CONTEXT(RP.{SoASeqNum})
    IF [TRTAMI77] <> NULLORBLANK AND [TRTAMI124] = NULL
       RETURN VALIDATION MESSAGE
    ENDIF
            
    -->

    <assert id="VR.ATO.TRTAMI.000225" diagnostics="DVR.ATO.TRTAMI.000225"
				test="not(
							  $thisTrtami77[not(@i:nil='true') and string-length(.) != 0]
							  and 
							  not($thisTrtami124[not(@i:nil='true')])  
              )" />
    
        <!-- Rule ID: VR.ATO.GEN.500012
         ELS Ref: N/A 
        
		IF (pyde.xx.xx:PersonDemographicDetails.Birth.Date <> NULL) AND (pyde.xx.xx:PersonDemographicDetails.Birth.Date > RP:period.startDate)
      RETURN VALIDATION MESSAGE
    ENDIF
            
    -->

    <assert id="VR.ATO.GEN.500012" diagnostics="DVR.ATO.GEN.500012"
				test="not(
							  $thisTrtami124[not(@i:nil='true') and function:IsDate1GreaterThanDate2(., $RPstartDate)]
							  
              )" />
    

		<!-- Rule ID: VR.ATO.TRTAMI.000166
         ELS Ref: N/A 
        
          IF (pyid.xx.xx:Identifiers.TaxFileNumber.Identifier <> NULLORBLANK) AND (TFNALGORITHM (pyid.xx.xx:Identifiers.TaxFileNumber.Identifier) = FALSE)
            RETURN VALIDATION MESSAGE
          ENDIF
    -->

    <assert id="VR.ATO.TRTAMI.000166" diagnostics="DVR.ATO.TRTAMI.000166"
        test="not(
							      $trtami75
                    [
                      not(@i:nil='true') 
                      and 
                      not(function:ValidateTFN(.))
                      and 
                      @contextRef = $thisContextId
                    ]
                  )" />


		<!-- Rule ID: VR.ATO.TRTAMI.000167
         ELS Ref: ATN
        
		IF ANY OCCURRENCE OF([TRTAMI75]) = RP:entity.identifier.TFN
			RETURN VALIDATION MESSAGE
		ENDIF
        
        [TRTAMI75] = pyid.02.00:Identifiers.TaxFileNumber.Identifier
        
    -->
		<assert id="VR.ATO.TRTAMI.000167" diagnostics="DVR.ATO.TRTAMI.000167"
				test="not(
                            
							$thisTrtami75 = $RP.Context/xbrli:entity/xbrli:identifier
                     )" />
		
		
		<!-- Rule ID: VR.ATO.TRTAMI.000168
         ELS Ref: ATN
        
		IF [TRTAMI75] <> NULL AND [TRTAMI75] = ANY OTHER OCCURRENCE OF ([TRTAMI75])
			RETURN VALIDATION MESSAGE
		ENDIF
        
        [TRTAMI75] = pyid.02.00:Identifiers.TaxFileNumber.Identifier
        
        
    -->
		<assert id="VR.ATO.TRTAMI.000168" diagnostics="DVR.ATO.TRTAMI.000168"
				test="not(
                            $thisTrtami75[not(@i:nil='true')]
							and 
							$trtami75[@contextRef != $thisContextId and . = $thisTrtami75] 
                     )" />



    <!-- Rule ID: VR.ATO.TRTAMI.000241
			ELS Ref: N/A
      
      WHERE IN CONTEXT(RP.{SoASeqNum})
      IF [TRTAMI81] <> "138" AND [TRTAMI77] <> NULLORBLANK
         RETURN VALIDATION MESSAGE
      ENDIF

      -->
    
    <assert id="VR.ATO.TRTAMI.000241" diagnostics="DVR.ATO.TRTAMI.000241"
			  test="not(
                      
							$thisTrtami81 != '138'
              and 
              $thisTrtami77[not(@i:nil='true') and string-length(.) != 0]
                      )"/>

    
    <!-- Rule ID: VR.ATO.TRTAMI.000242
			ELS Ref: N/A
      
      WHERE IN CONTEXT(RP.{SoASeqNum})
      IF [TRTAMI81] <> SET("139","140") AND [TRTAMI80] <> NULLORBLANK
         RETURN VALIDATION MESSAGE
      ENDIF

      -->

    <assert id="VR.ATO.TRTAMI.000242" diagnostics="DVR.ATO.TRTAMI.000242"
			  test="not(
							$thisTrtami81[. != '139' and . != '140']
              and 
              $thisTrtami80[not(@i:nil='true') and string-length(.) != 0]
                      )"/>








  </rule>


  <rule context="xbrli:xbrl/xbrli:context[@id = $RPSOARES.ContextId]">
    <let name="thisContextId" value="@id" />
    
    
    <let name="seqNumber" value="xbrli:entity[not(@i:nil='true')]/xbrli:segment[not(@i:nil='true')]/xbrldi:typedMember/SqNumDim.02.01:SequenceNumberContainer"/>
    <let name="thisSOAContextId" value="$RPSOA.Context[xbrli:entity/xbrli:segment/xbrldi:typedMember/SqNumDim.02.01:SequenceNumberContainer= $seqNumber]/@id"/>
    
    
    
    <let name="thisTrtami125" value="$trtami125[@contextRef = $thisContextId]" />
    <let name="thisTrtami126" value="$trtami126[@contextRef = $thisContextId]" />
    <let name="thisTrtami127" value="$trtami127[@contextRef = $thisContextId]" />
    <let name="thisTrtami128" value="$trtami128[@contextRef = $thisContextId]" />
    <let name="thisTrtami129" value="$trtami129[@contextRef = $thisContextId]" />
    <let name="thisTrtami130" value="$trtami130[@contextRef = $thisContextId]" />
    <let name="thisTrtami143" value="$trtami143[@contextRef = $thisContextId]" />
    

    <!-- Rule ID: VR.ATO.TRTAMI.000249
         ELS Ref: N/A
        
		    WHERE IN CONTEXT(RP.{SoASeqNum}).RES
        IF [TRTAMI125] = NULLORBLANK AND [TRTAMI77] <> NULLORBLANK
           RETURN VALIDATION MESSAGE
        ENDIF
        
    -->
    <assert id="VR.ATO.TRTAMI.000249" diagnostics="DVR.ATO.TRTAMI.000249"
				test="not(
                    not($thisTrtami125[not(@i:nil='true') and string-length(.) != 0])
							      and 
							      $trtami77[not(@i:nil='true') and string-length(.) != 0 and @contextRef = $thisSOAContextId] 
                     )" />


    <!-- Rule ID: VR.ATO.TRTAMI.000255
           ELS Ref: N/A
       
          WHERE IN CONTEXT(RP.{SoASeqNum}).RES
          IF ([TRTAMI125] CONTAINS "C/-") AND ([TRTAMI126] = NULLORBLANK)
             RETURN VALIDATION MESSAGE
          ENDIF
        
      -->
    <assert id="VR.ATO.TRTAMI.000255" diagnostics="DVR.ATO.TRTAMI.000255"
				  test="not(
                           $thisTrtami125[matches(upper-case(.),'^(.*)(C/-)(.*)$')] and 
                           not($thisTrtami126[not(@i:nil='true') and string-length(.) != 0])
                         )
                 "/>


    <!-- Rule ID: VR.ATO.TRTAMI.000256
         ELS Ref: N/A
        
    WHERE IN CONTEXT(RP.{SoASeqNum}).RES
    IF ([TRTAMI130] = NULL OR [TRTAMI130] = "au") AND ([TRTAMI127] = FOUND("QLD","NSW","VIC","SA","WA","NT","ACT","TAS"))
       RETURN VALIDATION MESSAGE
    ENDIF

    -->
    <assert id="VR.ATO.TRTAMI.000256" diagnostics="DVR.ATO.TRTAMI.000256"
				test="not(
                        (
                            not($thisTrtami130[not(@i:nil='true')])
                            or
                            $thisTrtami130 = 'au'
                        )
                        and
                        $thisTrtami127[matches(.,'(\s+|^)(QLD|NSW|VIC|SA|WA|NT|ACT|TAS)(\s+|$)','i')]
                     )" />
    
    
    <!-- Rule ID: VR.ATO.TRTAMI.000258
         ELS Ref: N/A
        
		    WHERE IN CONTEXT(RP.{SoASeqNum}).RES
        IF [TRTAMI127] = NULLORBLANK AND [TRTAMI77] <> NULLORBLANK
           RETURN VALIDATION MESSAGE
        ENDIF
        
    -->
    <assert id="VR.ATO.TRTAMI.000258" diagnostics="DVR.ATO.TRTAMI.000258"
				test="not(
                    not($thisTrtami127[not(@i:nil='true') and string-length(.) != 0])
							      and 
							      $trtami77[not(@i:nil='true') and string-length(.) != 0 and @contextRef = $thisSOAContextId] 
                     )" />


    <!-- Rule ID: VR.ATO.TRTAMI.000259
         ELS Ref: N/A 
        
    WHERE IN CONTEXT(RP.{SoASeqNum}).RES
    IF ([TRTAMI130] = NULL OR [TRTAMI130] = "au") AND ([TRTAMI127] CONTAINS SET(0-9))
       RETURN VALIDATION MESSAGE
    ENDIF
        
    -->
    <assert id="VR.ATO.TRTAMI.000259" diagnostics="DVR.ATO.TRTAMI.000259"
				test="not(
                        (
                            not($thisTrtami130[not(@i:nil='true')])
                            or
                            $thisTrtami130 = 'au'
                        )
                        and
                        $thisTrtami127[matches(.,'[0-9]+')]
                     )" />

    
    <!-- Rule ID: VR.ATO.TRTAMI.000305
         ELS Ref: N/A 
    
    WHERE IN CONTEXT(RP.{SoASeqNum}.RES)
    IF [TRTAMI143] = NULLORBLANK AND [TRTAMI77] <> NULLORBLANK AND ([TRTAMI130] = NULL OR [TRTAMI130] = "au")
       RETURN VALIDATION MESSAGE
    ENDIF
    
        
    -->
    <assert id="VR.ATO.TRTAMI.000305" diagnostics="DVR.ATO.TRTAMI.000305"
				test="not(
        
                  not($thisTrtami143[not(@i:nil='true') and string-length(.) != 0])
                  and
                  $trtami77[not(@i:nil='true') and string-length(.) != 0 and @contextRef = $thisSOAContextId] 
                  and
                  (
                      not($thisTrtami130[not(@i:nil='true')])
                      or
                      $thisTrtami130 = 'au'
                  )
                        
                     )" />


    <!-- Rule ID: VR.ATO.TRTAMI.000306
         ELS Ref: N/A 
    
    WHERE IN CONTEXT(RP.{SoASeqNum}.RES)
    IF [TRTAMI77] <> NULLORBLANK AND ([TRTAMI130] = NULL OR [TRTAMI130] = "au") AND [TRTAMI143] <> NULLORBLANK AND (LENGTH([TRTAMI143]) <> 4 OR [TRTAMI143] <> SET(0200-9999))
       RETURN VALIDATION MESSAGE
    ENDIF
    
        
    -->
    <assert id="VR.ATO.TRTAMI.000306" diagnostics="DVR.ATO.TRTAMI.000306"
				test="not(
                      $trtami77[not(@i:nil='true') and string-length(.) != 0 and @contextRef = $thisSOAContextId] 
                      and
                      (
                          not($thisTrtami130[not(@i:nil='true')])
                          or
                          $thisTrtami130 = 'au'
                      )
                      and
                      $thisTrtami143[not(@i:nil='true') and string-length(.) != 0]
                      and
                      (
                        $thisTrtami143[string-length(.) != 4 or not(matches(., '^([0][2-9]|[1-9][0-9])[0-9][0-9]$'))]  
                      )
                 )" />


  </rule>



  <rule context="xbrli:xbrl/xbrli:context[@id = $RPSOABUS.ContextId]">
    <let name="thisContextId" value="@id" />


    <let name="seqNumber" value="xbrli:entity[not(@i:nil='true')]/xbrli:segment[not(@i:nil='true')]/xbrldi:typedMember/SqNumDim.02.01:SequenceNumberContainer"/>
    <let name="thisSOAContextId" value="$RPSOA.Context[xbrli:entity/xbrli:segment/xbrldi:typedMember/SqNumDim.02.01:SequenceNumberContainer= $seqNumber]/@id"/>



    <let name="thisTrtami131" value="$trtami131[@contextRef = $thisContextId]" />
    <let name="thisTrtami132" value="$trtami132[@contextRef = $thisContextId]" />
    <let name="thisTrtami133" value="$trtami133[@contextRef = $thisContextId]" />
    <let name="thisTrtami134" value="$trtami134[@contextRef = $thisContextId]" />
    <let name="thisTrtami135" value="$trtami135[@contextRef = $thisContextId]" />
    <let name="thisTrtami136" value="$trtami136[@contextRef = $thisContextId]" />
    <let name="thisTrtami144" value="$trtami144[@contextRef = $thisContextId]" />
    



    <!-- Rule ID: VR.ATO.TRTAMI.000268
         ELS Ref: N/A
        
        WHERE IN CONTEXT(RP.{SoASeqNum}).BUS
        IF [TRTAMI131] = NULLORBLANK AND [TRTAMI80] <> NULLORBLANK
           RETURN VALIDATION MESSAGE
        ENDIF
        
    -->
    <assert id="VR.ATO.TRTAMI.000268" diagnostics="DVR.ATO.TRTAMI.000268"
				test="not(
                    not($thisTrtami131[not(@i:nil='true') and string-length(.) != 0])
							      and 
							      $trtami80[not(@i:nil='true') and string-length(.) != 0 and @contextRef = $thisSOAContextId] 
                     )" />


    <!-- Rule ID: VR.ATO.TRTAMI.000274
           ELS Ref: N/A
       
          WHERE IN CONTEXT(RP.{SoASeqNum}).BUS
          IF ([TRTAMI131] CONTAINS "C/-") AND ([TRTAMI132] = NULLORBLANK)
             RETURN VALIDATION MESSAGE
          ENDIF          
        
      -->
    <assert id="VR.ATO.TRTAMI.000274" diagnostics="DVR.ATO.TRTAMI.000274"
				  test="not(
                           $thisTrtami131[matches(upper-case(.),'^(.*)(C/-)(.*)$')] and 
                           not($thisTrtami132[not(@i:nil='true') and string-length(.) != 0])
                         )
                 "/>


    <!-- Rule ID: VR.ATO.TRTAMI.000275
         ELS Ref: N/A
    
    WHERE IN CONTEXT(RP.{SoASeqNum}).BUS
    IF ([TRTAMI136] = NULL OR [TRTAMI136] = "au") AND ([TRTAMI133] = FOUND("QLD","NSW","VIC","SA","WA","NT","ACT","TAS"))
       RETURN VALIDATION MESSAGE
    ENDIF    

    -->
    <assert id="VR.ATO.TRTAMI.000275" diagnostics="DVR.ATO.TRTAMI.000275"
				test="not(
                        (
                            not($thisTrtami136[not(@i:nil='true')])
                            or
                            $thisTrtami136 = 'au'
                        )
                        and
                        $thisTrtami133[matches(.,'(\s+|^)(QLD|NSW|VIC|SA|WA|NT|ACT|TAS)(\s+|$)','i')]
                     )" />


    <!-- Rule ID: VR.ATO.TRTAMI.000277
         ELS Ref: N/A
         
        WHERE IN CONTEXT(RP.{SoASeqNum}).BUS
        IF [TRTAMI133] = NULLORBLANK AND [TRTAMI80] <> NULLORBLANK
           RETURN VALIDATION MESSAGE
        ENDIF
        
    -->
    <assert id="VR.ATO.TRTAMI.000277" diagnostics="DVR.ATO.TRTAMI.000277"
				test="not(
                    not($thisTrtami133[not(@i:nil='true') and string-length(.) != 0])
							      and 
							      $trtami80[not(@i:nil='true') and string-length(.) != 0 and @contextRef = $thisSOAContextId] 
                     )" />


    <!-- Rule ID: VR.ATO.TRTAMI.000278
         ELS Ref: N/A 
    
    WHERE IN CONTEXT(RP.{SoASeqNum}).BUS
    IF ([TRTAMI136] = NULL OR [TRTAMI136] = "au") AND ([TRTAMI133] CONTAINS SET(0-9))
       RETURN VALIDATION MESSAGE
    ENDIF
    
        
    -->
    <assert id="VR.ATO.TRTAMI.000278" diagnostics="DVR.ATO.TRTAMI.000278"
				test="not(
                        (
                            not($thisTrtami136[not(@i:nil='true')])
                            or
                            $thisTrtami136 = 'au'
                        )
                        and
                        $thisTrtami133[matches(.,'[0-9]+')]
                     )" />


    <!-- Rule ID: VR.ATO.TRTAMI.000308
         ELS Ref: N/A 
    
    WHERE IN CONTEXT(RP.{SoASeqNum}.BUS)
    IF [TRTAMI144] = NULLORBLANK AND [TRTAMI80] <> NULLORBLANK AND ([TRTAMI136] = NULL OR [TRTAMI136] = "au")
       RETURN VALIDATION MESSAGE
    ENDIF
    
        
    -->
    <assert id="VR.ATO.TRTAMI.000308" diagnostics="DVR.ATO.TRTAMI.000308"
				test="not(
        
                  not($thisTrtami144[not(@i:nil='true') and string-length(.) != 0])
                  and
                  $trtami80[not(@i:nil='true') and string-length(.) != 0 and @contextRef = $thisSOAContextId] 
                  and
                  (
                      not($thisTrtami136[not(@i:nil='true')])
                      or
                      $thisTrtami136 = 'au'
                  )
                        
                     )" />


    <!-- Rule ID: VR.ATO.TRTAMI.000309
         ELS Ref: N/A 
    
    WHERE IN CONTEXT(RP.{SoASeqNum}.BUS)
    IF [TRTAMI80] <> NULLORBLANK AND ([TRTAMI136] = NULL OR [TRTAMI136] = "au") AND [TRTAMI144] <> NULLORBLANK AND (LENGTH([TRTAMI144]) <> 4 OR [TRTAMI144] <> SET(0200-9999))
       RETURN VALIDATION MESSAGE
    ENDIF
    
        
    -->
    <assert id="VR.ATO.TRTAMI.000309" diagnostics="DVR.ATO.TRTAMI.000309"
				test="not(
                      $trtami80[not(@i:nil='true') and string-length(.) != 0 and @contextRef = $thisSOAContextId] 
                      and
                      (
                          not($thisTrtami136[not(@i:nil='true')])
                          or
                          $thisTrtami136 = 'au'
                      )
                      and
                      $thisTrtami144[not(@i:nil='true') and string-length(.) != 0]
                      and
                      (
                        $thisTrtami144[string-length(.) != 4 or not(matches(., '^([0][2-9]|[1-9][0-9])[0-9][0-9]$'))]  
                      )
                 )" />

  </rule>

</pattern>


