﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="CrossFormCGTS" xmlns="http://purl.oclc.org/dsdl/schematron">
  <title>XBRL Cross Form Validations that are applicable accross all of the FITR services.</title>
  <!-- CGTS Variables -->
  <let name="CGT.Context" value="//xbrli:xbrl[not(@i:nil='true' or @i:nil='1') and child::link:schemaRef[@xlink:href='http://sbr.gov.au/taxonomy/sbr_au_reports/ato/cgts/cgts_0005/cgts.0005.lodge.request.02.00.report.xsd']]" />
  <!-- RP.CGT Context -->
  <let name="RP.CGT.Context" value="
    $CGT.Context/xbrli:context[
    not(@i:nil='true' or @i:nil='1') 
    and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
    and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')] 
    and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
    xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 1 and count(./xbrldi:typedMember) = 0]/ 
    xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]
    ]"/>
  <let name="RP.CGT.ContextId" value="$RP.CGT.Context/@id"/>
  <!-- 
RP.Applied Context Variables 
-->
  <let name="RP.CGT.Applied.Context" value="
    $CGT.Context/xbrli:context[not(@i:nil='true' or @i:nil='1') and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]
    /xbrli:segment[not(@i:nil='true' or @i:nil='1') 
    and 2 = count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')])
    and 1 = count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') 
                  and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') 
                  and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')])
    and 1 = count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') 
                  and matches(@dimension,'^AccntTrtmntMthdDim\.\d\d\.\d\d:AccountingTreatmentMethodDimension$') 
                  and matches(.,'^AccntTrtmntMthdDim\.\d\d\.\d\d:Applied$')])]]"/>
  <let name="RP.CGT.Applied.ContextId" value="$RP.CGT.Applied.Context/@id"/>
  <!-- 
RP.CGT.Collectables.Unapplied Context Variables 
-->
  <let name="RP.CGT.Collectables.Unapplied.Context" value="
    $CGT.Context/xbrli:context[not(@i:nil='true' or @i:nil='1') and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]
    /xbrli:segment[not(@i:nil='true' or @i:nil='1') 
    and 3 = count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')])
    and 1 = count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') 
                  and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') 
                  and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')])
    and 1 = count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') 
                  and matches(@dimension,'^AssetType\.\d\d\.\d\d:AssetTypeDimension$') 
                  and matches(.,'^AssetType\.\d\d\.\d\d:Collectables$')])
    and 1 = count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') 
                  and matches(@dimension,'^AccntTrtmntMthdDim\.\d\d\.\d\d:AccountingTreatmentMethodDimension$') 
                  and matches(.,'^AccntTrtmntMthdDim\.\d\d\.\d\d:Unapplied$')])]]" />
  <let name="RP.CGT.Collectables.Unapplied.ContextId" value="$RP.CGT.Collectables.Unapplied.Context/@id"/>
  <!-- 
RP.CGT.CGTOther.Unapplied Context Variables 
-->
  <let name="RP.CGT.CGTOther.Unapplied.Context" value="
    $CGT.Context/xbrli:context[not(@i:nil='true' or @i:nil='1') and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]
    /xbrli:segment[not(@i:nil='true' or @i:nil='1') 
    and 3 = count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')])
    and 1 = count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') 
                  and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') 
                  and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')])
    and 1 = count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') 
                  and matches(@dimension,'^AssetType\.\d\d\.\d\d:AssetTypeDimension$') 
                  and matches(.,'^AssetType\.\d\d\.\d\d:CGTOther$')])
    and 1 = count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') 
                  and matches(@dimension,'^AccntTrtmntMthdDim\.\d\d\.\d\d:AccountingTreatmentMethodDimension$') 
                  and matches(.,'^AccntTrtmntMthdDim\.\d\d\.\d\d:Unapplied$')])]]" />
  <let name="RP.CGT.CGTOther.Unapplied.ContextId" value="$RP.CGT.CGTOther.Unapplied.Context/@id"/>


  <let name="RP.CGT.EarnoutArrangementGroupNumber.Context" value="
    $CGT.Context/xbrli:context[not(@i:nil='true' or @i:nil='1') and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]
    /xbrli:segment[not(@i:nil='true' or @i:nil='1')  
    and 2 = count(./*)
    and 1 = count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') 
                  and matches(@dimension, '^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') 
                  and matches(.,          '^RprtPyType\.\d\d\.\d\d:ReportingParty$')])
    and 1 = count(./xbrldi:typedMember[not(@i:nil='true' or @i:nil='1') 
                  and matches(@dimension, '^EarnoutArrgmtGrpItmDim\.\d\d\.\d\d:EarnoutArrangementGroupItemDimension$') 
    and 1 = count(./EarnoutArrgmtGrpItmDim.02.00:EarnoutArrangementGroupItemContainer[not(@i:nil='true' or @i:nil='1')])])]]"/>
  <let name="RP.CGT.EarnoutArrangementGroupNumber.ContextId" value="$RP.CGT.EarnoutArrangementGroupNumber.Context/@id"/>


  <!-- 
RP.CGT.TransfersToOtherClasses Context Variables 
-->
  <let name="RP.CGT.TransfersToOtherClasses.Context" value="
    $CGT.Context/xbrli:context[not(@i:nil='true' or @i:nil='1') and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]
    /xbrli:segment[not(@i:nil='true' or @i:nil='1') 
    and 2 = count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')])
    and 1 = count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') 
                  and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') 
                  and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')])
    and 1 = count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') 
                  and matches(@dimension,'^AMITCharType\.\d\d\.\d\d:AMITCharacterTypeDimension$') 
                  and matches(.,'^AMITCharType\.\d\d\.\d\d:TransfersToOtherClasses$')])]]" />
  <let name="RP.CGT.TransfersToOtherClasses.ContextId" value="$RP.CGT.TransfersToOtherClasses.Context/@id"/>

  
  
  
  
  
  <rule context="//xbrli:xbrl[not(@i:nil='true' or @i:nil='1') and child::link:schemaRef[@xlink:href='http://sbr.gov.au/taxonomy/sbr_au_reports/ato/cgts/cgts_0005/cgts.0005.lodge.request.02.00.report.xsd']]">
    <let name="thisCgts153" value="rvctc1.02.22:IncomeTax.AttributionManagedInvestmentTrustClass.Description"/>
    <let name="thisCgts154" value="rvctc3.02.11:Capital.Gains.Total.Amount[@contextRef=$RP.CGT.TransfersToOtherClasses.ContextId]"/>
    <let name="thisCgts155" value="rvctc3.02.11:Capital.Losses.Total.Amount[@contextRef=$RP.CGT.TransfersToOtherClasses.ContextId]"/>
    <let name="thisForm" value="child::link:schemaRef/@xlink:href" />
    <let name="thisCgts122" value="rvctc3.02.11:Capital.Losses.TransferredTotal.Amount[@contextRef=$RP.CGT.Applied.ContextId]" />
    <let name="thisCgts150" value="pyin.02.37:Report.TargetFinancial.Year[@contextRef=$RP.CGT.ContextId]" />
    <!-- Rule ID: VR.ATO.TRTAMI.000235
            
            IF COUNT(SCHEDULE = "CGTS") > 1 AND [CGTS153] = ANY OTHER OCCURRENCE OF [CGTS153]
               RETURN VALIDATION MESSAGE
            ENDIF
        -->

    <assert  id="VR.ATO.TRTAMI.000235" diagnostics="DVR.ATO.TRTAMI.000235" test="not(    
                        count($CGT.Context) > 1
                        and
                        count($cgts153[. = $thisCgts153]) > 1
                      )"></assert>


    <!-- Rule ID: VR.ATO.TRTAMI.000240
            
            
            FOR ANY OCCURRENCE OF SCHEDULE = "CGTS"
            IF [CGTS153] <> NULLORBLANK AND [CGTS153] <> ANY OCCURRENCE OF([TRTAMIS313])
               RETURN VALIDATION MESSAGE
            ENDIF
        -->

    <assert  id="VR.ATO.TRTAMI.000240" diagnostics="DVR.ATO.TRTAMI.000240" test="not(    
             
                        $thisCgts153[not(@i:nil='true') and string-length(.) != 0]
                        and
                        not($thisCgts153[not(@i:nil='true') and . = $trtamis313])
                      )"></assert>
    


    <!-- Rule ID: VR.ATO.TRTAMI.000243
            
            
            IF [TRTAMI102] = TRUE AND COUNT(SCHEDULE = "CGTS") > 0 AND ANY OCCURRENCE OF([CGTS153]) = NULLORBLANK
               RETURN VALIDATION MESSAGE
            ENDIF
        -->

    <assert  id="VR.ATO.TRTAMI.000243" diagnostics="DVR.ATO.TRTAMI.000243" test="not(    
                        $trtami102[matches(.,'^(true|1)$')]
                        and
                        (
                          not($thisCgts153[not(@i:nil='true') and string-length(.) != 0])
                        )
                      )"></assert>
    
    



    <!-- Rule ID: VR.ATO.TRTAMI.000245
            
            
            IF [TRTAMI102] = FALSE AND COUNT(SCHEDULE = "CGTS") > 0 AND (ANY OCCURRENCE OF([CGTS154]) <> SET(NULL,0) OR ANY OCCURRENCE OF([CGTS155]) <> SET(NULL,0))
               RETURN VALIDATION MESSAGE
            ENDIF
        -->

    <assert  id="VR.ATO.TRTAMI.000245" diagnostics="DVR.ATO.TRTAMI.000245" test="not(    
                        count($CGT.Context) > 0
                        and
                        $trtami102[matches(.,'^(false|0)$')]
                        and
                        (
                          sum($thisCgts154[not(@i:nil='true' or @i:nil='1')]) != 0
                          or
                          sum($thisCgts155[not(@i:nil='true' or @i:nil='1')]) != 0
                        )
                        
                      )"></assert>    
    
    
    
    
    <!--  
            Rule ID: VR.ATO.GEN.402009
            
            IF (RP:entity.identifier.TFN <> PARENT RETURN:RP:entity.identifier.TFN)
                RETURN VALIDATION MESSAGE
            ENDIF            
        -->

    <assert  id="VR.ATO.GEN.402009" diagnostics="DVR.ATO.GEN.402009" test="not(
                        xbrli:context[@id = $RP.CGT.ContextId]/xbrli:entity
                            /xbrli:identifier[(@scheme = 'http://www.ato.gov.au/tfn') and not(@i:nil='true')]
                        !=
                        $RP.TRTAMI.Context/xbrli:entity/xbrli:identifier[(@scheme = 'http://www.ato.gov.au/tfn') and not(@i:nil='true')]
                        
             
             
             
                      )"></assert>
    
    <!--
      Rule ID: VR.ATO.CGTS.402171
            
      IF PARENT RETURN = "SMSFAR","FITR","TRT","TRTAMI" AND ([CGTS131] > 0) AND ([CGTS125] > 0) 
      RETURN VALIDATION MESSAGE 
      ENDIF

      [CGTS125] = CGTS:RP.CGTOther.Unapplied:rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount
      [CGTS131] = CGTS:RP:bafpr1.02.00:Income.CapitalGainsNet.Amount        
    -->
      <assert id="VR.ATO.CGTS.402171" diagnostics="DVR.ATO.CGTS.402171" 
              test="not(                        
                        sum(bafpr1.02.00:Income.CapitalGainsNet.Amount[@contextRef = $RP.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                        and 
                        sum(rvctc3.02.16:Capital.Losses.CarriedForward.Net.Amount[@contextRef = $RP.CGT.CGTOther.Unapplied.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                    )"/>

    <!--
            Rule ID: VR.ATO.CGTS.402174
            
            IF PARENT RETURN = "TRT", "CTR" AND  [CGTS126] > ((([CGTS118] - [CGTS123]) *0.5) +1)
               RETURN VALIDATION MESSAGE
            ENDIF

            [CGTS118] = CGTS:RP:rvctc3.02.11:Capital.Gains.Total.Amount
            [CGTS123] = CGTS:RP.Applied:rvctc3.02.11:Capital.Losses.Total.Amount
            [CGTS126] = CGTS:RP.Applied:gfagc.02.06:TaxConcession.CapitalGains.DiscountTotal.Amount
        -->

    <assert  id="VR.ATO.CGTS.402174" diagnostics="DVR.ATO.CGTS.402174" test="not(
                        sum(gfagc.02.06:TaxConcession.CapitalGains.DiscountTotal.Amount[@contextRef=$RP.CGT.Applied.ContextId and not(@i:nil='true' or @i:nil='1')])
                        &gt;
                        (
                            (
                                sum(rvctc3.02.11:Capital.Gains.Total.Amount[@contextRef=$RP.CGT.ContextId and not(@i:nil='true' or @i:nil='1')])
                                -
                                sum(rvctc3.02.11:Capital.Losses.Total.Amount[@contextRef=$RP.CGT.Applied.ContextId and not(@i:nil='true' or @i:nil='1')])
                            ) * 0.50
                            + 1
                        )
                     )"></assert>

    <!--
      IF (PARENT RETURN:RP:pyin.xx.xx:Report.Amendment.Indicator = TRUE) AND ([CGTS150] <> NULL OR [CGTS151] <> NULL)
      RETURN VALIDATION MESSAGE
      ENDIF

      [CGTS150] = CGTS:RP.{EarnoutArrangementGroupNumber}:pyin.02.00:Report.TargetFinancial.Year
      [CGTS151] = CGTS:RP.{EarnoutArrangementGroupNumber}:bafot.02.26:Miscellaneous.RequestedAmendment.Amount

    -->

    <assert id="VR.ATO.CGTS.402226" diagnostics="DVR.ATO.CGTS.402226" test="not(
      $TRTAMI.Context/pyin.02.28:Report.Amendment.Indicator[
        @contextRef = $RP.TRTAMI.ContextId
        and matches(.,'^(true|1)$')
      ]
      and (
        pyin.02.37:Report.TargetFinancial.Year[
          @contextRef = $RP.ContextId
          and not(@i:nil='true')
        ] 
        or bafot.02.26:Miscellaneous.RequestedAmendment.Amount[
          @contextRef = $RP.ContextId
          and not(@i:nil='true')
        ]
      )
    )"/>

    <!-- Rule ID: VR.ATO.CGTS.402240
    IF ([CGTS150] <> NULL) AND ([CGTS150] = (PARENT RETURN:RP:pyin.xx.xx:Report.TargetFinancial.Year))
      RETURN VALIDATION MESSAGE
    ENDIF

    [CGTS150] = CGTS:RP:pyin.02.37:Report.TargetFinancial.Year
    -->

    <assert  id="VR.ATO.CGTS.402240" diagnostics="DVR.ATO.CGTS.402240" test="not(    
             
                        $thisCgts150[not(@i:nil='true')]
                        and
                        $thisCgts150[. = $TRTAMI.Context/pyin.02.00:Report.TargetFinancial.Year[@contextRef = $RP.TRTAMI.ContextId]]
                        
                      )"></assert>    

    <!--Rule ID: VR.ATO.CGTS.402242	CMN.ATO.CGTS.402242

          IF PARENT RETURN:RP:pyin.xx.xx:Report.TargetFinancial.Year < 2017 AND [CGTS161] <> NULL
          RETURN VALIDATION MESSAGE
          ENDIF

          [CGTS161] = CGTS:RP:rvctc3.02.36:CapitalGainsTax.DeferredRelief.Indicator
      -->
    <assert id="VR.ATO.CGTS.402242" diagnostics="DVR.ATO.CGTS.402242"
            test="not(   
                        $TRTAMI.Context/pyin.02.00:Report.TargetFinancial.Year[@contextRef = $RP.TRTAMI.ContextId and not(@i:nil='true' or @i:nil='1')] &lt; '2017'
                        and rvctc3.02.36:CapitalGainsTax.DeferredRelief.Indicator[@contextRef = $RP.CGT.ContextId and not(@i:nil='true' or @i:nil='1')] 
                    )" />

    <!--Rule id: VR.ATO.CGTS.402243	CMN.ATO.CGTS.402243 deactivated by UCT8D  -->


    <!--Rule id: VR.ATO.CGTS.402246	CMN.ATO.CGTS.402246 deactivated by UCTCM  -->

    <!--Rule id: VR.ATO.CGTS.402247	CMN.ATO.CGTS.402247 deactivated by UCTCM-->


    <!-- Rule ID: VR.ATO.GEN.438000
            IF (period.startDate WHERE CONTEXT(ALL)) <> PARENT RETURN:RP:period.startDate
              RETURN VALIDATION MESSAGE
            ENDIF
        -->
    <assert  id="VR.ATO.GEN.438000" diagnostics="DVR.ATO.GEN.438000" test="not(                 
                        
                        $CGT.Context[child::link:schemaRef/@xlink:href = $thisForm]
                        and
                        xbrli:context/xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:startDate[not(@i:nil='true' or @i:nil='1')]
                        !=
                        $RP.TRTAMI.Context/xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:startDate[not(@i:nil='true' or @i:nil='1')]
             
                      )"></assert>

    
    <!-- Rule ID: VR.ATO.GEN.438001
            IF (period.endDate WHERE CONTEXT(ALL)) <> PARENT RETURN:RP:period.endDate
               RETURN VALIDATION MESSAGE
            ENDIF
        -->
    <assert  id="VR.ATO.GEN.438001" diagnostics="DVR.ATO.GEN.438001" test="not(                 
                        
                        $CGT.Context[child::link:schemaRef/@xlink:href = $thisForm]
                        and
                        xbrli:context/xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]
                        !=
                        $RP.TRTAMI.Context/xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]
             
                      )"></assert>
    
    
    
        <!-- Rule ID: VR.ATO.CGTS.402165
            IF (PARENT RETURN <> "CTR") AND ([CGTS122] <> NULL)  
               RETURN VALIDATION MESSAGE
            ENDIF

        -->
    <assert  id="VR.ATO.CGTS.402165" diagnostics="DVR.ATO.CGTS.402165" test="not(                 
                        
                        $CGT.Context[child::link:schemaRef/@xlink:href = $thisForm]
                        and
                        $thisCgts122[not(@i:nil='true' or @i:nil='1')]

                      )"></assert>
    
    
    
  </rule>
</pattern>

