﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="CrossFormRS" xmlns="http://purl.oclc.org/dsdl/schematron">
  <title>XBRL Cross Form Validations that are applicable accross all of the FITR services.</title>
  <!-- RS Variables -->
  <let name="RS.Context" value="//xbrli:xbrl[not(@i:nil='true' or @i:nil='1') and child::link:schemaRef[@xlink:href='http://sbr.gov.au/taxonomy/sbr_au_reports/ato/rs/rs_0001/rs.0001.lodge.request.02.00.report.xsd']]" />



  <let name="RP.RS.Context" value="$RS.Context/xbrli:context[
              not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 1 and count(./xbrldi:typedMember) = 0]/ 
              xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]
           ]" />
  <let name="RP.RS.ContextId" value="$RP.RS.Context/@id" />


  



  <rule context="//xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]">

    
    <let name="thisForm" value="child::link:schemaRef/@xlink:href" />

    <!-- Rule ID: VR.ATO.GEN.402009
            IF (RP:entity.identifier.TFN <> PARENT RETURN:RP:entity.identifier.TFN)
              RETURN VALIDATION MESSAGE
            ENDIF
        -->
    <assert  id="VR.ATO.GEN.402009" diagnostics="DVR.ATO.GEN.402009" test="not(                 
                        
             $RS.Context[child::link:schemaRef/@xlink:href = $thisForm]
             and
             (
              xbrli:context/xbrli:entity/xbrli:identifier != $RP.TRTAMI.Context/xbrli:entity/xbrli:identifier
             
             )
                      )"></assert>


    <!-- Rule ID: VR.ATO.RS.000150
            IF (PARENT RETURN <> "TRTAMI" AND [RS14] <> PARENT RETURN(pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text (IN TUPLE(xbrli\organisationame2.xx.xx:OrganisationNameDetails) WHERE (pyde.xx.xx:OrganisationNameDetails.OrganisationalType.Code = "MN") AND (pyde.xx.xx:OrganisationNameDetails.Currency.Code = "C")))) 
            OR (PARENT RETURN = "TRTAMI" AND [RS14] <> PARENT RETURN:RP:pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text)
               RETURN VALIDATION MESSAGE
            ENDIF

            [RS14] = RS:RP:pyde.02.00:OrganisationNameDetails.OrganisationalName.Text
        -->
    <assert  id="VR.ATO.RS.000150" diagnostics="DVR.ATO.RS.000150" test="not(      
                       $RS.Context[child::link:schemaRef/@xlink:href = $thisForm]
                       and
                       (
                        pyde.02.00:OrganisationNameDetails.OrganisationalName.Text != $TRTAMI.Context/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef = $RP.TRTAMI.ContextId]
                       )
                      )"></assert>



  </rule>
</pattern>

