﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="CrossFormVariables" xmlns="http://purl.oclc.org/dsdl/schematron">
  <title>XBRL Cross Form Variables.</title>

  <!-- TRTAMI Context -->
  <let name="TRTAMI.Context" value="//xbrli:xbrl[not(@i:nil='true' or @i:nil='1') and child::link:schemaRef[@xlink:href='http://sbr.gov.au/taxonomy/sbr_au_reports/ato/trtami/trtami_0001/trtami.0001.lodge.request.02.00.report.xsd']]" />
  <let name="RP.TRTAMI.Context" value="$TRTAMI.Context/xbrli:context[
              not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(xbrldi:typedMember) = 0 and count(./xbrldi:explicitMember) = 1]/ 
              xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]
           ]" />
  <let name="RP.TRTAMI.ContextId" value="$RP.TRTAMI.Context/@id" />


  <!-- TRTAMIS Variables -->
  <let name="TRTAMIS.Context" value="//xbrli:xbrl[not(@i:nil='true' or @i:nil='1') and child::link:schemaRef[@xlink:href='http://sbr.gov.au/taxonomy/sbr_au_reports/ato/trtamis/trtamis_0002/trtamis.0002.lodge.request.02.00.report.xsd']]" />
  <let name="RP.TRTAMIS.Context" value="$TRTAMIS.Context/xbrli:context[
              not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 1 and count(./xbrldi:typedMember) = 0]/ 
              xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]
           ]" />
  <let name="RP.TRTAMIS.ContextId" value="$RP.TRTAMIS.Context/@id" />

  <let name="RPI.TRTAMIS.Context" value="$TRTAMIS.Context/xbrli:context[
              not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:period/xbrli:instant[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 1 and count(./xbrldi:typedMember) = 0]/ 
              xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]
           ]" />
  <let name="RPI.TRTAMIS.ContextId" value="$RPI.TRTAMIS.Context/@id" />


  <let name="trtamis4" value="pyin.02.37:Report.TargetFinancial.Year[@contextRef = $RP.TRTAMIS.ContextId and not(@i:nil='true' or @i:nil='1' )]" />
  <let name="trtamis313" value="$TRTAMIS.Context/rvctc1.02.22:IncomeTax.AttributionManagedInvestmentTrustClass.Description[@contextRef = $RP.TRTAMIS.ContextId and not(@i:nil='true' or @i:nil='1' )]" />
  <let name="trtamis333" value="$TRTAMIS.Context/bafpo1.02.13:Assets.Total.Amount[@contextRef = $RPI.TRTAMIS.ContextId and not(@i:nil='true' or @i:nil='1' )]" />
  <let name="trtamis334" value="$TRTAMIS.Context/bafpo1.02.13:Liabilities.Total.Amount[@contextRef = $RPI.TRTAMIS.ContextId and not(@i:nil='true' or @i:nil='1' )]" />
  <let name="ids22" value="//tns:Expense.DeductionsTotal.Amount[@contextRef = $RP.IDS.Royalties.ContextId and not(@i:nil='true' or @i:nil='1' )]" />
  <let name="ids9" value="//tns:InternationalDealings.SpecifiedCountriesTransactions.Indicator[@contextRef = $RP.IDS.ContextId and not(@i:nil='true' or @i:nil='1' )]" />
  <let name="rs12" value="//pyde.02.21:Party.Type.Code[@contextRef = $RP.RS.ContextId and not(@i:nil='true' or @i:nil='1' )]" />

  <let name="cgts153" value="$CGT.Context/rvctc1.02.22:IncomeTax.AttributionManagedInvestmentTrustClass.Description[@contextRef = $RP.CGT.ContextId and not(@i:nil='true' or @i:nil='1' )]" />
  <let name="cgts154" value="//rvctc3.02.11:Capital.Gains.Total.Amount[@contextRef = $RP.CGT.TransfersToOtherClasses.ContextId and not(@i:nil='true' or @i:nil='1' )]" />
  <let name="cgts155" value="//rvctc3.02.11:Capital.Losses.Total.Amount[@contextRef = $RP.CGT.TransfersToOtherClasses.ContextId and not(@i:nil='true' or @i:nil='1' )]" />
  <let name="cgts161" value="//rvctc3.02.36:CapitalGainsTax.DeferredRelief.Indicator[@contextRef = $RP.CGT.ContextId and not(@i:nil='true' or @i:nil='1' )]" />
  <let name="cgts150" value="//pyin.02.37:Report.TargetFinancial.Year[@contextRef = $RP.CGT.ContextId and not(@i:nil='true' or @i:nil='1' )]" />
</pattern>