﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="FieldPatterns" xmlns="http://purl.oclc.org/dsdl/schematron">
	<title>Field Pattern Validations</title>
  <rule context="xbrli:xbrl[not(@i:nil='true')]">

    <!-- Rule ID: VR.ATO.TRTAMI.000006
         
        IF ([TRTAMI5] <> NULLORBLANK) AND (ABNALGORITHM([TRTAMI5]) = FALSE)
           RETURN VALIDATION MESSAGE
        ENDIF
        
	-->
    <assert id="VR.ATO.TRTAMI.000006" diagnostics="DVR.ATO.TRTAMI.000006"
				test="not(
						          $trtami5[(not(@i:nil='true') and string-length(.) != 0) and not(function:ValidateABN(.))]
                    )"/>
    
    
    <!-- Rule ID: VR.ATO.TRTAMI.000007
         ELS Ref: V1200
      
         IF ([TRTAMI29] <> NULLORBLANK) AND (ABNALGORITHM([TRTAMI29]) = FALSE)
            RETURN VALIDATION MESSAGE
         ENDIF
         
         [TRTAMI29] = pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifier
    -->
    <assert id="VR.ATO.TRTAMI.000007" diagnostics="DVR.ATO.TRTAMI.000007"
            test="not(
                        $trtami29
                        [
                            not(@i:nil='true') 
                            and 
                            string-length(.) != 0 
                            and 
                            not(function:ValidateABN(.))
                        ]
                     )"/>


    <!-- Rule ID: VR.ATO.TRTAMI.000008
    
          IF ([TRTAMI11] <> NULLORBLANK) AND ([TRTAMI11] DOES NOT CONTAIN SET("a-z", "A-Z", "0-9"))
             RETURN VALIDATION MESSAGE
          ENDIF
      -->
    <assert id="VR.ATO.TRTAMI.000008" diagnostics="DVR.ATO.TRTAMI.000008"
            test="not(
                        $trtami10
                        [
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            not(matches(.,'^(.*)[a-zA-Z0-9](.*)$'))
                        ]                            
                      )"/>


    <!-- Rule ID: VR.ATO.TRTAMI.000009

          IF ([TRTAMI11] CONTAINS " - ")
             RETURN VALIDATION MESSAGE
          ENDIF
      -->
    <assert id="VR.ATO.TRTAMI.000009" diagnostics="DVR.ATO.TRTAMI.000009"
            test="not(
                           $trtami10[matches(.,'^(.*) - (.*)$')]
                       )"/>


    <!-- Rule ID: VR.ATO.TRTAMI.000010
    
          IF ([TRTAMI10] CONTAINS "P/L")
             RETURN VALIDATION MESSAGE
          ENDIF

    -->
    <assert  id="VR.ATO.TRTAMI.000010" diagnostics="DVR.ATO.TRTAMI.000010"
             test="not(
                        $trtami10[matches(upper-case(.),'^(.*)(P/L)(.*)$')]
                      )"/>


    <!-- Rule ID: VR.ATO.TRTAMI.000011
    
          IF ([TRTAMI10] CONTAINS SET("-_-","''","  "))
             RETURN VALIDATION MESSAGE
          ENDIF
      -->
    <assert id="VR.ATO.TRTAMI.000011" diagnostics="DVR.ATO.TRTAMI.000011"
            test="not(
                        $trtami10[matches(.,'^(.*)(--|('')('')|  )(.*)$')]
                      )"/>


    <!-- Rule ID: VR.ATO.TRTAMI.000012
          IF ([TRTAMI10] STARTSWITH "T/A ") AND ([TRTAMI10] ENDSWITH SET(" Pship"," P'ship"," P/ship"))
            RETURN VALIDATION MESSAGE
          ENDIF
    -->
    <assert id="VR.ATO.TRTAMI.000012" diagnostics="DVR.ATO.TRTAMI.000012"
             test="not(
                        $trtami10[
                          matches(.,'^(T/A )(.*)$', 'i') 
                          and 
                          matches(.,'^(.*)( Pship| P''ship| P/ship)$', 'i')
                        ]
                       )"/>


    <!-- Rule ID: VR.ATO.TRTAMI.000013 removed for CR2900 -->
   


    <!-- Rule ID: VR.ATO.TRTAMI.000015
    
         IF ([TRTAMI10] ENDSWITH SET(" T/A"," T/A P'ship"," T/A Pship"," T/A P/Ship"," T/A Partnership"))
            RETURN VALIDATION MESSAGE
         ENDIF
    -->
    <assert  id="VR.ATO.TRTAMI.000015" diagnostics="DVR.ATO.TRTAMI.000015"
             test="not(
                        $trtami10[matches(.,'^(.*)( T/A| T/A Pship| T/A P''ship| T/A P/ship| T/A Partnership)$', 'i')]
                       )" />
    
    
    <!-- Rule ID: VR.ATO.TRTAMI.000016
    
          IF ([TRTAMI11] <> NULLORBLANK) AND ([TRTAMI11] DOES NOT CONTAIN SET("a-z", "A-Z", "0-9"))
             RETURN VALIDATION MESSAGE
          ENDIF
      -->
    <assert id="VR.ATO.TRTAMI.000016" diagnostics="DVR.ATO.TRTAMI.000016"
            test="not(
                        $trtami11
                        [
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            not(matches(.,'^(.*)[a-zA-Z0-9](.*)$'))
                        ]                            
                      )"/>
    
    
    <!-- Rule ID: VR.ATO.TRTAMI.000017

          IF ([TRTAMI11] CONTAINS " - ")
             RETURN VALIDATION MESSAGE
          ENDIF
      -->
    <assert id="VR.ATO.TRTAMI.000017" diagnostics="DVR.ATO.TRTAMI.000017"
            test="not(
                           $trtami11[matches(.,'^(.*) - (.*)$')]
                       )"/>
    
    
    <!-- Rule ID: VR.ATO.TRTAMI.000018
    
          IF ([TRTAMI11] CONTAINS "P/L")
             RETURN VALIDATION MESSAGE
          ENDIF

    -->
    <assert  id="VR.ATO.TRTAMI.000018" diagnostics="DVR.ATO.TRTAMI.000018"
             test="not(
                        $trtami11[matches(upper-case(.),'^(.*)(P/L)(.*)$')]
                      )"/>


    <!-- Rule ID: VR.ATO.TRTAMI.000019
    
          IF ([TRTAMI11] CONTAINS SET("-_-","''","  "))
             RETURN VALIDATION MESSAGE
          ENDIF
      -->
    <assert id="VR.ATO.TRTAMI.000019" diagnostics="DVR.ATO.TRTAMI.000019"
            test="not(
                        $trtami11[matches(.,'^(.*)(--|('')('')|  )(.*)$')]
                      )"/>


    <!-- Rule ID: VR.ATO.TRTAMI.000020
          IF ([TRTAMI11] STARTSWITH "T/A ") AND ([TRTAMI11] ENDSWITH SET(" Pship"," P'ship"," P/ship"))
            RETURN VALIDATION MESSAGE
          ENDIF
    -->
    <assert id="VR.ATO.TRTAMI.000020" diagnostics="DVR.ATO.TRTAMI.000020"
             test="not(
                        $trtami11[
                          matches(.,'^(T/A )(.*)$', 'i') 
                          and 
                          matches(.,'^(.*)( Pship| P''ship| P/ship)$', 'i')
                        ]
                       )"/>


    <!--Rule ID: VR.ATO.TRTAMI.000021 removed for CR2900 | INC000029748406-->

        
   
    <!-- Rule ID: VR.ATO.TRTAMI.000023
    
         IF ([TRTAMI11] ENDSWITH SET(" T/A"," T/A P'ship"," T/A Pship"," T/A P/Ship"," T/A Partnership"))
            RETURN VALIDATION MESSAGE
         ENDIF
    -->
    <assert  id="VR.ATO.TRTAMI.000023" diagnostics="DVR.ATO.TRTAMI.000023"
             test="not(
                        $trtami11[matches(.,'^(.*)( T/A| T/A Pship| T/A P''ship| T/A P/ship| T/A Partnership)$', 'i')]
                       )" />



    <!-- Rule ID: VR.ATO.TRTAMI.000028
        ELS Ref: ABH
         
        IF [TRTAMI12] = FOUND("AS ABOVE")
			RETURN VALIDATION MESSAGE
		ENDIF
        
        [TRTAMI12] = pyde.xx.xx:AddressDetails.Line1.Text
	-->
    <assert id="VR.ATO.TRTAMI.000028" diagnostics="DVR.ATO.TRTAMI.000028"
				test="not(
						$trtami12[contains(upper-case(.),'AS ABOVE')]
                    )"/>


    <!-- Rule ID: VR.ATO.TRTAMI.000030
		ELS Ref: ABH
    
          
      IF ([TRTAMI12] <> NULLORBLANK) 
      AND (([TRTAMI12] STARTSWITH "CO ") OR ([TRTAMI12] = FOUND("C/O","C/","Care Of")))
      RETURN VALIDATION MESSAGE
      ENDIF 
      
      [TRTAMI12] = pyde.xx.xx:AddressDetails.Line1.Text
           
           old code:
           matches(.,'^(C/O |C/ |Care Of |CO )(.*)$','i') or
                            matches(.,'^(.*)( C/O | C/ | Care Of | CO )(.*)$','i') or
                            matches(.,'^(.*)( C/O| C/| Care Of| CO)$','i') or
                            matches(.,'^(C/O|C/|Care Of|CO)$','i')
           	-->
    <assert id="VR.ATO.TRTAMI.000030" diagnostics="DVR.ATO.TRTAMI.000030"
			  test="not(
                        $trtami12
                        [
                          not(@i:nil='true') and string-length(.) != 0
                          and
                          (
                            matches(.,'(^\s*CO )(.*)$','i') or   
                            matches(.,'(^\s*CO)(\s*)$','i') or
                            matches(.,'^(C/O |C/ |Care Of)(.*)$','i') or
                            matches(.,'^(.*)( C/O | C/ | Care Of)(.*)$','i') or
                            matches(.,'^(.*)( C/O| C/| Care Of)$','i') or
                            matches(.,'^(C/O|C/|Care Of)$','i')
                          )
                        ]
                    )"/>


    <!-- Rule ID: VR.ATO.TRTAMI.000031
         ELS Ref: ABH
         
         IF [TRTAMI12] CONTAINS "UNKNOWN"
			RETURN VALIDATION MESSAGE
		 ENDIF
      
         [TRTAMI12] = pyde.xx.xx:AddressDetails.Line1.Text
	-->
    <assert  id="VR.ATO.TRTAMI.000031" diagnostics="DVR.ATO.TRTAMI.000031"
			   test="not(
                        $trtami12[matches(.,'^(.*)UNKNOWN(.*)$','i')]
                       )"/>


    <!-- Rule ID: VR.ATO.TRTAMI.000033
		ELS Ref: ABH
           
           IF ([TRTAMI13] <> NULLORBLANK) 
           AND (([TRTAMI13] STARTSWITH "CO ") OR ([TRTAMI13] = FOUND("C/-","C/O","C/","Care Of")))
           RETURN VALIDATION MESSAGE
          ENDIF
      
           [TRTAMI13] = pyde.xx.xx:AddressDetails.Line2.Text
	-->
    <assert id="VR.ATO.TRTAMI.000033" diagnostics="DVR.ATO.TRTAMI.000033"
			  test="not(
                        $trtami13
                        [
                          not(@i:nil='true') and string-length(.) !=0
                          and
                          (
                            matches(.,'(^\s*CO )(.*)$','i') or   
                            matches(.,'(^\s*CO)(\s*)$','i') or                
                            matches(.,'^(C/- |C/O |C/ |Care Of)(.*)$','i') or
                            matches(.,'^(.*)( C/- | C/O | C/ | Care Of)(.*)$','i') or
                            matches(.,'^(.*)( C/-| C/O| C/| Care Of)$','i') or
                            matches(.,'^(C/-|C/O|C/|Care Of)$','i')
                          )
                        ]
                    )"/>


    <!-- Rule ID: VR.ATO.TRTAMI.000034
         ELS Ref: ABH
         
         IF [TRTAMI12] CONTAINS "UNKNOWN"
			RETURN VALIDATION MESSAGE
		 ENDIF
      
         [TRTAMI12] = pyde.xx.xx:AddressDetails.Line1.Text
	-->
    <assert  id="VR.ATO.TRTAMI.000034" diagnostics="DVR.ATO.TRTAMI.000034"
			   test="not(
                        $trtami13[matches(.,'^(.*)UNKNOWN(.*)$','i')]
                       )"/>


    <!-- Rule ID: VR.ATO.TRTAMI.000038
         ELS Ref: AME
         
		IF [TRTAMI14] CONTAINS "UNKNOWN"
			RETURN VALIDATION MESSAGE
		ENDIF
      
         [TRTAMI14] = pyde.xx.xx:AddressDetails.LocalityName.Text
	-->
    <assert  id="VR.ATO.TRTAMI.000038" diagnostics="DVR.ATO.TRTAMI.000038"
			   test="not(
                        $trtami14[matches(.,'^(.*)UNKNOWN(.*)$','i')]
                       )"/>



    <!-- Rule ID: VR.ATO.TRTAMI.000041
         ELS Ref: APE

		IF ([TRTAMI16] <> NULL) AND ([TRTAMI16] <> SET(0200-9999))
			RETURN VALIDATION MESSAGE
		ENDIF
        
        [TRTAMI16] = pyde.xx.xx:AddressDetails.Postcode.Text
     -->
    <assert  id="VR.ATO.TRTAMI.000041" diagnostics="DVR.ATO.TRTAMI.000041"
				 test="not(
                          $trtami16
                          [
                              not(@i:nil='true') and string-length(.) != 0
                              and
                              not(matches(., '^([0][2-9]|[1-9][0-9])[0-9][0-9]$'))
                          ]                                           
                    )"/>


    <!-- Rule ID: VR.ATO.TRTAMI.000048
        ELS Ref: ABJ
		
        IF [TRTAMI18] = FOUND("AS ABOVE")
			RETURN VALIDATION MESSAGE
		ENDIF
        
        [TRTAMI18] = pyde.xx.xx:AddressDetails.Line1.Text
	-->
    <assert id="VR.ATO.TRTAMI.000048" diagnostics="DVR.ATO.TRTAMI.000048"
				test="not(
						$trtami18[contains(upper-case(.),'AS ABOVE')]
                    )"/>


    <!-- Rule ID: VR.ATO.TRTAMI.000049
		ELS Ref: ABH
           
               
       IF ([TRTAMI18] <> NULLORBLANK) 
       AND (([TRTAMI18] STARTSWITH "CO ") OR ([TRTAMI18] = FOUND("C/O","C/","Care Of")))
       RETURN VALIDATION MESSAGE
       ENDIF
      
           [TRTAMI18] = pyde.xx.xx:AddressDetails.Line1.Text
	-->
    <assert id="VR.ATO.TRTAMI.000049" diagnostics="DVR.ATO.TRTAMI.000049"
			  test="not(
                        $trtami18
                        [
                          not(@i:nil='true') and string-length(.) !=0
                          and
                          (
                            matches(.,'(^\s*CO )(.*)$','i') or   
                            matches(.,'(^\s*CO)(\s*)$','i') or       
                            matches(.,'^(C/O |C/ |Care Of)(.*)$','i') or
                            matches(.,'^(.*)( C/O | C/ | Care Of)(.*)$','i') or
                            matches(.,'^(.*)( C/O| C/| Care Of)$','i') or
                            matches(.,'^(C/O|C/|Care Of)$','i')
                          )
                        ]
                    )"/>

    <!-- Rule ID: VR.ATO.TRTAMI.000050
         ELS Ref: ABJ
         
         IF [TRTAMI18] CONTAINS "UNKNOWN"
			RETURN VALIDATION MESSAGE
		 ENDIF
      
         [TRTAMI18] = pyde.xx.xx:AddressDetails.Line1.Text
	-->
    <assert  id="VR.ATO.TRTAMI.000050" diagnostics="DVR.ATO.TRTAMI.000050"
			   test="not(
                        $trtami18[matches(.,'^(.*)UNKNOWN(.*)$','i')]
                       )"/>


    <!-- Rule ID: VR.ATO.TRTAMI.000053
		ELS Ref: ABJ
           
          IF ([TRTAMI19] <> NULLORBLANK) 
          AND (([TRTAMI19] STARTSWITH "CO ") OR ([TRTAMI19] = FOUND("C/-","C/O","C/","Care Of")))
          RETURN VALIDATION MESSAGE
          ENDIF
      
           [TRTAMI19] = pyde.xx.xx:AddressDetails.Line2.Text
	-->
    <assert id="VR.ATO.TRTAMI.000053" diagnostics="DVR.ATO.TRTAMI.000053"
			  test="not(
                        $trtami19
                        [
                            not(@i:nil='true') and string-length(.) !=0
                            and
                            (
                            matches(.,'(^\s*CO )(.*)$','i') or   
                            matches(.,'(^\s*CO)(\s*)$','i') or                     
                            matches(.,'^(C/- |C/O |C/ |Care Of)(.*)$','i') or
                            matches(.,'^(.*)( C/- | C/O | C/ | Care Of)(.*)$','i') or
                            matches(.,'^(.*)( C/-| C/O| C/| Care Of)$','i') or
                            matches(.,'^(C/-|C/O|C/|Care Of)$','i')
                          )
                        ]
                    )"/>

    <!-- Rule ID: VR.ATO.TRTAMI.000054
         ELS Ref: ABJ
         
         IF [TRTAMI19] CONTAINS "UNKNOWN"
			RETURN VALIDATION MESSAGE
		 ENDIF
      
         [TRTAMI19] = pyde.xx.xx:AddressDetails.Line2.Text
	-->
    <assert  id="VR.ATO.TRTAMI.000054" diagnostics="DVR.ATO.TRTAMI.000054"
			   test="not(
                        $trtami19[matches(.,'^(.*)UNKNOWN(.*)$','i')]
                       )"/>


    <!-- Rule ID: VR.ATO.TRTAMI.000058
         ELS Ref: AUT
         
         IF [TRTAMI20] CONTAINS "UNKNOWN"
			RETURN VALIDATION MESSAGE
		 ENDIF
      
         [TRTAMI20] = pyde.xx.xx:AddressDetails.LocalityName.Text
	-->
    <assert  id="VR.ATO.TRTAMI.000058" diagnostics="DVR.ATO.TRTAMI.000058"
			   test="not(
                        $trtami20[matches(.,'^(.*)UNKNOWN(.*)$','i')]
                       )"/>


    <!-- Rule ID: VR.ATO.TRTAMI.000060
         ELS Ref: APG

		IF ([TRTAMI22] <> NULL) AND ([TRTAMI22]  <> SET(0200-9999))
			RETURN VALIDATION MESSAGE
		ENDIF
        
        [TRTAMI21] = pyde.xx.xx:AddressDetails.Postcode.Text
     -->
    <assert  id="VR.ATO.TRTAMI.000060" diagnostics="DVR.ATO.TRTAMI.000060"
				 test="not(
                          $trtami22
                          [
                              not(@i:nil='true')
                              and
                              not(matches(., '^([0][2-9]|[1-9][0-9])[0-9][0-9]$'))
                          ]                                           
                    )"/>
    
    
    
    

    <!-- Rule ID: VR.ATO.GEN.000063
    
          IF ([TRTAMI24] <> NULLORBLANK) AND ([TRTAMI24] <> SET(DOMAIN(TITLE CODES)))
             RETURN VALIDATION MESSAGE
          ENDIF
          
      -->

    <assert id="VR.ATO.TRTAMI.000063" diagnostics="DVR.ATO.TRTAMI.000063"
            test="not(    $trtami24[not(@i:nil='true') and string-length(.) != 0]
                          and 
                          not(
                                upper-case($trtami24) = '2LT' or
                                upper-case($trtami24) = 'AB' or
                                upper-case($trtami24) = 'ABBOT' or
                                upper-case($trtami24) = 'AC' or
                                upper-case($trtami24) = 'ACM' or
                                upper-case($trtami24) = 'ADM' or
                                upper-case($trtami24) = 'AIR CDRE' or
                                upper-case($trtami24) = 'ALDERMAN' or
                                upper-case($trtami24) = 'AM' or
                                upper-case($trtami24) = 'ARCHBISHOP' or
                                upper-case($trtami24) = 'ARCHDEACON' or
                                upper-case($trtami24) = 'ASSOC PROF' or
                                upper-case($trtami24) = 'AVM' or
                                upper-case($trtami24) = 'BARON' or
                                upper-case($trtami24) = 'BARONESS' or
                                upper-case($trtami24) = 'BISHOP' or
                                upper-case($trtami24) = 'BR' or
                                upper-case($trtami24) = 'BRIG' or
                                upper-case($trtami24) = 'CANON' or
                                upper-case($trtami24) = 'CAPT' or
                                upper-case($trtami24) = 'CARDINAL' or
                                upper-case($trtami24) = 'CDRE' or
                                upper-case($trtami24) = 'CDT' or
                                upper-case($trtami24) = 'CHAP' or
                                upper-case($trtami24) = 'CMDR' or
                                upper-case($trtami24) = 'CMM' or
                                upper-case($trtami24) = 'COL' or
                                upper-case($trtami24) = 'CONST' or
                                upper-case($trtami24) = 'COUNT' or
                                upper-case($trtami24) = 'COUNTESS' or
                                upper-case($trtami24) = 'CPL' or
                                upper-case($trtami24) = 'CPO' or
                                upper-case($trtami24) = 'DAME' or
                                upper-case($trtami24) = 'DEACON' or
                                upper-case($trtami24) = 'DEACONESS' or
                                upper-case($trtami24) = 'DEAN' or
                                upper-case($trtami24) = 'DEPUTY SUPT' or
                                upper-case($trtami24) = 'DR' or
                                upper-case($trtami24) = 'DUCHESS' or
                                upper-case($trtami24) = 'DUKE' or
                                upper-case($trtami24) = 'EARL' or
                                upper-case($trtami24) = 'EF' or
                                upper-case($trtami24) = 'FLGOFF' or
                                upper-case($trtami24) = 'FLT LT' or
                                upper-case($trtami24) = 'FR' or
                                upper-case($trtami24) = 'FSGT' or
                                upper-case($trtami24) = 'GEN' or
                                upper-case($trtami24) = 'GNR' or
                                upper-case($trtami24) = 'GP CAPT' or
                                upper-case($trtami24) = 'HON' or
                                upper-case($trtami24) = 'HON JUDGE' or
                                upper-case($trtami24) = 'HON JUST' or
                                upper-case($trtami24) = 'HRH' or
                                upper-case($trtami24) = 'INSP' or
                                upper-case($trtami24) = 'JUDGE' or
                                upper-case($trtami24) = 'JUST' or
                                upper-case($trtami24) = 'LAC' or
                                upper-case($trtami24) = 'LACW' or
                                upper-case($trtami24) = 'LADY' or
                                upper-case($trtami24) = 'LBDR' or
                                upper-case($trtami24) = 'LCPL' or
                                upper-case($trtami24) = 'LORD' or
                                upper-case($trtami24) = 'LS' or
                                upper-case($trtami24) = 'LT' or
                                upper-case($trtami24) = 'LT CMDR' or
                                upper-case($trtami24) = 'LT COL' or
                                upper-case($trtami24) = 'LT GEN' or
                                upper-case($trtami24) = 'MADAM' or
                                upper-case($trtami24) = 'MAJ' or
                                upper-case($trtami24) = 'MAJ GEN' or
                                upper-case($trtami24) = 'MASTER' or
                                upper-case($trtami24) = 'MATRON' or
                                upper-case($trtami24) = 'MAYOR' or
                                upper-case($trtami24) = 'MAYORESS' or
                                upper-case($trtami24) = 'MIDN' or
                                upper-case($trtami24) = 'MISS' or
                                upper-case($trtami24) = 'MON' or
                                upper-case($trtami24) = 'MOST REV' or
                                upper-case($trtami24) = 'MR' or
                                upper-case($trtami24) = 'MRS' or
                                upper-case($trtami24) = 'MS' or
                                upper-case($trtami24) = 'PASTOR' or
                                upper-case($trtami24) = 'PATRIARCH' or
                                upper-case($trtami24) = 'PLT OFF' or
                                upper-case($trtami24) = 'PO' or
                                upper-case($trtami24) = 'PRIOR' or
                                upper-case($trtami24) = 'PROF' or
                                upper-case($trtami24) = 'PTE' or
                                upper-case($trtami24) = 'RABBI' or
                                upper-case($trtami24) = 'RADM' or
                                upper-case($trtami24) = 'RECTOR' or
                                upper-case($trtami24) = 'REV' or
                                upper-case($trtami24) = 'RF' or
                                upper-case($trtami24) = 'RT HON' or
                                upper-case($trtami24) = 'RT REV' or
                                upper-case($trtami24) = 'RTREV BISHOP' or
                                upper-case($trtami24) = 'RT REV MON' or
                                upper-case($trtami24) = 'SBLT' or
                                upper-case($trtami24) = 'SEN' or
                                upper-case($trtami24) = 'SGT' or
                                upper-case($trtami24) = 'SIR' or
                                upper-case($trtami24) = 'SMN' or
                                upper-case($trtami24) = 'SNR CONST' or
                                upper-case($trtami24) = 'SQN LDR' or
                                upper-case($trtami24) = 'SR' or
                                upper-case($trtami24) = 'SSGT' or
                                upper-case($trtami24) = 'SUPR' or
                                upper-case($trtami24) = 'SWAMI' or
                                upper-case($trtami24) = 'TF' or
                                upper-case($trtami24) = 'VADM' or
                                upper-case($trtami24) = 'VERY REV' or
                                upper-case($trtami24) = 'VICAR' or
                                upper-case($trtami24) = 'VISCOUNT' or
                                upper-case($trtami24) = 'WG CDR' or
                                upper-case($trtami24) = 'WO' or
                                upper-case($trtami24) = 'WO1' or
                                upper-case($trtami24) = 'WO2' 
                             )
                         )"/>

    <!-- Rule ID: VR.ATO.TRTAMI.000064

          IF ([TRTAMI25] <> NULLORBLANK) AND ([TRTAMI25] DOES NOT CONTAIN SET("A-Z","a-z"))
             RETURN VALIDATION MESSSAGE
          ENDIF
          
        -->
    <assert id="VR.ATO.TRTAMI.000064" diagnostics="DVR.ATO.TRTAMI.000064"
          test="not(
                        $trtami25
                        [
                            (
                              not(@i:nil='true') and string-length(.) != 0
                              and
                              not(matches(.,'^(.*)[a-zA-Z](.*)$'))
                            )
                        ]                        
                      )"/>

    <!-- Rule ID: VR.ATO.TRTAMI.000065

          IF ([TRTAMI25] = FOUND("Exec for","Rep for","Trustee for"))
              RETURN VALIDATION MESSAGE
          ENDIF
          
    -->
    <assert id="VR.ATO.TRTAMI.000065" diagnostics="DVR.ATO.TRTAMI.000065"
            test="not(
                        $trtami25
                        [
                            (
                              matches(.,'^(Exec for |Rep for |Trustee for )(.*)$','i') or
                              matches(.,'^(.*)( Exec for | Rep for | Trustee for )(.*)$','i') or
                              matches(.,'^(.*)( Exec for| Rep for| Trustee for)$','i') or
                              matches(.,'^(Exec for|Rep for|Trustee for)$','i')
                            )
                        ]
                     )"/>

    <!-- Rule ID: VR.ATO.TRTAMI.000066

          IF ([TRTAMI25] = FOUND("MR","MRS","MISS","MS"))
             RETURN VALIDATION MESSAGE
          ENDIF
          
      -->
    <assert id="VR.ATO.TRTAMI.000066" diagnostics="DVR.ATO.TRTAMI.000066"
          test="not(
                        $trtami25
                        [
                            (
                              matches(.,'^(MR |MRS |MISS |MS )(.*)$','i') or
                              matches(.,'^(.*)( MR | MRS | MISS | MS )(.*)$','i') or
                              matches(.,'^(.*)( MR| MRS| MISS| MS)$','i') or
                              matches(.,'^(MR|MRS|MISS|MS)$','i')
                            )
                        ]
                     )"/>

    <!-- Rule ID: VR.ATO.TRTAMI.000067

          IF ([TRTAMI25] = FOUND("ESQ","II","III","IV","JNR","JP","MHA","MHR","MLA","MLC","MP","QC","SNR"))
             RETURN VALIDATION MESSAGE
          ENDIF
          
      -->
    <assert id="VR.ATO.TRTAMI.000067" diagnostics="DVR.ATO.TRTAMI.000067"
          test="not(
                        $trtami25
                        [
                            (
                              matches(.,'^(ESQ |II |III |IV |JNR |JP |MHA |MHR |MLA |MLC |MP |QC |SNR )(.*)$','i') or
                              matches(.,'^(.*)( ESQ | II | III | IV | JNR | JP | MHA | MHR | MLA | MLC | MP | QC | SNR )(.*)$','i') or
                              matches(.,'^(.*)( ESQ| II| III| IV| JNR| JP| MHA| MHR| MLA| MLC| MP| QC| SNR)$','i') or
                              matches(.,'^(ESQ|II|III|IV|JNR|JP|MHA|MHR|MLA|MLC|MP|QC|SNR)$','i')
                            )
                        ]
                     )"/>

    <!-- Rule ID: VR.ATO.TRTAMI.000068

          IF ([TRTAMI25] CONTAINS " - ")
             RETURN VALIDATION MESSAGE
          ENDIF
      -->
    <assert id="VR.ATO.TRTAMI.000068" diagnostics="DVR.ATO.TRTAMI.000068"
            test="not(
                           $trtami25[matches(.,'^(.*) - (.*)$')]
                       )"/>

    <!-- Rule ID: VR.ATO.TRTAMI.000069

          IF ([TRTAMI25] CONTAINS SET("-_-","''","  "))
             RETURN VALIDATION MESSAGE
          ENDIF
          
      -->

    <assert id="VR.ATO.TRTAMI.000069" diagnostics="DVR.ATO.TRTAMI.000069"
            test="not(
                        $trtami25[matches(.,'^(.*)(--|('')('')|  )(.*)$')]
                      )"/>

    <!-- Rule ID: VR.ATO.TRTAMI.000070

          IF ([TRTAMI26] <> NULLORBLANK) AND ([TRTAMI26] DOES NOT CONTAIN SET("A-Z","a-z"))
             RETURN VALIDATION MESSSAGE
          ENDIF
          
        -->
    <assert id="VR.ATO.TRTAMI.000070" diagnostics="DVR.ATO.TRTAMI.000070"
          test="not(
                        $trtami26
                        [
                            (
                              not(@i:nil='true') and string-length(.) != 0
                              and
                              not(matches(.,'^(.*)[a-zA-Z](.*)$'))
                            )
                        ]                        
                      )"/>

    <!-- Rule ID: VR.ATO.TRTAMI.000071

          IF ([TRTAMI26] = FOUND("ESQ","II","III","IV","JNR","JP","MHA","MHR","MLA","MLC","MP","QC","SNR"))
             RETURN VALIDATION MESSAGE
          ENDIF
          
      -->
    <assert id="VR.ATO.TRTAMI.000071" diagnostics="DVR.ATO.TRTAMI.000071"
          test="not(
                        $trtami26
                        [
                            (
                              matches(.,'^(ESQ |II |III |IV |JNR |JP |MHA |MHR |MLA |MLC |MP |QC |SNR )(.*)$','i') or
                              matches(.,'^(.*)( ESQ | II | III | IV | JNR | JP | MHA | MHR | MLA | MLC | MP | QC | SNR )(.*)$','i') or
                              matches(.,'^(.*)( ESQ| II| III| IV| JNR| JP| MHA| MHR| MLA| MLC| MP| QC| SNR)$','i') or
                              matches(.,'^(ESQ|II|III|IV|JNR|JP|MHA|MHR|MLA|MLC|MP|QC|SNR)$','i')
                            )
                        ]
                     )"/>

    <!-- Rule ID: VR.ATO.TRTAMI.000072

          IF ([TRTAMI26] = FOUND("Exec for","Rep for","Trustee for"))
              RETURN VALIDATION MESSAGE
          ENDIF
    -->
    <assert id="VR.ATO.TRTAMI.000072" diagnostics="DVR.ATO.TRTAMI.000072"
            test="not(
                        $trtami26
                        [
                            (
                              matches(.,'^(Exec for |Rep for |Trustee for )(.*)$','i') or
                              matches(.,'^(.*)( Exec for | Rep for | Trustee for )(.*)$','i') or
                              matches(.,'^(.*)( Exec for| Rep for| Trustee for)$','i') or
                              matches(.,'^(Exec for|Rep for|Trustee for)$','i')
                            )
                        ]
                     )"/>

    <!-- Rule ID: VR.ATO.TRTAMI.000073

          IF ([TRTAMI26] = FOUND("MR","MRS","MISS","MS"))
             RETURN VALIDATION MESSAGE
          ENDIF
        
      -->
    <assert id="VR.ATO.TRTAMI.000073" diagnostics="DVR.ATO.TRTAMI.000073"
          test="not(
                        $trtami26
                        [
                            (
                              matches(.,'^(MR |MRS |MISS |MS )(.*)$','i') or
                              matches(.,'^(.*)( MR | MRS | MISS | MS )(.*)$','i') or
                              matches(.,'^(.*)( MR| MRS| MISS| MS)$','i') or
                              matches(.,'^(MR|MRS|MISS|MS)$','i')
                            )
                        ]
                     )"/>

    <!-- Rule ID: VR.ATO.TRTAMI.000074
    
          IF ([TRTAMI27] <> NULLORBLANK) AND ([TRTAMI26] = NULLORBLANK)
              RETURN VALIDATION MESSAGE
          ENDIF    
          
    -->
    <assert id="VR.ATO.TRTAMI.000074" diagnostics="DVR.ATO.TRTAMI.000074"
            test="not(
                        $trtami27[not(@i:nil='true') and string-length(.) != 0]
                        and
                        not($trtami26[not(@i:nil='true') and string-length(.) != 0])
                     )" />

    <!-- Rule ID: VR.ATO.TRTAMI.000075

          IF ([TRTAMI26] CONTAINS " - ")
             RETURN VALIDATION MESSAGE
          ENDIF
      -->
    <assert id="VR.ATO.TRTAMI.000075" diagnostics="DVR.ATO.TRTAMI.000075"
            test="not(
                           $trtami26[matches(.,'^(.*) - (.*)$')]
                       )"/>

    <!-- Rule ID: VR.ATO.TRTAMI.000076

          IF ([TRTAMI26] CONTAINS SET("-_-","''","  "))
             RETURN VALIDATION MESSAGE
          ENDIF
          
      -->

    <assert id="VR.ATO.TRTAMI.000076" diagnostics="DVR.ATO.TRTAMI.000076"
            test="not(
                        $trtami26[matches(.,'^(.*)(--|('')('')|  )(.*)$')]
                      )"/>

    <!-- Rule ID: VR.ATO.TRTAMI.000077

          IF ([TRTAMI27] <> NULLORBLANK) AND ([TRTAMI27] DOES NOT CONTAIN SET("A-Z","a-z"))
             RETURN VALIDATION MESSAGE
          ENDIF
          
        -->
    <assert id="VR.ATO.TRTAMI.000077" diagnostics="DVR.ATO.TRTAMI.000077"
          test="not(
                        $trtami27
                        [
                            (
                              not(@i:nil='true') and string-length(.) != 0
                              and
                              not(matches(.,'^(.*)[a-zA-Z](.*)$'))
                            )
                        ]                        
                      )"/>

    <!-- Rule ID: VR.ATO.TRTAMI.000078

          IF ([TRTAMI27] = FOUND("ESQ","II","III","IV","JNR","JP","MHA","MHR","MLA","MLC","MP","QC","SNR"))
              RETURN VALIDATION MESSAGE
          ENDIF
          
      -->
    <assert id="VR.ATO.TRTAMI.000078" diagnostics="DVR.ATO.TRTAMI.000078"
          test="not(
                        $trtami27
                        [
                            (
                              matches(.,'^(ESQ |II |III |IV |JNR |JP |MHA |MHR |MLA |MLC |MP |QC |SNR )(.*)$','i') or
                              matches(.,'^(.*)( ESQ | II | III | IV | JNR | JP | MHA | MHR | MLA | MLC | MP | QC | SNR )(.*)$','i') or
                              matches(.,'^(.*)( ESQ| II| III| IV| JNR| JP| MHA| MHR| MLA| MLC| MP| QC| SNR)$','i') or
                              matches(.,'^(ESQ|II|III|IV|JNR|JP|MHA|MHR|MLA|MLC|MP|QC|SNR)$','i')
                            )
                        ]
                     )"/>

    <!-- Rule ID: VR.ATO.TRTAMI.000079

          IF ([TRTAMI27] = FOUND("Exec for","Rep for","Trustee for"))
             RETURN VALIDATION MESSAGE
          ENDIF
    -->
    <assert id="VR.ATO.TRTAMI.000079" diagnostics="DVR.ATO.TRTAMI.000079"
            test="not(
                        $trtami27
                        [
                            (
                              matches(.,'^(Exec for |Rep for |Trustee for )(.*)$','i') or
                              matches(.,'^(.*)( Exec for | Rep for | Trustee for )(.*)$','i') or
                              matches(.,'^(.*)( Exec for| Rep for| Trustee for)$','i') or
                              matches(.,'^(Exec for|Rep for|Trustee for)$','i')
                            )
                        ]
                     )"/>

    <!-- Rule ID: VR.ATO.TRTAMI.000080

          IF ([TRTAMI27] = FOUND("MR","MRS","MISS","MS"))
             RETURN VALIDATION MESSAGE
          ENDIF
        
      -->
    <assert id="VR.ATO.TRTAMI.000080" diagnostics="DVR.ATO.TRTAMI.000080"
          test="not(
                        $trtami27
                        [
                            (
                              matches(.,'^(MR |MRS |MISS |MS )(.*)$','i') or
                              matches(.,'^(.*)( MR | MRS | MISS | MS )(.*)$','i') or
                              matches(.,'^(.*)( MR| MRS| MISS| MS)$','i') or
                              matches(.,'^(MR|MRS|MISS|MS)$','i')
                            )
                        ]
                     )"/>

    <!-- Rule ID: VR.ATO.TRTAMI.000081

          IF ([TRTAMI27] CONTAINS " - ")
              RETURN VALIDATION MESSAGE
          ENDIF
      -->
    <assert id="VR.ATO.TRTAMI.000081" diagnostics="DVR.ATO.TRTAMI.000081"
            test="not(
                           $trtami27[matches(.,'^(.*) - (.*)$')]
                       )"/>

    <!-- Rule ID: VR.ATO.TRTAMI.000082

          IF ([TRTAMI27] CONTAINS SET("-_-","''","  "))
             RETURN VALIDATION MESSAGE
          ENDIF
          
      -->

    <assert id="VR.ATO.TRTAMI.000082" diagnostics="DVR.ATO.TRTAMI.000082"
            test="not(
                        $trtami27[matches(.,'^(.*)(--|('')('')|  )(.*)$')]
                      )"/>

    <!-- Rule ID: VR.ATO.TRTAMI.000083
    
          IF [TRTAMI25] = NULLORBLANK AND [TRTAMI28] = NULLORBLANK
             RETURN VALIDATION MESSAGE
          ENDIF
          
    -->
    <assert id="VR.ATO.TRTAMI.000083" diagnostics="DVR.ATO.TRTAMI.000083"
            test="not(
                        not($trtami25[not(@i:nil='true') and string-length(.) != 0])
                        and
                        not($trtami28[not(@i:nil='true') and string-length(.) != 0])
                     )" />

    <!-- Rule ID: VR.ATO.TRTAMI.000084
    
        IF  (
              [TRTAMI28] <> NULLORBLANK OR [TRTAMI29] <> NULLORBLANK
            )
            AND (
              [TRTAMI24] <> NULL 
              OR [TRTAMI25] <> NULLORBLANK 
              OR [TRTAMI26] <> NULLORBLANK 
              OR [TRTAMI27] <> NULLORBLANK
            )
           RETURN VALIDATION MESSAGE
        ENDIF    
          
          [TRTAMI24] = pyde.02.00:PersonNameDetails.Title.Text
          [TRTAMI25] = pyde.02.00:PersonNameDetails.FamilyName.Text
          [TRTAMI26] = pyde.02.00:PersonNameDetails.GivenName.Text
          [TRTAMI27] = pyde.02.00:PersonNameDetails.OtherGivenName.Text
          [TRTAMI28] = pyde.02.00:OrganisationNameDetails.OrganisationalName.Text
          [TRTAMI29] = pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier
          
      -->
    <assert id="VR.ATO.TRTAMI.000084" diagnostics="DVR.ATO.TRTAMI.000084"
            test="not(
                        (
                          $trtami28[not(@i:nil='true') and string-length(.) != 0]
                          or
                          $trtami29[not(@i:nil='true') and string-length(.) != 0]
                        )
                        and
                        (
                          $trtami24[not(@i:nil='true')]
                          or
                          $trtami25[not(@i:nil='true') and string-length(.) != 0]
                          or
                          $trtami26[not(@i:nil='true') and string-length(.) != 0]
                          or
                          $trtami27[not(@i:nil='true') and string-length(.) != 0]                          
                        )
                      )"/>

    <!-- Rule ID: VR.ATO.TRTAMI.000085
    
          IF ([TRTAMI28] <> NULLORBLANK) AND ([TRTAMI28] DOES NOT CONTAIN SET("a-z", "A-Z", "0-9"))
             RETURN VALIDATION MESSAGE
          ENDIF
      -->
    <assert id="VR.ATO.TRTAMI.000085" diagnostics="DVR.ATO.TRTAMI.000085"
            test="not(
                        $trtami28
                        [
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            not(matches(.,'^(.*)[a-zA-Z0-9](.*)$'))
                        ]                            
                      )"/>

    <!-- Rule ID: VR.ATO.TRTAMI.000086

          IF ([TRTAMI28] CONTAINS " - ")
             RETURN VALIDATION MESSAGE
          ENDIF
      -->
    <assert id="VR.ATO.TRTAMI.000086" diagnostics="DVR.ATO.TRTAMI.000086"
            test="not(
                           $trtami28[matches(.,'^(.*) - (.*)$')]
                       )"/>

    <!-- Rule ID: VR.ATO.TRTAMI.000087
    
          IF ([TRTAMI28] CONTAINS "P/L")
             RETURN VALIDATION MESSAGE
          ENDIF    

    -->
    <assert  id="VR.ATO.TRTAMI.000087" diagnostics="DVR.ATO.TRTAMI.000087"
             test="not(
                        $trtami28[matches(upper-case(.),'^(.*)(P/L)(.*)$')]
                      )"/>

    <!-- Rule ID: VR.ATO.TRTAMI.000088
    
          IF ([TRTAMI28] CONTAINS SET("-_-","''","  "))
             RETURN VALIDATION MESSAGE
          ENDIF
          
      -->

    <assert id="VR.ATO.TRTAMI.000088" diagnostics="DVR.ATO.TRTAMI.000088"
            test="not(
                        $trtami28[matches(.,'^(.*)(--|('')('')|  )(.*)$')]
                      )"/>

    <!-- Rule ID: VR.ATO.TRTAMI.000089
    
          IF ([TRTAMI28] STARTSWITH "T/A ") AND ([TRTAMI28] ENDSWITH SET(" Pship"," P'ship"," P/ship"))
             RETURN VALIDATION MESSAGE
          ENDIF
    -->
    <assert id="VR.ATO.TRTAMI.000089" diagnostics="DVR.ATO.TRTAMI.000089"
             test="not(
                        $trtami28[
                          matches(.,'^(T/A )(.*)$', 'i') 
                          and 
                          matches(.,'^(.*)( Pship| P''ship| P/ship)$', 'i')
                        ]
                       )"/>

    <!--VR.ATO.TRTAMI.000090 removed for CR2900 | INC000029748406-->
 


    <!-- Rule ID: VR.ATO.TRTAMI.000091
         ELS Ref: V137D

        IF ([TRTAMI28] ENDSWITH SET(" T/A"," T/A P'ship"," T/A Pship"," T/A P/Ship"," T/A Partnership"))
           RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert  id="VR.ATO.TRTAMI.000091" diagnostics="DVR.ATO.TRTAMI.000091"
             test="not(
                        $trtami28[matches(.,'^(.*)( T/A| T/A Pship| T/A P''ship| T/A P/ship| T/A Partnership)$', 'i')]
                       )" />


    <!-- Rule ID: VR.ATO.TRTAMI.000101

          IF ([TRTAMI43] <> NULLORBLANK) AND (ANY CHARACTER OF [TRTAMI43] <> SET("a-z","A-Z","0-9","&","*","(",")","-","'",".","/"," "))
             RETURN VALIDATION MESSAGE
          ENDIF
          
    -->
    <assert id="VR.ATO.TRTAMI.000101" diagnostics="DVR.ATO.TRTAMI.000101"
            test="not(
                        $trtami43[not(@i:nil='true') and string-length(.) != 0]
                        and
                        $trtami43[not(matches(.,'^[a-zA-Z0-9&amp;*()\-''./\s]*$'))]
                     )" />

    <!-- Rule ID: VR.ATO.TRTAMI.000102
    
          IF ([TRTAMI45] <> NULL) AND ([TRTAMI44] = NULLORBLANK)
             RETURN VALIDATION MESSAGE
          ENDIF
          
    -->
    <assert id="VR.ATO.TRTAMI.000102" diagnostics="DVR.ATO.TRTAMI.000102"
            test="not(
                        $trtami45[not(@i:nil='true')]
                        and
                        not($trtami44[not(@i:nil='true') and string-length(.) != 0])
                     )" />

    <!-- Rule ID: VR.ATO.TRTAMI.000103

            IF ([TRTAMI44] <> NULLORBLANK) AND (ANY CHARACTER OF [TRTAMI44] <> SET("a-z","A-Z","0-9","!","@","$","%","&","*","(",")","-","=","[","]",";",":","'",""",",",".","?","/"," "))
               RETURN VALIDATION MESSAGE
            ENDIF
  
      -->
    <assert id="VR.ATO.TRTAMI.000103" diagnostics="DVR.ATO.TRTAMI.000103"
          test="not(
                        $trtami44
                        [
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            not(matches(.,'^[a-zA-Z0-9!@$%&#x26;*()\-''=\[\];:&#x22;,.?\s/]*$'))
                        ]              
                    )"/>


    <!-- Rule ID: VR.ATO.TRTAMI.000104
         
          IF ([TRTAMI46] <> NULL) AND ([TRTAMI46] < 0.50)
             RETURN VALIDATION MESSAGE
          ENDIF

    -->
    <assert id="VR.ATO.TRTAMI.000104" diagnostics="DVR.ATO.TRTAMI.000104"
            test="not(
                        $trtami46[not(@i:nil='true')]
                        and
                        $trtami46 &lt; 0.50
                     )" />

    <!-- Rule ID: VR.ATO.TRTAMI.000113

          IF [TRTAMI57] <> NULL AND  [TRTAMI58] < [TRTAMI57]
              RETURN VALIDATION MESSAGE
          ENDIF
    -->
    <assert id="VR.ATO.TRTAMI.000113" diagnostics="DVR.ATO.TRTAMI.000113"
            test="not(
                        $trtami57[not(@i:nil='true')]
                        and
                        sum($trtami58) &lt; sum($trtami57)
                     )" />

    <!-- Rule ID: VR.ATO.TRTAMI.000116
    
          IF [TRTAMI59] <> NULL AND [TRTAMI60] < [TRTAMI59]
             RETURN VALIDATION MESSAGE
          ENDIF
    -->
    <assert id="VR.ATO.TRTAMI.000116" diagnostics="DVR.ATO.TRTAMI.000116"
            test="not(
                        $trtami59[not(@i:nil='true')]
                        and
                        sum($trtami60) &lt; sum($trtami59)
                     )" />

   
    <!-- Rule ID: VR.ATO.TRTAMI.000162
    
      IF [TRTAMI71] <> NULL AND [TRTAMI71] <> MONETARY(U,11,0)
         RETURN VALIDATION MESSAGE
      ENDIF
    -->
    <assert id="VR.ATO.TRTAMI.000162" diagnostics="DVR.ATO.TRTAMI.000162"
						test="not(
												$trtami71[
                                  not(@i:nil='true')
                                  and
                                  not(matches(.,'^[0-9]{1,11}$'))
                                 ]
										 )"/>

    <!-- Rule ID: VR.ATO.TRTAMI.000164
    
          IF [TRTAMI73] <> NULL AND [TRTAMI73] <> MONETARY(S,11,0)
             RETURN VALIDATION MESSAGE
          ENDIF
    -->
    <assert id="VR.ATO.TRTAMI.000164" diagnostics="DVR.ATO.TRTAMI.000164"
						test="not(
												$trtami73[
                                  not(@i:nil='true')
                                  and
                                  not(matches(.,'^-?[0-9]{1,11}$'))
                                 ]
										 )"/>
    
    <!-- Rule ID: VR.ATO.TRTAMI.000178

          IF ([TRTAMI8] <> NULLORBLANK) AND (ANY CHARACTER OF [TRTAMI8] <> SET("a-z","A-Z","0-9","!","@","$","%","&","*","(",")","-","=","[","]",";",":","'",""",",",".","?","/"," "))
             RETURN VALIDATION MESSAGE
          ENDIF
          
      -->
    <assert id="VR.ATO.TRTAMI.000178" diagnostics="DVR.ATO.TRTAMI.000178"
          test="not(
                        $trtami8
                        [
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            not(matches(.,'^[a-zA-Z0-9!@$%&#x26;*()\-''=\[\];:&#x22;,.?\s/]*$'))
                        ]              
                    )"/>
    
    <!-- Rule ID: VR.ATO.TRTAMI.000179

          IF ([TRTAMI10] <> NULLORBLANK) AND ([TRTAMI10] CONTAINS SET("{","}","|","_","\","#"))
             RETURN VALIDATION MESSAGE
          ENDIF
  
      -->

    <assert id="VR.ATO.TRTAMI.000179" diagnostics="DVR.ATO.TRTAMI.000179"
          test="not(
                        $trtami10
                        [
                            (not(@i:nil='true') and string-length(.) != 0)
                            and
                            matches(.,'[{}|_\\#]')
                        ]              
                    )"/>

    <!-- Rule ID: VR.ATO.TRTAMI.000180

          IF ([TRTAMI11] <> NULLORBLANK) AND ([TRTAMI11] CONTAINS SET("{","}","|","_","\","#"))
             RETURN VALIDATION MESSAGE
          ENDIF
  
      -->

    <assert id="VR.ATO.TRTAMI.000180" diagnostics="DVR.ATO.TRTAMI.000180"
          test="not(
                        $trtami11
                        [
                            (not(@i:nil='true') and string-length(.) != 0)
                            and
                            matches(.,'[{}|_\\#]')
                        ]              
                    )"/>


    <!-- Rule ID: VR.ATO.TRTAMI.000181

            IF ([TRTAMI12] <> NULLORBLANK) AND (ANY CHARACTER OF [TRTAMI12] <> SET("a-z","A-Z","0-9","!","@","$","%","&","*","(",")","-","=","[","]",";",":","'",""",",",".","?","/"," "))
               RETURN VALIDATION MESSAGE
            ENDIF
  
      -->

    <assert id="VR.ATO.TRTAMI.000181" diagnostics="DVR.ATO.TRTAMI.000181"
          test="not(
                        $trtami12
                        [
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            not(matches(.,'^[a-zA-Z0-9!@$%&#x26;*()\-''=\[\];:&#x22;,.?\s/]*$'))
                        ]              
                    )"/>


    <!-- Rule ID: VR.ATO.TRTAMI.000182

          IF ([TRTAMI13] <> NULLORBLANK) AND (ANY CHARACTER OF [TRTAMI13] <> SET("a-z","A-Z","0-9","!","@","$","%","&","*","(",")","-","=","[","]",";",":","'",""",",",".","?","/"," "))
             RETURN VALIDATION MESSAGE
          ENDIF
          
      -->
    <assert id="VR.ATO.TRTAMI.000182" diagnostics="DVR.ATO.TRTAMI.000182"
          test="not(
                        $trtami13
                        [
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            not(matches(.,'^[a-zA-Z0-9!@$%&#x26;*()\-''=\[\];:&#x22;,.?\s/]*$'))
                        ]              
                    )"/>


    <!-- Rule ID: VR.ATO.GEN.010030
         ELS Ref: IJH 
        
		IF pyin.xx.xx:Report.AmendmentSequence.Number <> NULL AND pyin.xx.xx:Report.AmendmentSequence.Number <> SET(1-9)
			RETURN VALIDATION MESSAGE
		ENDIF
        
        [TRTAMI9] = pyin.xx.xx:Report.AmendmentSequence.Number
        
        
    -->
    <assert id="VR.ATO.GEN.010030" diagnostics="DVR.ATO.GEN.010030"
				test="not(
                            $trtami9[not(@i:nil='true')]
                            and
							not($trtami9[matches(.,'^[1-9]$')])
                     )" />

    
    <!-- Rule ID: VR.ATO.GEN.432035
    
          IF pyid.xx.xx:FinancialInstitutionAccount.BankStateBranch.Number <> NULLORBLANK 
            AND (pyid.xx.xx:FinancialInstitutionAccount.BankStateBranch.Number <> SET(012001- 999999)) 
            OR (LENGTH(pyid.xx.xx:FinancialInstitutionAccount.BankStateBranch.Number) <> 6)
              RETURN VALIDATION MESSAGE
          ENDIF
          
          [TRTAMI41] = pyid.xx.xx:FinancialInstitutionAccount.BankStateBranch.Number       
          
      -->
    <assert id="VR.ATO.GEN.432035" diagnostics="DVR.ATO.GEN.432035"
            test="not(
                        $trtami41[not(@i:nil='true') and string-length(.) != 0]
                        and
                        (
                          $trtami41[. &lt; 012001 or . &gt; 999999]
                          or
                          $trtami41[string-length(.) != 6]
                        )
                      )"/>
    
    
	  <!-- Rule ID: VR.ATO.GEN.500037
    
		  IF (pyde.xx.xx:PersonUnstructuredName.FullName.Text <> NULLORBLANK) AND (pyde.xx.xx:PersonUnstructuredName.FullName.Text CONTAINS SET("{","}","|","_","\","#"))
             RETURN VALIDATION MESSAGE
          ENDIF 
		  
		  [TRTAMI83] = pyde.xx.xx:PersonUnstructuredName.FullName.Text
		  [TRTAMI94] = pyde.xx.xx:PersonUnstructuredName.FullName.Text
		  
    -->
	  <assert id="VR.ATO.GEN.500037" diagnostics="DVR.ATO.GEN.500037"
			  test="not(     
                        $trtami83
                        [
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            matches(.,'[{}|_\\#]')
                        ]
						or
						$trtami94
                        [
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            matches(.,'[{}|_\\#]')
                        ]
                    )"/>
	  
    
    <!-- Rule ID: VR.ATO.GEN.500099
    
          IF pyid.xx.xx:FinancialInstitutionAccount.BankStateBranch.Number = NULLORBLANK 
            OR pyid.xx.xx:FinancialInstitutionAccount.FinancialInstitutionAccount.Number = NULLORBLANK 
            OR pyid.xx.xx:FinancialInstitutionAccount.FinancialInstitutionAccountName.Text = NULLORBLANK
              RETURN VALIDATION MESSAGE
          ENDIF
          
          [TRTAMI41] = pyid.xx.xx:FinancialInstitutionAccount.BankStateBranch.Number
          [TRTAMI42] = pyid.xx.xx:FinancialInstitutionAccount.FinancialInstitutionAccount.Number
          [TRTAMI43] = pyid.xx.xx:FinancialInstitutionAccount.FinancialInstitutionAccountName.Text         
          
      -->
<!--    <assert id="VR.ATO.GEN.500099" diagnostics="DVR.ATO.GEN.500099"
            test="not(
                        not($trtami41[not(@i:nil='true') and string-length(.) != 0])
                        or
                        not($trtami42[not(@i:nil='true') and string-length(.) != 0])
                        or
                        not($trtami43[not(@i:nil='true') and string-length(.) != 0])
                      )"/> -->

    <!-- Rule ID: VR.ATO.GEN.500128
    
          IF (pyid.xx.xx:FinancialInstitutionAccount.BankStateBranch.Number <> NULL 
              OR pyid.xx.xx:FinancialInstitutionAccount.FinancialInstitutionAccount.Number <> NULLORBLANK 
              OR pyid.xx.xx:FinancialInstitutionAccount.FinancialInstitutionAccountName.Text <> NULLORBLANK) 
            AND (pyid.xx.xx:FinancialInstitutionAccount.BankStateBranch.Number = NULL 
              OR pyid.xx.xx:FinancialInstitutionAccount.FinancialInstitutionAccount.Number = NULLORBLANK 
              OR pyid.xx.xx:FinancialInstitutionAccount.FinancialInstitutionAccountName.Text = NULLORBLANK)
                RETURN VALIDATION MESSAGE
          ENDIF
          
          [TRTAMI41] = pyid.xx.xx:FinancialInstitutionAccount.BankStateBranch.Number
          [TRTAMI42] = pyid.xx.xx:FinancialInstitutionAccount.FinancialInstitutionAccount.Number
          [TRTAMI43] = pyid.xx.xx:FinancialInstitutionAccount.FinancialInstitutionAccountName.Text         
          
      -->
        <assert id="VR.ATO.GEN.500128" diagnostics="DVR.ATO.GEN.500128"
            test="not(
                        (
                          $trtami41[not(@i:nil='true')]
                          or
                          $trtami42[not(@i:nil='true') and string-length(.) != 0]
                          or
                          $trtami43[not(@i:nil='true') and string-length(.) != 0]
                        )
                        and
                        (
                          not($trtami41[not(@i:nil='true')])
                          or
                          not($trtami42[not(@i:nil='true') and string-length(.) != 0])
                          or
                          not($trtami43[not(@i:nil='true') and string-length(.) != 0])                        
                        )
                      )"/>     
    
    <!-- Rule ID: VR.ATO.TRTAMI.000183

            IF ([TRTAMI18] <> NULLORBLANK) AND (ANY CHARACTER OF [TRTAMI18] <> SET("a-z","A-Z","0-9","!","@","$","%","&","*","(",")","-","=","[","]",";",":","'",""",",",".","?","/"," "))
               RETURN VALIDATION MESSAGE
            ENDIF
      -->
    <assert id="VR.ATO.TRTAMI.000183" diagnostics="DVR.ATO.TRTAMI.000183"
          test="not(
                        $trtami18
                        [
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            not(matches(.,'^[a-zA-Z0-9!@$%&#x26;*()\-''=\[\];:&#x22;,.?\s/]*$'))
                        ]              
                    )"/>

    <!-- Rule ID: VR.ATO.TRTAMI.000184

            IF ([TRTAMI19] <> NULLORBLANK) AND (ANY CHARACTER OF [TRTAMI19] <> SET("a-z","A-Z","0-9","!","@","$","%","&","*","(",")","-","=","[","]",";",":","'",""",",",".","?","/"," "))
               RETURN VALIDATION MESSAGE
            ENDIF
      -->
    <assert id="VR.ATO.TRTAMI.000184" diagnostics="DVR.ATO.TRTAMI.000184"
          test="not(
                        $trtami19
                        [
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            not(matches(.,'^[a-zA-Z0-9!@$%&#x26;*()\-''=\[\];:&#x22;,.?\s/]*$'))
                        ]              
                    )"/>

    <!-- Rule ID: VR.ATO.TRTAMI.000185

          IF ([TRTAMI25] <> NULLORBLANK) AND ([TRTAMI25] CONTAINS SET("{","}","|","_","\","#"))
             RETURN VALIDATION MESSAGE
          ENDIF
    -->
    <assert id="VR.ATO.TRTAMI.000185" diagnostics="DVR.ATO.TRTAMI.000185"
            test="not(     
                        $trtami25
                        [
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            matches(.,'[{}|_\\#]')
                        ]    
                    )"/>

    <!-- Rule ID: VR.ATO.TRTAMI.000186

          IF ([TRTAMI26] <> NULLORBLANK) AND ([TRTAMI26] CONTAINS SET("{","}","|","_","\","#"))
              RETURN VALIDATION MESSAGE
          ENDIF
    -->
    <assert id="VR.ATO.TRTAMI.000186" diagnostics="DVR.ATO.TRTAMI.000186"
            test="not(     
                        $trtami26
                        [
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            matches(.,'[{}|_\\#]')
                        ]    
                    )"/>

    <!-- Rule ID: VR.ATO.TRTAMI.000187

          IF ([TRTAMI27] <> NULLORBLANK) AND ([TRTAMI27] CONTAINS SET("{","}","|","_","\","#"))
             RETURN VALIDATION MESSAGE
          ENDIF
    -->
    <assert id="VR.ATO.TRTAMI.000187" diagnostics="DVR.ATO.TRTAMI.000187"
            test="not(     
                        $trtami27
                        [
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            matches(.,'[{}|_\\#]')
                        ]    
                    )"/>

    <!-- Rule ID: VR.ATO.TRTAMI.000188

          IF ([TRTAMI28] <> NULLORBLANK) AND ([TRTAMI28] CONTAINS SET("{","}","|","_","\","#"))
             RETURN VALIDATION MESSAGE
          ENDIF
    -->
    <assert id="VR.ATO.TRTAMI.000188" diagnostics="DVR.ATO.TRTAMI.000188"
            test="not(     
                        $trtami28
                        [
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            matches(.,'[{}|_\\#]')
                        ]    
                    )"/>

    <!-- Rule ID: VR.ATO.TRTAMI.000189

          IF [TRTAMI33] <> "1" AND
              (
                [TRTAMI35] > 0 OR 
                [TRTAMI36] > 0 OR 
                [TRTAMI39] > 0 OR 
                [TRTAMI40] > 0 OR 
                ANY OCCURRENCE OF([TRTAMI82]) > 0
              )
                RETURN VALIDATION MESSAGE
          ENDIF   


      -->

    <assert id="VR.ATO.TRTAMI.000189" diagnostics="DVR.ATO.TRTAMI.000189"
            test="not(
                          $trtami33[. != 1]
                          and (
                            sum($trtami35) > 0
                            or
                            sum($trtami36) > 0
                            or
                            sum($trtami39) > 0
                            or
                            sum($trtami40) > 0
                            or
                            sum($trtami82) > 0
                          )
                       )"/>


    <!-- Rule ID: VR.ATO.TRTAMI.000190
        
          IF [TRTAMI33] <> "0" AND 
             (
               [TRTAMI35] = SET(0,NULL) AND 
               [TRTAMI36] = SET(0,NULL) AND 
               [TRTAMI39] = SET(0,NULL) AND 
               [TRTAMI40] = SET(0,NULL) AND 
               ALL OCCURRENCES OF([TRTAMI82]) = SET(0,NULL)
             )
              RETURN VALIDATION MESSAGE
          ENDIF     
      -->
    
    <assert id="VR.ATO.TRTAMI.000190" diagnostics="DVR.ATO.TRTAMI.000190"
            test="not(
                          $trtami33[. != 0]
                          and (
                            sum($trtami35) = 0
                            and
                            sum($trtami36) = 0
                            and
                            sum($trtami39) = 0
                            and
                            sum($trtami40) = 0
                            and
                            sum($trtami82) = 0
                          )
                       )"/>

    <!-- Rule ID: VR.ATO.GEN.430206
        
         IF (pyin.xx.xx:Report.CompletionHours.Number <> NULL) AND (pyin.xx.xx:Report.CompletionHours.Number <> SET (1-999))
           RETURN VALIDATION MESSAGE
        ENDIF
         
         [TRTAMI74] = pyin.xx.xx:Report.CompletionHours.Number
      -->
    <assert id="VR.ATO.GEN.430206" diagnostics="DVR.ATO.GEN.430206"
            test="not(
                          $trtami74[not(@i:nil='true')]
                          and
                          $trtami74[. &lt; 1 or . > 999]
                       )"/>

	  
	  <!-- Rule ID: VR.ATO.GEN.500069
        
        IF (pyin.xx.xx:Declaration.SignatoryIdentifier.Text <> NULLORBLANK) AND (ANY CHARACTER OF pyin.xx.xx:Declaration.SignatoryIdentifier.Text <> SET("a-z","A-Z","0-9","!","@","$","%","&","*","(",")","-","_","=","[","]",";",":","'",""",",",".","?","/"," "))
           RETURN VALIDATION MESSAGE
        ENDIF
        
        [TRTAMI89] = pyin.xx.xx:Declaration.Signatoryidentifier.Text	INT.T&C
		    [TRTAMI100] = pyin.xx.xx:Declaration.Signatoryidentifier.Text	RP.T&C
      -->
	  <assert id="VR.ATO.GEN.500069" diagnostics="DVR.ATO.GEN.500069"
			  test="not(
			  
						$trtami89
                        [
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            not(matches(.,'^[a-zA-Z0-9_!@$%&#x26;*()\-''=\[\];:&#x22;,.?\s/]*$'))
                        ] 
						or
						$trtami100
                        [
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            not(matches(.,'^[a-zA-Z0-9_!@$%&#x26;*()\-''=\[\];:&#x22;,.?\s/]*$'))
                        ] 
                       )"/>
	  

	  <!-- Rule ID: VR.ATO.GEN.500098
        
		IF (pyid.xx.xx:Identifiers.TaxAgentClientReference.Text <> NULLORBLANK) AND (ANY CHARACTER OF pyid.xx.xx:Identifiers.TaxAgentClientReference.Text <> SET("a-z","A-Z","0-9","!","@","$","%","&","*","(",")","-","=","[","]",";",":","'",""",",",".","?","/"," "))
       RETURN VALIDATION MESSAGE
    ENDIF
         
         [TRTAMI90] = pyid.xx.xx:Identifiers.TaxAgentClientReference.Text	
		 
      -->
	  <assert id="VR.ATO.GEN.500098" diagnostics="DVR.ATO.GEN.500098"
			  test="not(
			  
						$trtami90
                        [
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            not(matches(.,'^[a-zA-Z0-9!@$%&#x26;*()\-''=\[\];:&#x22;,.?\s/]*$'))
                        ] 
						
                       )"/>

    
    <!-- Rule ID: VR.ATO.GEN.500057
    
            IF (pyde.xx.xx:PersonUnstructuredName.FullName.Text CONTAINS  "" - "" )
              RETURN VALIDATION MESSAGE
            ENDIF
    -->
    <assert id="VR.ATO.GEN.500057" diagnostics="DVR.ATO.GEN.500057"
            test="not(     
                        $trtami83[matches(., '^(.*) - (.*)$')] 
                        or
                        $trtami94[matches(., '^(.*) - (.*)$')]
                    )"/>

    <!-- Rule ID: VR.ATO.GEN.500059
    
            IF (pyde.xx.xx:PersonNameDetails.Position.Text <> NULLORBLANK) AND (ANY CHARACTER OF pyde.xx.xx:PersonNameDetails.Position.Text <> SET("a-z","A-Z","0-9",""!"",""@"",""$"",""%"",""&"",""*"",""("","")"",""-"",""="",""["",""]"","";"","":"",""'"","""""","","",""."",""?"",""/"","" ""))
              RETURN VALIDATION MESSAGE
            ENDIF
    -->
    <assert id="VR.ATO.GEN.500059" diagnostics="DVR.ATO.GEN.500059"
          test="not(
                        $trtami84
                        [
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            not(matches(.,'^[a-zA-Z0-9!@$%&#x26;*()\-''=\[\];:&#x22;,.?\s/]*$'))
                        ]              
                        or
                        $trtami95
                        [
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            not(matches(.,'^[a-zA-Z0-9!@$%&#x26;*()\-''=\[\];:&#x22;,.?\s/]*$'))
                        ]              
                    )"/>

    <!-- Rule ID: VR.ATO.TRTAMI.000283
    
        IF ([TRTAMI14] <> NULLORBLANK) AND (ANY CHARACTER OF [TRTAMI14] <> SET("a-z","A-Z","0-9","!","@","$","%","&","*","(",")","-","=","[","]",";",":","'",""",",",".","?","/"," "))
           RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.TRTAMI.000283" diagnostics="DVR.ATO.TRTAMI.000283"
        test="not(
            $trtami14[
              not(@i:nil = 'true') and string-length(.) != 0
              and
              not(matches(., '^[a-zA-Z0-9!@$%&#x26;*()\-=\[\];:''&#x22;,.?\s/]*$'))
            ]
        )" />

    <!-- Rule ID: VR.ATO.TRTAMI.000284
    
        IF ([TRTAMI20] <> NULLORBLANK) AND (ANY CHARACTER OF [TRTAMI20] <> SET("a-z","A-Z","0-9","!","@","$","%","&","*","(",")","-","=","[","]",";",":","'",""",",",".","?","/"," "))
           RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.TRTAMI.000284" diagnostics="DVR.ATO.TRTAMI.000284"
        test="not(
            $trtami20[
              not(@i:nil = 'true') and string-length(.) != 0
              and
              not(matches(., '^[a-zA-Z0-9!@$%&#x26;*()\-=\[\];:''&#x22;,.?\s/]*$'))
            ]
        )" />

    <!-- Rule ID: VR.ATO.TRTAMI.000287
    
        IF ([TRTAMI101] <> NULLORBLANK) AND (ANY CHARACTER OF [TRTAMI101] <> SET("a-z","A-Z","0-9","!","@","$","%","&","*","(",")","-","=","[","]",";",":","'",""",",",".","?","/"," "))
           RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.TRTAMI.000287" diagnostics="DVR.ATO.TRTAMI.000287"
        test="not(
            $trtami101[
              not(@i:nil = 'true') and string-length(.) != 0
              and
              not(matches(., '^[a-zA-Z0-9!@$%&#x26;*()\-=\[\];:''&#x22;,.?\s/]*$'))
            ]
        )" />

    <!-- Rule ID: VR.ATO.TRTAMI.000247
    
        IF ([TRTAMI125] <> NULLORBLANK) AND (ANY CHARACTER OF [TRTAMI125] <> SET("a-z","A-Z","0-9","!","@","$","%","&","*","(",")","-","=","[","]",";",":","'",""",",",".","?","/"," "))
           RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.TRTAMI.000247" diagnostics="DVR.ATO.TRTAMI.000247"
        test="not(
            $trtami125[
              not(@i:nil = 'true') and string-length(.) != 0
              and
              not(matches(., '^[a-zA-Z0-9!@$%&#x26;*()\-=\[\];:''&#x22;,.?\s/]*$'))
            ]
        )" />

    <!-- Rule ID: VR.ATO.TRTAMI.000248
    
        IF [TRTAMI125] = FOUND("AS ABOVE")
           RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.TRTAMI.000248" diagnostics="DVR.ATO.TRTAMI.000248"
        test="not(
            $trtami125[
                matches(upper-case(.), '^AS ABOVE$') or
                matches(upper-case(.), ' AS ABOVE ') or
                matches(upper-case(.), '^AS ABOVE ') or
                matches(upper-case(.), ' AS ABOVE$')
                
            ]
        )" />

    <!-- Rule ID: VR.ATO.TRTAMI.000250
    
        IF ([TRTAMI125] <> NULLORBLANK) AND (([TRTAMI125] STARTSWITH "CO ") OR ([TRTAMI125] = FOUND("C/O","C/","Care Of")))
   RETURN VALIDATION MESSAGE
ENDIF
    -->
    <assert id="VR.ATO.TRTAMI.000250" diagnostics="DVR.ATO.TRTAMI.000250"
        test="not(
            $trtami125
            [
                not(@i:nil = 'true') and string-length(.) != 0
                and
                (
                matches(.,'^(\s*CO\s*)(.*)$','i') or
                matches(.,'^(\s*CO)(\s*)$','i') or
                matches(.,'^(C/O |C/ |Care Of)(.*)$','i') or
                matches(.,'^(.*)( C/O | C/ | Care Of)(.*)$','i') or
                matches(.,'^(.*)( C/O| C/| Care Of)$','i') or
                matches(.,'^(C/O|C/|Care Of)$','i')
                )
            ]
        )" />

    <!-- Rule ID: VR.ATO.TRTAMI.000251
    
        IF [TRTAMI125] CONTAINS "UNKNOWN"
           RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.TRTAMI.000251" diagnostics="DVR.ATO.TRTAMI.000251"
        test="not(
            $trtami125[
                matches(upper-case(.), '^(.*)UNKNOWN(.*)$')
            ]
        )" />

    <!-- Rule ID: VR.ATO.TRTAMI.000252
    
        IF ([TRTAMI126] <> NULLORBLANK) AND (ANY CHARACTER OF [TRTAMI126] <> SET("a-z","A-Z","0-9","!","@","$","%","&","*","(",")","-","=","[","]",";",":","'",""",",",".","?","/"," "))
           RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.TRTAMI.000252" diagnostics="DVR.ATO.TRTAMI.000252"
        test="not(
            $trtami126[
              not(@i:nil = 'true') and string-length(.) != 0
              and
              not(matches(., '^[a-zA-Z0-9!@$%&#x26;*()\-=\[\];:''&#x22;,.?\s/]*$'))
            ]
        )" />

    <!-- Rule ID: VR.ATO.TRTAMI.000253
    
        IF ([TRTAMI126] <> NULLORBLANK) 
        AND (([TRTAMI126] STARTSWITH "CO ") OR ([TRTAMI126] = FOUND("C/-","C/O","C/","Care Of")))
   RETURN VALIDATION MESSAGE
ENDIF
    -->
    <assert id="VR.ATO.TRTAMI.000253" diagnostics="DVR.ATO.TRTAMI.000253"
        test="not(
            $trtami126[
                not(@i:nil = 'true') and string-length(.) != 0
                and
                (
                matches(.,'^(\s*CO\s*)(.*)$','i') or
                matches(.,'^(\s*CO)(\s*)$','i') or
                matches(.,'^(C/- |C/O |C/ |Care Of)(.*)$','i') or
                matches(.,'^(.*)( C/- | C/O | C/ | Care Of)(.*)$','i') or
                matches(.,'^(.*)( C/-| C/O| C/| Care Of)$','i') or
                matches(.,'^(C/-|C/O|C/|Care Of)$','i')
                )
            ]
        )" />

    <!-- Rule ID: VR.ATO.TRTAMI.000254
    
        IF [TRTAMI126] CONTAINS "UNKNOWN"
           RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.TRTAMI.000254" diagnostics="DVR.ATO.TRTAMI.000254"
        test="not(
            $trtami126[
                matches(upper-case(.), '^(.*)UNKNOWN(.*)$')
            ]
        )" />

    <!-- Rule ID: VR.ATO.TRTAMI.000285
    
        IF ([TRTAMI127] <> NULLORBLANK) AND (ANY CHARACTER OF [TRTAMI127] <> SET("a-z","A-Z","0-9","!","@","$","%","&","*","(",")","-","=","[","]",";",":","'",""",",",".","?","/"," "))
           RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.TRTAMI.000285" diagnostics="DVR.ATO.TRTAMI.000285"
        test="not(
            $trtami127[
              not(@i:nil = 'true') and string-length(.) != 0
              and
              not(matches(., '^[a-zA-Z0-9!@$%&#x26;*()\-=\[\];:''&#x22;,.?\s/]*$'))
            ]
        )" />

    <!-- Rule ID: VR.ATO.TRTAMI.000257
    
        IF [TRTAMI127] CONTAINS "UNKNOWN"
           RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.TRTAMI.000257" diagnostics="DVR.ATO.TRTAMI.000257"
        test="not(
            $trtami127[
                matches(upper-case(.), '^(.*)UNKNOWN(.*)$')
            ]
        )" />

    <!-- Rule ID: VR.ATO.TRTAMI.000266
    
        IF ([TRTAMI131] <> NULLORBLANK) AND (ANY CHARACTER OF [TRTAMI131] <> SET("a-z","A-Z","0-9","!","@","$","%","&","*","(",")","-","=","[","]",";",":","'",""",",",".","?","/"," "))
           RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.TRTAMI.000266" diagnostics="DVR.ATO.TRTAMI.000266"
        test="not(
            $trtami131[
              not(@i:nil = 'true') and string-length(.) != 0
              and
              not(matches(., '^[a-zA-Z0-9!@$%&#x26;*()\-=\[\];:''&#x22;,.?\s/]*$'))
            ]
        )" />

    <!-- Rule ID: VR.ATO.TRTAMI.000267
    
        IF [TRTAMI131] = FOUND("AS ABOVE")
           RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.TRTAMI.000267" diagnostics="DVR.ATO.TRTAMI.000267"
        test="not(
            $trtami131[
                matches(upper-case(.), '^AS ABOVE$') or
                matches(upper-case(.), ' AS ABOVE ') or
                matches(upper-case(.), '^AS ABOVE ') or
                matches(upper-case(.), ' AS ABOVE$')
            ]
        )" />

    <!-- Rule ID: VR.ATO.TRTAMI.000269
    
        IF ([TRTAMI131] <> NULLORBLANK) AND (([TRTAMI131] STARTSWITH "CO ") OR ([TRTAMI131] = FOUND("C/O","C/","Care Of")))
       RETURN VALIDATION MESSAGE
      ENDIF
    -->
    <assert id="VR.ATO.TRTAMI.000269" diagnostics="DVR.ATO.TRTAMI.000269"
        test="not(
            $trtami131[
            not(@i:nil = 'true') and string-length(.) != 0
                and
                (
                matches(.,'^(\s*CO\s*)(.*)$','i') or
                matches(.,'^(\s*CO)(\s*)$','i') or
                matches(.,'^(C/O |C/ |Care Of)(.*)$','i') or
                matches(.,'^(.*)( C/O | C/ | Care Of)(.*)$','i') or
                matches(.,'^(.*)( C/O| C/| Care Of)$','i') or
                matches(.,'^(C/O|C/|Care Of)$','i')
                )
            ]
        )" />

    <!-- Rule ID: VR.ATO.TRTAMI.000270
    
        IF [TRTAMI131] CONTAINS "UNKNOWN"
           RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.TRTAMI.000270" diagnostics="DVR.ATO.TRTAMI.000270"
        test="not(
            $trtami131[
                matches(upper-case(.), '^(.*)UNKNOWN(.*)$')
            ]
        )" />

    <!-- Rule ID: VR.ATO.TRTAMI.000271
    
        IF ([TRTAMI132] <> NULLORBLANK) AND (ANY CHARACTER OF [TRTAMI132] <> SET("a-z","A-Z","0-9","!","@","$","%","&","*","(",")","-","=","[","]",";",":","'",""",",",".","?","/"," "))
           RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.TRTAMI.000271" diagnostics="DVR.ATO.TRTAMI.000271"
        test="not(
            $trtami132[
              not(@i:nil = 'true') and string-length(.) != 0
              and
              not(matches(., '^[a-zA-Z0-9!@$%&#x26;*()\-=\[\];:''&#x22;,.?\s/]*$'))
            ]
        )" />

    <!-- Rule ID: VR.ATO.TRTAMI.000272
    
        IF ([TRTAMI132] <> NULLORBLANK) 
        AND (([TRTAMI132] STARTSWITH "CO ") OR ([TRTAMI132] = FOUND("C/-","C/O","C/","Care Of")))
   RETURN VALIDATION MESSAGE
ENDIF
    -->
    <assert id="VR.ATO.TRTAMI.000272" diagnostics="DVR.ATO.TRTAMI.000272"
        test="not(
            $trtami132[
            not(@i:nil = 'true') and string-length(.) != 0
                and
                (
                matches(.,'^(\s*CO\s*)(.*)$','i') or
                matches(.,'^(\s*CO)(\s*)$','i') or
                matches(.,'^(C/- |C/O |C/ |Care Of)(.*)$','i') or
                matches(.,'^(.*)( C/- | C/O | C/ | Care Of)(.*)$','i') or
                matches(.,'^(.*)( C/-| C/O| C/| Care Of)$','i') or
                matches(.,'^(C/-|C/O|C/|Care Of)$','i')
                )
            ]
        )" />

    <!-- Rule ID: VR.ATO.TRTAMI.000273
    
        IF [TRTAMI132] CONTAINS "UNKNOWN"
           RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.TRTAMI.000273" diagnostics="DVR.ATO.TRTAMI.000273"
        test="not(
            $trtami132[
                matches(upper-case(.), '^(.*)UNKNOWN(.*)$')
            ]
        )" />

    <!-- Rule ID: VR.ATO.TRTAMI.000286
    
        IF ([TRTAMI133] <> NULLORBLANK) AND (ANY CHARACTER OF [TRTAMI133] <> SET("a-z","A-Z","0-9","!","@","$","%","&","*","(",")","-","=","[","]",";",":","'",""",",",".","?","/"," "))
           RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.TRTAMI.000286" diagnostics="DVR.ATO.TRTAMI.000286"
        test="not(
            $trtami133[
              not(@i:nil = 'true') and string-length(.) != 0
              and
              not(matches(., '^[a-zA-Z0-9!@$%&#x26;*()\-=\[\];:''&#x22;,.?\s/]*$'))
            ]
        )" />

    <!-- Rule ID: VR.ATO.TRTAMI.000276
    
        IF [TRTAMI133] CONTAINS "UNKNOWN"
           RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.TRTAMI.000276" diagnostics="DVR.ATO.TRTAMI.000276"
        test="not(
            $trtami133[
                matches(upper-case(.), '^(.*)UNKNOWN(.*)$')
            ]
        )" />


    
    <!-- Rule ID: VR.ATO.TRTAMI.000292
    
      IF COUNT([TRTAMI139]) > 10
         RETURN VALIDATION MESSAGE
      ENDIF
    -->
    <assert id="VR.ATO.TRTAMI.000292" diagnostics="DVR.ATO.TRTAMI.000292"
						test="not(
           
												count($trtami139[not(@i:nil='true')]) > 10
										 )"/>

    <!-- Rule ID: VR.ATO.TRTAMI.000293
    
      IF ANY OCCURRENCE OF([TRTAMI139]) <> NULL AND ABNALGORITHM([TRTAMI139]) = FALSE
         RETURN VALIDATION MESSAGE
      ENDIF
    -->
    <assert id="VR.ATO.TRTAMI.000293" diagnostics="DVR.ATO.TRTAMI.000293"
						test="not(
           
												count($trtami139[not(@i:nil='true') and not(function:ValidateABN(.))]) > 0
                        
										 )"/>
    
    
    <!-- Rule ID: VR.ATO.TRTAMI.000298
    
      IF  [TRTAMI140] <> NULL AND [TRTAMI140] <> MONETARY(U,11,0)
         RETURN VALIDATION MESSAGE
      ENDIF
    -->
    <assert id="VR.ATO.TRTAMI.000298" diagnostics="DVR.ATO.TRTAMI.000298"
						test="not(
												$trtami140[
                                  not(@i:nil='true')
                                  and
                                  not(matches(.,'^[0-9]{1,11}$'))
                                 ]
										 )"/>


    <!-- Rule ID: VR.ATO.TRTAMI.000300
    
      IF [TRTAMI141] <> NULL AND [TRTAMI141] = "Over 2.0%"
         RETURN VALIDATION MESSAGE
      ENDIF
    -->
    <assert id="VR.ATO.TRTAMI.000300" diagnostics="DVR.ATO.TRTAMI.000300"
						test="not(
												$trtami141[
                                  not(@i:nil='true')
                                  and
                                  matches(.,'^Over 2\.0%$')
                                 ]
										 )"/>

    <!-- Rule ID: VR.ATO.TRTAMI.000302
    
      IF  [TRTAMI142] <> NULL AND [TRTAMI142] <> MONETARY(U,11,0)
         RETURN VALIDATION MESSAGE
      ENDIF
    -->
    <assert id="VR.ATO.TRTAMI.000302" diagnostics="DVR.ATO.TRTAMI.000302"
						test="not(
												$trtami142[
                                  not(@i:nil='true')
                                  and
                                  not(matches(.,'^[0-9]{1,11}$'))
                                 ]
										 )"/>


    <!-- Rule ID: VR.ATO.TRTAMI.000310
    
        IF ([TRTAMI143] <> NULLORBLANK) AND (ANY CHARACTER OF [TRTAMI143] <> SET("a-z","A-Z","0-9","!","@","$","%","&","*","(",")","-","=","[","]",";",":","'",""",",",".","?","/"," "))
           RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.TRTAMI.000310" diagnostics="DVR.ATO.TRTAMI.000310"
        test="not(
            $trtami143[
              not(@i:nil = 'true') and string-length(.) != 0
              and
              not(matches(., '^[a-zA-Z0-9!@$%&#x26;*()\-=\[\];:''&#x22;,.?\s/]*$'))
            ]
        )" />
    

    <!-- Rule ID: VR.ATO.TRTAMI.000311
    
        IF ([TRTAMI144] <> NULLORBLANK) AND (ANY CHARACTER OF [TRTAMI144] <> SET("a-z","A-Z","0-9","!","@","$","%","&","*","(",")","-","=","[","]",";",":","'",""",",",".","?","/"," "))
           RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.TRTAMI.000311" diagnostics="DVR.ATO.TRTAMI.000311"
        test="not(
            $trtami144[
              not(@i:nil = 'true') and string-length(.) != 0
              and
              not(matches(., '^[a-zA-Z0-9!@$%&#x26;*()\-=\[\];:''&#x22;,.?\s/]*$'))
            ]
        )" />
    
	</rule>
  
  <!-- LOOP OVER REPORTING PARTY SOA SEQUENCE CONTEXT -->
  <rule context="xbrli:xbrl/xbrli:context[@id = $RPSOA.ContextId]">
    <let name="thisContextId" value="@id" />

    <!-- Rule ID: VR.ATO.TRTAMI.000122

          IF ([TRTAMI77] <> NULLORBLANK) AND ([TRTAMI77] DOES NOT CONTAIN SET("A-Z","a-z"))
             RETURN VALIDATION MESSSAGE
          ENDIF
        -->
    <assert id="VR.ATO.TRTAMI.000122" diagnostics="DVR.ATO.TRTAMI.000122"
          test="not(
                        $trtami77
                        [
                            (
                              not(@i:nil='true') and string-length(.) != 0
                              and
                              not(matches(.,'^(.*)[a-zA-Z](.*)$'))
                            )
                            and @contextRef = $thisContextId
                        ]                        
                      )"/>

    <!-- Rule ID: VR.ATO.TRTAMI.000123

          IF ([TRTAMI77] = FOUND("Exec for","Rep for","Trustee for"))
             RETURN VALIDATION MESSAGE
          ENDIF
          
    -->
    <assert id="VR.ATO.TRTAMI.000123" diagnostics="DVR.ATO.TRTAMI.000123"
            test="not(
                        $trtami77
                        [
                            (
                              matches(.,'^(Exec for |Rep for |Trustee for )(.*)$','i') or
                              matches(.,'^(.*)( Exec for | Rep for | Trustee for )(.*)$','i') or
                              matches(.,'^(.*)( Exec for| Rep for| Trustee for)$','i') or
                              matches(.,'^(Exec for|Rep for|Trustee for)$','i')
                            )
                            and @contextRef = $thisContextId
                        ]
                     )"/>

    <!-- Rule ID: VR.ATO.TRTAMI.000124
    
          IF ([TRTAMI77] = FOUND("MR","MRS","MISS","MS"))
             RETURN VALIDATION MESSAGE
          ENDIF
        
      -->
    <assert id="VR.ATO.TRTAMI.000124" diagnostics="DVR.ATO.TRTAMI.000124"
          test="not(
                        $trtami77
                        [
                            (
                              matches(.,'^(MR |MRS |MISS |MS )(.*)$','i') or
                              matches(.,'^(.*)( MR | MRS | MISS | MS )(.*)$','i') or
                              matches(.,'^(.*)( MR| MRS| MISS| MS)$','i') or
                              matches(.,'^(MR|MRS|MISS|MS)$','i')
                            )
                            and @contextRef = $thisContextId
                        ]
                     )"/>

    <!-- Rule ID: VR.ATO.TRTAMI.000125

          IF ([TRTAMI77] = FOUND("ESQ","II","III","IV","JNR","JP","MHA","MHR","MLA","MLC","MP","QC","SNR"))
              RETURN VALIDATION MESSAGE
          ENDIF
          
      -->
    <assert id="VR.ATO.TRTAMI.000125" diagnostics="DVR.ATO.TRTAMI.000125"
          test="not(
                        $trtami77
                        [
                            (
                              matches(.,'^(ESQ |II |III |IV |JNR |JP |MHA |MHR |MLA |MLC |MP |QC |SNR )(.*)$','i') or
                              matches(.,'^(.*)( ESQ | II | III | IV | JNR | JP | MHA | MHR | MLA | MLC | MP | QC | SNR )(.*)$','i') or
                              matches(.,'^(.*)( ESQ| II| III| IV| JNR| JP| MHA| MHR| MLA| MLC| MP| QC| SNR)$','i') or
                              matches(.,'^(ESQ|II|III|IV|JNR|JP|MHA|MHR|MLA|MLC|MP|QC|SNR)$','i')
                            )
                            and @contextRef = $thisContextId
                        ]
                     )"/>

    <!-- Rule ID: VR.ATO.TRTAMI.000126

          IF ([TRTAMI77] CONTAINS " - ")
             RETURN VALIDATION MESSAGE
          ENDIF
      -->
    <assert id="VR.ATO.TRTAMI.000126" diagnostics="DVR.ATO.TRTAMI.000126"
            test="not(
                           $trtami77[matches(.,'^(.*) - (.*)$') and @contextRef = $thisContextId]
                       )"/>

    <!-- Rule ID: VR.ATO.TRTAMI.000127
          IF ([TRTAMI77] CONTAINS SET("-_-","''","  "))
             RETURN VALIDATION MESSAGE
          ENDIF
          
      -->
    
    <assert id="VR.ATO.TRTAMI.000127" diagnostics="DVR.ATO.TRTAMI.000127"
            test="not(
                        $trtami77[matches(.,'^(.*)(--|('')('')|  )(.*)$') and @contextRef = $thisContextId]
                      )"/>

    <!-- Rule ID: VR.ATO.TRTAMI.000128

          IF ([TRTAMI78] <> NULLORBLANK) AND ([TRTAMI78] DOES NOT CONTAIN SET("A-Z","a-z"))
              RETURN VALIDATION MESSSAGE
          ENDIF
        -->
    <assert id="VR.ATO.TRTAMI.000128" diagnostics="DVR.ATO.TRTAMI.000128"
          test="not(
                        $trtami78
                        [
                            (
                              not(@i:nil='true') and string-length(.) != 0
                              and
                              not(matches(.,'^(.*)[a-zA-Z](.*)$'))
                            )
                            and @contextRef = $thisContextId
                        ]                        
                      )"/>

    <!-- Rule ID: VR.ATO.TRTAMI.000129

          IF ([TRTAMI78] = FOUND("ESQ","II","III","IV","JNR","JP","MHA","MHR","MLA","MLC","MP","QC","SNR"))
             RETURN VALIDATION MESSAGE
          ENDIF
      -->
    <assert id="VR.ATO.TRTAMI.000129" diagnostics="DVR.ATO.TRTAMI.000129"
          test="not(
                        $trtami78
                        [
                            (
                              matches(.,'^(ESQ |II |III |IV |JNR |JP |MHA |MHR |MLA |MLC |MP |QC |SNR )(.*)$','i') or
                              matches(.,'^(.*)( ESQ | II | III | IV | JNR | JP | MHA | MHR | MLA | MLC | MP | QC | SNR )(.*)$','i') or
                              matches(.,'^(.*)( ESQ| II| III| IV| JNR| JP| MHA| MHR| MLA| MLC| MP| QC| SNR)$','i') or
                              matches(.,'^(ESQ|II|III|IV|JNR|JP|MHA|MHR|MLA|MLC|MP|QC|SNR)$','i')
                            )
                            and @contextRef = $thisContextId
                        ]
                     )"/>

    <!-- Rule ID: VR.ATO.TRTAMI.000130

          IF ([TRTAMI78] = FOUND("Exec for","Rep for","Trustee for"))
             RETURN VALIDATION MESSAGE
          ENDIF
          
    -->
    <assert id="VR.ATO.TRTAMI.000130" diagnostics="DVR.ATO.TRTAMI.000130"
            test="not(
                        $trtami78
                        [
                            (
                              matches(.,'^(Exec for |Rep for |Trustee for )(.*)$','i') or
                              matches(.,'^(.*)( Exec for | Rep for | Trustee for )(.*)$','i') or
                              matches(.,'^(.*)( Exec for| Rep for| Trustee for)$','i') or
                              matches(.,'^(Exec for|Rep for|Trustee for)$','i')
                            )
                            and @contextRef = $thisContextId
                        ]
                     )"/>

    <!-- Rule ID: VR.ATO.TRTAMI.000131
    
          IF ([TRTAMI78] = FOUND("MR","MRS","MISS","MS"))
             RETURN VALIDATION MESSAGE
          ENDIF    
        
      -->
    <assert id="VR.ATO.TRTAMI.000131" diagnostics="DVR.ATO.TRTAMI.000131"
          test="not(
                        $trtami78
                        [
                            (
                              matches(.,'^(MR |MRS |MISS |MS )(.*)$','i') or
                              matches(.,'^(.*)( MR | MRS | MISS | MS )(.*)$','i') or
                              matches(.,'^(.*)( MR| MRS| MISS| MS)$','i') or
                              matches(.,'^(MR|MRS|MISS|MS)$','i')
                            )
                            and @contextRef = $thisContextId
                        ]
                     )"/>

    <!-- Rule ID: VR.ATO.TRTAMI.000132
    
          IF ([TRTAMI79] <> NULLORBLANK) AND ([TRTAMI78] = NULLORBLANK)
             RETURN VALIDATION MESSAGE
          ENDIF
    -->
    <assert id="VR.ATO.TRTAMI.000132" diagnostics="DVR.ATO.TRTAMI.000132"
            test="not(
                        $trtami79[not(@i:nil='true') and string-length(.) != 0 and @contextRef = $thisContextId]
                        and
                        not($trtami78[not(@i:nil='true') and string-length(.) != 0 and @contextRef = $thisContextId])
                     )" />

    <!-- Rule ID: VR.ATO.TRTAMI.000133

          IF ([TRTAMI78] CONTAINS " - ")
              RETURN VALIDATION MESSAGE
          ENDIF
      -->
    <assert id="VR.ATO.TRTAMI.000133" diagnostics="DVR.ATO.TRTAMI.000133"
            test="not(
                           $trtami78[matches(.,'^(.*) - (.*)$') and @contextRef = $thisContextId]
                       )"/>

    <!-- Rule ID: VR.ATO.TRTAMI.000134
    
          IF ([TRTAMI78] CONTAINS SET("-_-","''","  "))
            RETURN VALIDATION MESSAGE
          ENDIF
          
      -->
    <assert id="VR.ATO.TRTAMI.000134" diagnostics="DVR.ATO.TRTAMI.000134"
            test="not(
                        $trtami78[matches(.,'^(.*)(--|('')('')|  )(.*)$') and @contextRef = $thisContextId]
                      )"/>

    <!-- Rule ID: VR.ATO.TRTAMI.000135
         
          IF ([TRTAMI79] <> NULLORBLANK) AND ([TRTAMI79] DOES NOT CONTAIN SET("A-Z","a-z"))
             RETURN VALIDATION MESSAGE
          ENDIF
        -->
    <assert id="VR.ATO.TRTAMI.000135" diagnostics="DVR.ATO.TRTAMI.000135"
          test="not(
                        $trtami79
                        [
                            (
                              not(@i:nil='true') and string-length(.) != 0
                              and
                              not(matches(.,'^(.*)[a-zA-Z](.*)$'))
                            )
                            and @contextRef = $thisContextId
                        ]                        
                      )"/>


    <!-- Rule ID: VR.ATO.TRTAMI.000136
    
          IF ([TRTAMI79] = FOUND("ESQ","II","III","IV","JNR","JP","MHA","MHR","MLA","MLC","MP","QC","SNR"))
             RETURN VALIDATION MESSAGE
          ENDIF
      -->
    <assert id="VR.ATO.TRTAMI.000136" diagnostics="DVR.ATO.TRTAMI.000136"
          test="not(
                        $trtami79
                        [
                            (
                              matches(.,'^(ESQ |II |III |IV |JNR |JP |MHA |MHR |MLA |MLC |MP |QC |SNR )(.*)$','i') or
                              matches(.,'^(.*)( ESQ | II | III | IV | JNR | JP | MHA | MHR | MLA | MLC | MP | QC | SNR )(.*)$','i') or
                              matches(.,'^(.*)( ESQ| II| III| IV| JNR| JP| MHA| MHR| MLA| MLC| MP| QC| SNR)$','i') or
                              matches(.,'^(ESQ|II|III|IV|JNR|JP|MHA|MHR|MLA|MLC|MP|QC|SNR)$','i')
                            )
                            and @contextRef = $thisContextId
                        ]
                     )"/>

    <!-- Rule ID: VR.ATO.TRTAMI.000137
    
          IF ([TRTAMI79] = FOUND("Exec for","Rep for","Trustee for"))
             RETURN VALIDATION MESSAGE
          ENDIF
    -->
    <assert id="VR.ATO.TRTAMI.000137" diagnostics="DVR.ATO.TRTAMI.000137"
            test="not(
                        $trtami79
                        [
                            (
                              matches(.,'^(Exec for |Rep for |Trustee for )(.*)$','i') or
                              matches(.,'^(.*)( Exec for | Rep for | Trustee for )(.*)$','i') or
                              matches(.,'^(.*)( Exec for| Rep for| Trustee for)$','i') or
                              matches(.,'^(Exec for|Rep for|Trustee for)$','i')
                            )
                            and @contextRef = $thisContextId
                        ]
                     )"/>

    <!-- Rule ID: VR.ATO.TRTAMI.000138
            IF ([TRTAMI79] = FOUND("MR","MRS","MISS","MS"))
             RETURN VALIDATION MESSAGE
            ENDIF
        
      -->
    <assert id="VR.ATO.TRTAMI.000138" diagnostics="DVR.ATO.TRTAMI.000138"
          test="not(
                        $trtami79
                        [
                            (
                              matches(.,'^(MR |MRS |MISS |MS )(.*)$','i') or
                              matches(.,'^(.*)( MR | MRS | MISS | MS )(.*)$','i') or
                              matches(.,'^(.*)( MR| MRS| MISS| MS)$','i') or
                              matches(.,'^(MR|MRS|MISS|MS)$','i')
                            )
                            and @contextRef = $thisContextId
                        ]
                     )"/>


    <!-- Rule ID: VR.ATO.TRTAMI.000139
          IF ([TRTAMI79] CONTAINS " - ")
             RETURN VALIDATION MESSAGE
          ENDIF
      -->
    <assert id="VR.ATO.TRTAMI.000139" diagnostics="DVR.ATO.TRTAMI.000139"
            test="not(
                           $trtami79[matches(.,'^(.*) - (.*)$') and @contextRef = $thisContextId]
                       )"/>

    <!-- Rule ID: VR.ATO.TRTAMI.000140
          IF ([TRTAMI79] CONTAINS SET("-_-","''","  "))
            RETURN VALIDATION MESSAGE
          ENDIF
          
          [TRTAMI79] = pyde.02.00:PersonNameDetails.OtherGivenName.Text
          
      -->
    <assert id="VR.ATO.TRTAMI.000140" diagnostics="DVR.ATO.TRTAMI.000140"
            test="not(
                        $trtami79[matches(.,'^(.*)(--|('')('')|  )(.*)$') and @contextRef = $thisContextId]
                      )"/>


	  <!-- Rule ID: VR.ATO.TRTAMI.000141
          
      WHERE IN CONTEXT(RP.{SoASeqNum})
			IF ([TRTAMI81] <> NULL) AND ([TRTAMI77] = NULLORBLANK) AND ([TRTAMI80] = NULLORBLANK)
				RETURN VALIDATION MESSAGE
			ENDIF
          
          [TRTAMI77] = pyde.xx.xx:PersonNameDetails.FamilyName.Text
          [TRTAMI80] = pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text
          [TRTAMI81] = rvctc1.xx.xx:IncomeTax.AssessmentCalculation.Code
          
          
      -->
	  <assert id="VR.ATO.TRTAMI.000141" diagnostics="DVR.ATO.TRTAMI.000141"
			  test="not(
                        $trtami81[not(@i:nil='true') and @contextRef = $thisContextId]
                        and 
						not($trtami77[not(@i:nil='true') and string-length(.) != 0 and @contextRef = $thisContextId])
						and
						not($trtami80[not(@i:nil='true') and string-length(.) != 0 and @contextRef = $thisContextId])
						
                      )"/>
	  

    <!-- Rule ID: VR.ATO.TRTAMI.000142
          
		      WHERE IN CONTEXT(RP.{SoASeqNum})
          IF ([TRTAMI80] <> NULLORBLANK) AND ([TRTAMI76] <> NULL OR [TRTAMI77] <> NULLORBLANK OR [TRTAMI78] <> NULLORBLANK OR [TRTAMI79] <> NULLORBLANK OR [TRTAMI124] <> NULL)
             RETURN VALIDATION MESSAGE
          ENDIF
		  
          [TRTAMI76]  = pyde.02.00:PersonNameDetails.Title.Text	
          [TRTAMI77]  = pyde.02.00:PersonNameDetails.FamilyName.Text
          [TRTAMI78]  = pyde.02.00:PersonNameDetails.GivenName.Text
          [TRTAMI79]  = pyde.02.00:PersonNameDetails.OtherGivenName.Text
          [TRTAMI80]  = pyde.02.00:OrganisationNameDetails.OrganisationalName.Text
          [TRTAMI124] = pyde.02.00:PersonDemographicDetails.Birth.Date
      -->
    <assert id="VR.ATO.TRTAMI.000142" diagnostics="DVR.ATO.TRTAMI.000142"
            test="not(
                        $trtami80[not(@i:nil='true') and string-length(.) != 0 and @contextRef = $thisContextId]
                        and (
                          $trtami76[not(@i:nil='true') and @contextRef = $thisContextId]
                          or
                          $trtami77[not(@i:nil='true') and string-length(.) != 0 and @contextRef = $thisContextId]
                          or
                          $trtami78[not(@i:nil='true') and string-length(.) != 0 and @contextRef = $thisContextId]
                          or
                          $trtami79[not(@i:nil='true') and string-length(.) != 0 and @contextRef = $thisContextId]
                          or
                          $trtami124[not(@i:nil='true') and @contextRef = $thisContextId]
                        )
                      )"/>

    <!-- Rule ID: VR.ATO.TRTAMI.000143
          IF ([TRTAMI80] <> NULLORBLANK) AND ([TRTAMI80] DOES NOT CONTAIN SET("a-z", "A-Z", "0-9"))
             RETURN VALIDATION MESSAGE
          ENDIF
      -->
    <assert id="VR.ATO.TRTAMI.000143" diagnostics="DVR.ATO.TRTAMI.000143"
            test="not(
                        $trtami80
                        [
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            not(matches(.,'^(.*)[a-zA-Z0-9](.*)$'))
                            and 
                            @contextRef = $thisContextId
                        ]                            
                      )"/>

    <!-- Rule ID: VR.ATO.TRTAMI.000144

          IF ([TRTAMI80] CONTAINS " - ")
             RETURN VALIDATION MESSAGE
          ENDIF
      -->
    <assert id="VR.ATO.TRTAMI.000144" diagnostics="DVR.ATO.TRTAMI.000144"
            test="not(
                           $trtami80[matches(.,'^(.*) - (.*)$') and @contextRef = $thisContextId]
                       )"/>

    <!-- Rule ID: VR.ATO.TRTAMI.000145
    
          IF ([TRTAMI80] CONTAINS "P/L")
             RETURN VALIDATION MESSAGE
          ENDIF

    -->
    <assert  id="VR.ATO.TRTAMI.000145" diagnostics="DVR.ATO.TRTAMI.000145"
             test="not(
                        $trtami80[matches(upper-case(.),'^(.*)(P/L)(.*)$') and @contextRef = $thisContextId]
                      )"/>

    <!-- Rule ID: VR.ATO.TRTAMI.000146
          IF ([TRTAMI80] CONTAINS SET("-_-","''","  "))
             RETURN VALIDATION MESSAGE
          ENDIF
        -->
    <assert id="VR.ATO.TRTAMI.000146" diagnostics="DVR.ATO.TRTAMI.000146"
          test="not(                         
                         $trtami80[matches(.,'^(.*)(--|('')('')|  )(.*)$') and @contextRef = $thisContextId]
                     )"/>


    <!-- Rule ID: VR.ATO.TRTAMI.000147
          IF ([TRTAMI80] STARTSWITH "T/A ") AND ([TRTAMI80] ENDSWITH SET(" Pship"," P'ship"," P/ship"))
             RETURN VALIDATION MESSAGE
          ENDIF
    -->
    <assert id="VR.ATO.TRTAMI.000147" diagnostics="DVR.ATO.TRTAMI.000147"
             test="not(
                        $trtami80[
                          matches(.,'^(T/A )(.*)$', 'i') 
                          and 
                          matches(.,'^(.*)( Pship| P''ship| P/ship)$', 'i')
                          and @contextRef = $thisContextId
                        ]
                       )"/>

    <!-- Rule ID: VR.ATO.TRTAMI.000149
         ELS Ref: V137D
    
        IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text ENDSWITH SET(" T/A"," T/A P'ship"," T/A Pship"," T/A P/Ship"," T/A Partnership"))
          RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert  id="VR.ATO.TRTAMI.000149" diagnostics="DVR.ATO.TRTAMI.000149"
             test="not(
                        $trtami80[matches(.,'^(.*)( T/A| T/A Pship| T/A P''ship| T/A P/ship| T/A Partnership)$', 'i') and @contextRef = $thisContextId]
                       )" />


    <!-- Rule ID: VR.ATO.TRTAMI.000148 removed for CR2900 | INC000029748406     
    -->


    <!-- Rule ID: VR.ATO.TRTAMI.000171
          WHERE IN CONTEXT(RP.{SoA
          SeqNum})
          IF [TRTAMI81] <> NULL AND [TRTAMI82] = NULL
             RETURN VALIDATION MESSAGE
          ENDIF
    -->
    <assert id="VR.ATO.TRTAMI.000171" diagnostics="DVR.ATO.TRTAMI.000171"
            test="not(
                        $trtami81[not(@i:nil='true') and @contextRef = $thisContextId]
                        and
                        not($trtami82[not(@i:nil='true') and @contextRef = $thisContextId])
                     )" />

    <!-- Rule ID: VR.ATO.TRTAMI.000193
    
          IF ([TRTAMI77] <> NULLORBLANK) AND ([TRTAMI77] CONTAINS SET("{","}","|","_","\","#"))
             RETURN VALIDATION MESSAGE
          ENDIF 
    -->
    <assert id="VR.ATO.TRTAMI.000193" diagnostics="DVR.ATO.TRTAMI.000193"
            test="not(     
                        $trtami77
                        [
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            matches(.,'[{}|_\\#]')
                            and @contextRef = $thisContextId
                        ]    
                    )"/>

    <!-- Rule ID: VR.ATO.TRTAMI.000194
    
          IF ([TRTAMI78] <> NULLORBLANK) AND ([TRTAMI78] CONTAINS SET("{","}","|","_","\","#"))
             RETURN VALIDATION MESSAGE
          ENDIF  
    -->
    <assert id="VR.ATO.TRTAMI.000194" diagnostics="DVR.ATO.TRTAMI.000194"
            test="not(     
                        $trtami78
                        [
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            matches(.,'[{}|_\\#]')
                            and @contextRef = $thisContextId
                        ]    
                    )"/>

    <!-- Rule ID: VR.ATO.TRTAMI.000195
          IF ([TRTAMI79] <> NULLORBLANK) AND ([TRTAMI79] CONTAINS SET("{","}","|","_","\","#"))
             RETURN VALIDATION MESSAGE
          ENDIF
    -->
    <assert id="VR.ATO.TRTAMI.000195" diagnostics="DVR.ATO.TRTAMI.000195"
            test="not(     
                        $trtami79
                        [
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            matches(.,'[{}|_\\#]')
                            and @contextRef = $thisContextId
                        ]    
                    )"/>

    <!-- Rule ID: VR.ATO.TRTAMI.000196
    
          IF ([TRTAMI80] <> NULLORBLANK) AND ([TRTAMI80] CONTAINS SET("{","}","|","_","\","#"))
             RETURN VALIDATION MESSAGE
          ENDIF
    -->
    <assert id="VR.ATO.TRTAMI.000196" diagnostics="DVR.ATO.TRTAMI.000196"
            test="not(     
                        $trtami80
                        [
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            matches(.,'[{}|_\\#]')
                            and @contextRef = $thisContextId
                        ]    
                    )"/>

    <!-- Rule ID: VR.ATO.TRTAMI.000197
          WHERE IN CONTEXT(RP.{SoASeqNum})
          IF [TRTAMI82] > 0 AND [TRTAMI81] = NULL
             RETURN VALIDATION MESSAGE
          ENDIF
    -->
    <assert id="VR.ATO.TRTAMI.000197" diagnostics="DVR.ATO.TRTAMI.000197"
            test="not(
                        sum($trtami82[@contextRef = $thisContextId]) > 0
                        and
                        not($trtami81[not(@i:nil='true') and @contextRef = $thisContextId])
                     )" />


    <!-- Rule ID: VR.ATO.TRTAMI.000121
           ELS Ref: N/A
           
          IF ([TRTAMI76] <> NULLORBLANK) AND ANY OCCURRENCE OF([TRTAMI76]) <> SET(DOMAIN(TITLE CODES))
            RETURN VALIDATION MESSAGE
          ENDIF             
      -->
    
    <let name="thisTrtami76" value="$trtami76[@contextRef = $thisContextId]" />

    <assert id="VR.ATO.TRTAMI.000121" diagnostics="DVR.ATO.TRTAMI.000121"
            test="not(    $trtami76[not(@i:nil='true') and string-length(.) != 0 and @contextRef = $thisContextId]
                          and 
                          not(
                                upper-case($thisTrtami76) = '2LT' or
                                upper-case($thisTrtami76) = 'AB' or
                                upper-case($thisTrtami76) = 'ABBOT' or
                                upper-case($thisTrtami76) = 'AC' or
                                upper-case($thisTrtami76) = 'ACM' or
                                upper-case($thisTrtami76) = 'ADM' or
                                upper-case($thisTrtami76) = 'AIR CDRE' or
                                upper-case($thisTrtami76) = 'ALDERMAN' or
                                upper-case($thisTrtami76) = 'AM' or
                                upper-case($thisTrtami76) = 'ARCHBISHOP' or
                                upper-case($thisTrtami76) = 'ARCHDEACON' or
                                upper-case($thisTrtami76) = 'ASSOC PROF' or
                                upper-case($thisTrtami76) = 'AVM' or
                                upper-case($thisTrtami76) = 'BARON' or
                                upper-case($thisTrtami76) = 'BARONESS' or
                                upper-case($thisTrtami76) = 'BISHOP' or
                                upper-case($thisTrtami76) = 'BR' or
                                upper-case($thisTrtami76) = 'BRIG' or
                                upper-case($thisTrtami76) = 'CANON' or
                                upper-case($thisTrtami76) = 'CAPT' or
                                upper-case($thisTrtami76) = 'CARDINAL' or
                                upper-case($thisTrtami76) = 'CDRE' or
                                upper-case($thisTrtami76) = 'CDT' or
                                upper-case($thisTrtami76) = 'CHAP' or
                                upper-case($thisTrtami76) = 'CMDR' or
                                upper-case($thisTrtami76) = 'CMM' or
                                upper-case($thisTrtami76) = 'COL' or
                                upper-case($thisTrtami76) = 'CONST' or
                                upper-case($thisTrtami76) = 'COUNT' or
                                upper-case($thisTrtami76) = 'COUNTESS' or
                                upper-case($thisTrtami76) = 'CPL' or
                                upper-case($thisTrtami76) = 'CPO' or
                                upper-case($thisTrtami76) = 'DAME' or
                                upper-case($thisTrtami76) = 'DEACON' or
                                upper-case($thisTrtami76) = 'DEACONESS' or
                                upper-case($thisTrtami76) = 'DEAN' or
                                upper-case($thisTrtami76) = 'DEPUTY SUPT' or
                                upper-case($thisTrtami76) = 'DR' or
                                upper-case($thisTrtami76) = 'DUCHESS' or
                                upper-case($thisTrtami76) = 'DUKE' or
                                upper-case($thisTrtami76) = 'EARL' or
                                upper-case($thisTrtami76) = 'EF' or
                                upper-case($thisTrtami76) = 'FLGOFF' or
                                upper-case($thisTrtami76) = 'FLT LT' or
                                upper-case($thisTrtami76) = 'FR' or
                                upper-case($thisTrtami76) = 'FSGT' or
                                upper-case($thisTrtami76) = 'GEN' or
                                upper-case($thisTrtami76) = 'GNR' or
                                upper-case($thisTrtami76) = 'GP CAPT' or
                                upper-case($thisTrtami76) = 'HON' or
                                upper-case($thisTrtami76) = 'HON JUDGE' or
                                upper-case($thisTrtami76) = 'HON JUST' or
                                upper-case($thisTrtami76) = 'HRH' or
                                upper-case($thisTrtami76) = 'INSP' or
                                upper-case($thisTrtami76) = 'JUDGE' or
                                upper-case($thisTrtami76) = 'JUST' or
                                upper-case($thisTrtami76) = 'LAC' or
                                upper-case($thisTrtami76) = 'LACW' or
                                upper-case($thisTrtami76) = 'LADY' or
                                upper-case($thisTrtami76) = 'LBDR' or
                                upper-case($thisTrtami76) = 'LCPL' or
                                upper-case($thisTrtami76) = 'LORD' or
                                upper-case($thisTrtami76) = 'LS' or
                                upper-case($thisTrtami76) = 'LT' or
                                upper-case($thisTrtami76) = 'LT CMDR' or
                                upper-case($thisTrtami76) = 'LT COL' or
                                upper-case($thisTrtami76) = 'LT GEN' or
                                upper-case($thisTrtami76) = 'MADAM' or
                                upper-case($thisTrtami76) = 'MAJ' or
                                upper-case($thisTrtami76) = 'MAJ GEN' or
                                upper-case($thisTrtami76) = 'MASTER' or
                                upper-case($thisTrtami76) = 'MATRON' or
                                upper-case($thisTrtami76) = 'MAYOR' or
                                upper-case($thisTrtami76) = 'MAYORESS' or
                                upper-case($thisTrtami76) = 'MIDN' or
                                upper-case($thisTrtami76) = 'MISS' or
                                upper-case($thisTrtami76) = 'MON' or
                                upper-case($thisTrtami76) = 'MOST REV' or
                                upper-case($thisTrtami76) = 'MR' or
                                upper-case($thisTrtami76) = 'MRS' or
                                upper-case($thisTrtami76) = 'MS' or
                                upper-case($thisTrtami76) = 'PASTOR' or
                                upper-case($thisTrtami76) = 'PATRIARCH' or
                                upper-case($thisTrtami76) = 'PLT OFF' or
                                upper-case($thisTrtami76) = 'PO' or
                                upper-case($thisTrtami76) = 'PRIOR' or
                                upper-case($thisTrtami76) = 'PROF' or
                                upper-case($thisTrtami76) = 'PTE' or
                                upper-case($thisTrtami76) = 'RABBI' or
                                upper-case($thisTrtami76) = 'RADM' or
                                upper-case($thisTrtami76) = 'RECTOR' or
                                upper-case($thisTrtami76) = 'REV' or
                                upper-case($thisTrtami76) = 'RF' or
                                upper-case($thisTrtami76) = 'RT HON' or
                                upper-case($thisTrtami76) = 'RT REV' or
                                upper-case($thisTrtami76) = 'RTREV BISHOP' or
                                upper-case($thisTrtami76) = 'RT REV MON' or
                                upper-case($thisTrtami76) = 'SBLT' or
                                upper-case($thisTrtami76) = 'SEN' or
                                upper-case($thisTrtami76) = 'SGT' or
                                upper-case($thisTrtami76) = 'SIR' or
                                upper-case($thisTrtami76) = 'SMN' or
                                upper-case($thisTrtami76) = 'SNR CONST' or
                                upper-case($thisTrtami76) = 'SQN LDR' or
                                upper-case($thisTrtami76) = 'SR' or
                                upper-case($thisTrtami76) = 'SSGT' or
                                upper-case($thisTrtami76) = 'SUPR' or
                                upper-case($thisTrtami76) = 'SWAMI' or
                                upper-case($thisTrtami76) = 'TF' or
                                upper-case($thisTrtami76) = 'VADM' or
                                upper-case($thisTrtami76) = 'VERY REV' or
                                upper-case($thisTrtami76) = 'VICAR' or
                                upper-case($thisTrtami76) = 'VISCOUNT' or
                                upper-case($thisTrtami76) = 'WG CDR' or
                                upper-case($thisTrtami76) = 'WO' or
                                upper-case($thisTrtami76) = 'WO1' or
                                upper-case($thisTrtami76) = 'WO2' 
                             )
                         )"/>
    
  </rule>
</pattern>
